<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Yantrana\Components\Bill\BillEngine;
use App\Yantrana\Components\Bill\Repositories\BillRepository;

class GenerateUpcommingBills extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate-upcomming-bills';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    function __construct(BillEngine $billEngine)
    {   
        parent::__construct();
        
        $this->billEngine = $billEngine;
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {   
        $response = $this->billEngine->processGenerateUpcommingBills();
   
        $this->info($response['message']);
    }
}
