<?php
/*
* BillItems.php - Model file
*
* This file is part of the Bill component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Bill\Models;

use App\Yantrana\Base\BaseModel;
use App\Yantrana\Components\Package\Models\UserPackageModel;
use App\Yantrana\Components\Transaction\Models\TransactionModel;

class BillItemsModel extends BaseModel 
{ 
    /**
     * @var  string $table - The database table used by the model.
     */
    protected $table = "bill_items";
    
    /**
     * @var  array $casts - The attributes that should be casted to native types.
     */
    protected $casts = [
        'amount' => 'float',
        'bills__id' => 'integer',
        'amount' => 'integer',
        'user_packages__id' => 'integer'
    ];

    /**
     * @var  array $fillable - The attributes that are mass assignable.
     */
    protected $fillable = [
    ];

    /**
     * Get the comments for the blog post.
     */
    public function userPackage()
    {
        return $this->hasOne(UserPackageModel::class, '_id', 'user_packages__id')->with('package');
    }

    /**
     * Get the comments for the blog post.
     */
    public function transactions()
    {
        return $this->hasMany(TransactionModel::class, 'bills__id', 'bills__id');
    }

}