<?php            
/*
* BillListRequest.php - Request file
*
* This file is part of the Bill component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Bill\Requests;

use App\Yantrana\Base\BaseRequest;

class BillAddRequest extends BaseRequest 
{   
    
    /**
      * Authorization for request.
      *
      * @return  bool
      *-----------------------------------------------------------------------*/

    public function authorize()
    {
       return true; 
    }
    
    /**
      * Validation rules.
      *
      * @return  bool
      *-----------------------------------------------------------------------*/

    public function rules()
    {   
        return [
            "short_description" => "nullable|min:2|max:255",
            "user"              => "required",
            "bill_period_from"  => "required|date|lte:bill_period_to",
            "bill_period_to"    => "required|date|gte:bill_period_from",
            "due_date"          => "required|date|gte:bill_period_from|lte:bill_period_to"
        ];
    }
}