<?php

/*
* DashboardController.php - Controller file
*
* This file is part of the Dashboard component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Dashboard\Controllers;

use App\Yantrana\Base\BaseController;
use App\Yantrana\Components\Dashboard\DashboardEngine;
use App\Yantrana\Components\Message\MessageEngine;
use App\Yantrana\Components\Dashboard\Requests\DashboardRequest;
use Illuminate\Http\Request;

class DashboardController extends BaseController
{
    /**
     * @var DashboardEngine $dashboardEngine - Dashboard Engine
     */
    protected $dashboardEngine;

    /**
      * Constructor
      *
      * @param DashboardEngine $dashboardEngine - Dashboard Engine
      *
      * @return void
      *-----------------------------------------------------------------------*/

    public function __construct(
        DashboardEngine $dashboardEngine
    ) {
        $this->dashboardEngine = $dashboardEngine;
    }

    /**
     * get dashboard list.
     *
     * @return array
     *---------------------------------------------------------------- */
    
    public function dashboardSupportData()
    {
        try{
            $processReaction = $this->dashboardEngine
                ->prepareDashboardSupportData();
        }catch (\Exception $exception){dd($exception->getMessage(),$exception->getFile(),$exception->getLine());}




        return __processResponse($processReaction, [], [
            'dashboard' => $processReaction['data'], ]);
    }
}
