<?php
/*
* PriceModel.php - Model file
*
* This file is part of the Package component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Package\Models;

use App\Yantrana\Base\BaseModel;
use App\Yantrana\Components\Item\Models\ItemModel;

class PackageItem extends BaseModel 
{ 
    /**
     * @var  string $table - The database table used by the model.
     */
    protected $table = "package_items";
    
    /**
     * has eouid.
     *
     * @var string
     *----------------------------------------------------------------------- */
    protected $hasEoId = false;

    /**
     * @var  array $casts - The attributes that should be casted to native types.
     */
    protected $casts = [
    ];

    /**
     * @var  array $fillable - The attributes that are mass assignable.
     */
    protected $fillable = [
    ];

    /**
	* get package items associated with package
	*/
    public function item()
    {
        return $this->hasOne(ItemModel::class, '_id', 'items__id')->with('itemSlots');
    }
}