<?php
/*
* Package.php - Model file
*
* This file is part of the Package component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Package\Models;

use App\scopes\ClientScopeFilter;
use App\Yantrana\Base\BaseModel;
use App\Yantrana\Components\Package\Models\PackageItem;
use App\Yantrana\Components\Package\Models\PriceModel;

class PackageModel extends BaseModel 
{
    use ClientScopeFilter;
    /**
     * @var  string $table - The database table used by the model.
     */
    protected $table = "packages";
    
    /**
     * has eouid.
     *
     * @var string
     *----------------------------------------------------------------------- */
    protected $hasEoId = true;

    /**
     * @var  array $casts - The attributes that should be casted to native types.
     */
    protected $casts = [
    ];

    /**
     * @var  array $fillable - The attributes that are mass assignable.
     */
    protected $fillable = [
        'client_id'
    ];

	/**
	* get package items associated with package
	*/
    public function packageItems()
    {
        return $this->hasMany(PackageItem::class, 'packages__id', '_id')->with('item');
    }

    /**
	* get package prices associated with package
	*/
    public function packagePrices()
    {
        return $this->hasMany(PriceModel::class, 'packages__id', '_id');
    }
}