<?php            
/*
* PackageAssignRequest.php - Request file
*
* This file is part of the Package component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Package\Requests;

use App\Yantrana\Base\BaseRequest;

class CustomerPackageAssignRequest extends BaseRequest
{   
    /**
      * Set if you need form request secured.
      *------------------------------------------------------------------------ */
    protected $securedForm = true;

    /**
     * Unsecured/Unencrypted form fields.
     *------------------------------------------------------------------------ */
    protected $unsecuredFields = [];
    
        
   /**
     * Loosely sanitize fields.
     *------------------------------------------------------------------------ */
    protected $looseSanitizationFields = [
		'title' => '',
		'short_description' => ''
	];
    
    /**
      * Authorization for request.
      *
      * @return  bool
      *-----------------------------------------------------------------------*/

    public function authorize()
    {
       return true; 
    }
    
    /**
      * Validation rules.
      *
      * @return  bool
      *-----------------------------------------------------------------------*/

    public function rules()
    {   
        return [
        	'selected_package' => 'required',
        	'userData.member_id' => 'required',
        	'packageDetails.package_amount_paid'=> 'required',
        	'packageDetails.selected_package_frequency' => 'required',
        	'packageDetails.starts_at' => 'required'
        ];
    }
}