<?php
/*
* Slots.php - Model file
*
* This file is part of the Slots component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Slots\Models;

use App\Yantrana\Base\BaseModel;
use App\Yantrana\Components\Slots\Models\UserSlotModel;

class SlotsModel extends BaseModel
{
    /**
     * @var  string $table - The database table used by the model.
     */
    protected $table = "slots";

    /**
     * Does it has has Entity Ownership ID
     *
     * @var bool
     *----------------------------------------------------------------------- */
    protected $hasEoId = true;

    /**
     * @var  array $casts - The attributes that should be casted to native types.
     */
    protected $casts = [
        'slot_time' => 'time',
        'status' => 'integer',
        'slot_duration_minutes' => 'integer',
        'slot_frequency' => 'integer',
        'items__id' => 'integer',
    ];

    /**
     * @var  array $fillable - The attributes that are mass assignable.
     */
    protected $fillable = [
        'client_id'
    ];

    /**
     * get user slots
     */
    public function userSlots()
    {
        return $this->hasMany(UserSlotModel::class, 'slots__id', '_id');
    }
}