<?php
/*
* Transaction.php - Model file
*
* This file is part of the Transaction component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Transaction\Models;

use App\scopes\ClientScopeFilter;
use App\Yantrana\Base\BaseModel;

class TransactionModel extends BaseModel 
{
    use ClientScopeFilter;
    /**
     * @var  string $table - The database table used by the model.
     */
    protected $table = "payment_transactions";
    
    /**
     * @var  array $casts - The attributes that should be casted to native types.
     */
    protected $casts = [
        'status' => 'integer',
        'amount' => 'float',
        'type' => 'integer',
        'subtype' => 'integer',
        'user_authorities__id' => 'integer',
        'towards_users__id' => 'integer',
        'bills__id' => 'integer',
        '__data' => 'array'
    ];

    /**
     * @var  array $fillable - The attributes that are mass assignable.
     */
    protected $fillable = [
        "client_id"
    ];

    /**
     * Let the system knows Text columns treated as JSON
     *
     * @var array
     *----------------------------------------------------------------------- */
    protected $jsonColumns = [
        '__data'   => [
            'bill' => 'array',
            'bill_items' => 'array'
        ]
    ]; 

    
    
    /**
     * Does it has has Entity Ownership ID
     *
     * @var bool
     *----------------------------------------------------------------------- */
    protected $hasEoId = true; 

}