<?php            
/*
* TransactionListRequest.php - Request file
*
* This file is part of the Transaction component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Transaction\Requests;

use App\Yantrana\Base\BaseRequest;

class TransactionAddRequest extends BaseRequest 
{   
    /**
      * Set if you need form request secured.
      *------------------------------------------------------------------------ */
    protected $securedForm = true;

    /**
     * Unsecured/Unencrypted form fields.
     *------------------------------------------------------------------------ */
    protected $unsecuredFields = [];
    
        
   /**
     * Loosely sanitize fields.
     *------------------------------------------------------------------------ */
    protected $looseSanitizationFields = [
                    'amount' =>  '', 
                    'short_description' => '', 
                    'type' => '', 
                    'status' => '', 
                    'subtype' => '' 
              ];
    
    /**
      * Authorization for request.
      *
      * @return  bool
      *-----------------------------------------------------------------------*/

    public function authorize()
    {
       return true; 
    }
    
    /**
      * Validation rules.
      *
      * @return  bool
      *-----------------------------------------------------------------------*/

    public function rules()
    {   
        return [
//            "towards_user_authorities__id" => "required",
            "bills__id" => "required",
            "amount" => "required",  
            "short_description" => "min:10|max:255",
            "subtype" => "required",
            "payment_method" => "required"
        ];
    }
}