<?php            
/*
* TransactionBillPayRequest.php - Request file
*
* This file is part of the Transaction component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Transaction\Requests;

use App\Yantrana\Base\BaseRequest;

class TransactionBillPayRequest  extends BaseRequest 
{   
    /**
      * Set if you need form request secured.
      *------------------------------------------------------------------------ */
    protected $securedForm = true;
    
    /**
      * Authorization for request.
      *
      * @return  bool
      *-----------------------------------------------------------------------*/

    public function authorize()
    {
       return true; 
    }
    
    /**
      * Validation rules.
      *
      * @return  bool
      *-----------------------------------------------------------------------*/

    public function rules()
    {   
        return [   
            "bill_amount"    => "required",
            "paying_amount"  => "required|min:0|lte:bill_amount|decimal_validation",
            "short_description" => "nullable|min:2|max:255"
        ];

        
    }
    
    /**
    * Set custom msg for field
    *
    * @return array
    *-----------------------------------------------------------------------*/

    public function messages()
    {
        return [
            'paying_amount.decimal_validation' => __tr('Digit after decimal may not be greater than __max__.', [
                    '__attribute__' => ':attribute',
                    '__max__'       => '4'
                ])
        ];
    }
}