<?php

// default time zone
$timeZone = 'UTC';

// set time timezone
if (getConfigurationSettings('timezone')) {
    $timeZone = getConfigurationSettings('timezone');
}
// set default time zone

date_default_timezone_set($timeZone);

// set configuration items
config([
    'app.timezone' => $timeZone,
    'mail.from.address' => env('MAIL_FROM_ADD') ?: getConfigurationSettings('business_email'),
    'mail.from.name' => getConfigurationSettings('name'),
    '__tech.mail_from' => [
        env('MAIL_FROM_ADD', getConfigurationSettings('business_email')),
        env('MAIL_FROM_NAME', getConfigurationSettings('name')),
    ],
    '__tech.recaptcha' => [
        'site_key' => env('RECAPTCHA_PUBLIC_KEY', getConfigurationSettings('recaptcha_site_key')),
        'secret_key' => env('RECAPTCHA_PRIVATE_KEY', getConfigurationSettings('recaptcha_secret_key')),
    ],
    '__tech.storage_paths.media_storage' =>
        [
            entityOwnershipId() => [
                'other/no_thumb_image.jpg' => 'key@no_thumb',
                'other/no-user-thumb-icon.png' => 'key@no_user_thumb',
                'clients' => [
                    '{_uid}' => [
                        'logo' => 'key@logo',
                        'favicon' => 'key@favicon',
                        'profile' => 'key@user_photo',
                        'temp_uploads' => 'key@user_temp_uploads'
                    ]
                ],
            ]
        ],
]);