<?php


namespace App\scopes;


use http\Env\Request;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;
use Illuminate\Support\Facades\Auth;

class ClientFilter implements Scope
{
    /**
     * Apply the scope to a given Eloquent query builder.
     *
     * @param \Illuminate\Database\Eloquent\Builder $builder
     * @param \Illuminate\Database\Eloquent\Model $model
     * @return void
     */

    public function apply(Builder $builder, Model $model)
    {
        $client_id = Auth::user()->client_id;

        $tableName = $model->getTable();
        // TODO: Implement apply() method.
        if ($tableName == 'clients') {
            $builder->where("$tableName.id", $client_id);
        } else {
            $builder->where("$tableName.client_id", $client_id);
        }
    }

}
