<?php

return [

    /* Configuration setting data-types id
    ------------------------------------------------------------------------- */
    'datatypes' => [
        'string' => 1,
        'bool' => 2,
        'int' => 3,
        'json' => 4
    ],

    /* Technical Configuration Codes
    ------------------------------------------------------------------------- */

    'configuration_datatypes' => [
        // General Tab
        'name' => [
            'key' => 'name',
            'data_type' => 1,    // string,
            'placeholder' => 'Your Business Name',
            'default' => ''
        ],
        'website' => [
            'key' => 'website',
            'data_type' => 1,    // string,
            'placeholder' => 'website',
            'default' => ''
        ],
        'contact' => [
            'key' => 'contact',
            'data_type' => 1,    // string,
            'placeholder' => 'contact',
            'default' => ''
        ],

        // General Tab
        'logo' => [
            'key' => 'logo',
            'data_type' => 1,    // string,
            'placeholder' => 'logo',
            'default' => ''
        ],

        // General Tab
        'cover' => [
            'key' => 'cover',
            'data_type' => 1,    // string,
            'placeholder' => 'cover',
            'default' => ''
        ],

        // General Tab
        'bio' => [
            'key' => 'bio',
            'data_type' => 1,    // string,
            'placeholder' => 'bio',
            'default' => ''
        ],

        // General Tab
        'lat' => [
            'key' => 'lat',
            'data_type' => 1,    // string,
            'placeholder' => 'lat',
            'default' => ''
        ],

        // General Tab
        'long' => [
            'key' => 'long',
            'data_type' => 1,    // string,
            'placeholder' => 'long',
            'default' => ''
        ],

        // General Tab
        'address' => [
            'key' => 'address',
            'data_type' => 1,    // string,
            'placeholder' => 'address',
            'default' => ''
        ],

        // General Tab
        'openOn' => [
            'key' => 'openOn',
            'data_type' => 1,    // string,
            'placeholder' => 'openOn Time',
            'default' => ''
        ],


        // General Tab
        'closeOn' => [
            'key' => 'closeOn',
            'data_type' => 1,    // string,
            'placeholder' => 'closeOn Time',
            'default' => ''
        ],


        // General Tab
        'days' => [
            'key' => 'days',
            'data_type' => 4,    // string,
            'placeholder' => 'days Time',
            'default' => ''
        ],


        'logo_image' => [
            'key' => 'logo_image',
            'data_type' => 1,    // string
            'placeholder' => 'Select Logo',
            'default' => 'logo.png'
        ],
        'favicon_image' => [
            'key' => 'favicon_image',
            'data_type' => 1,    // string
            'placeholder' => 'Select Favicon',
            'default' => 'favicon.ico'
        ],
        'timezone' => [
            'key' => 'timezone',
            'data_type' => 1,    // string
            'default' => 'UTC'
        ],
        'business_email' => [
            'key' => 'business_email',
            'data_type' => 1,    // string
            'placeholder' => 'your-email-address@example.com',
            'default' => ''
        ],
        'show_captcha' => [
            'key' => 'show_captcha',
            'data_type' => 3,       // integer
            'default' => 5
        ],
        'footer_text' => [
            'key' => 'footer_text',
            'data_type' => 1,     // string
            'placeholder' => 'Set footer text.',
            'default' => ''
        ],
        'company_address' => [
            'key' => 'company_address',
            'data_type' => 1,     // string
            'placeholder' => 'Address.',
            'default' => ''
        ],
        'enable_credit_info' => [
            'key' => 'enable_credit_info',
            'data_type' => 2,    // boolean
            'default' => true
        ],
        'recaptcha_site_key' => [
            'key' => 'recaptcha_site_key',
            'data_type' => 1,    // string
            'default' => ''
        ],
        'recaptcha_secret_key' => [
            'key' => 'recaptcha_secret_key',
            'data_type' => 1,    // string
            'default' => ''
        ],
        'enable_login_attempt' => [
            'key' => 'enable_login_attempt',
            'data_type' => 2,    // string
            'default' => false
        ],
        'restrict_user_email_update' => [
            'key' => 'restrict_user_email_update',
            'data_type' => 2,    // string
            'default' => true
        ],
        // Currency settings
        'currency' => [
            'key' => 'currency',
            'data_type' => 1,    // string
            'default' => 'PKR'
        ],
        'currency_symbol' => [
            'key' => 'currency_symbol',
            'data_type' => 1,    // string
//            'default'       => '&#36;'
            'default' => 'Rs'
        ],
        'currency_value' => [
            'key' => 'currency_value',
            'data_type' => 1,    // string
            'default' => 'PKR'
        ],
        // Note : This item is not available in currency setting via admin panel.
        'currency_decimal_round' => [
            'key' => 'currency_decimal_round',
            'data_type' => 3, // int
            'default' => 2
        ],
        'round_zero_decimal_currency' => [
            'key' => 'round_zero_decimal_currency',
            'data_type' => 2, // boolean
            'default' => true // round
        ],
        'currency_format' => [
            'key' => 'currency_format',
            'data_type' => 1,    // string
            'default' => '{__currencySymbol__}{__amount__} {__currencyCode__}'
        ]
    ]
];