<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateActivityLogsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('activity_logs', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->dateTime('created_at');
			$table->integer('user_id')->unsigned()->nullable();
			$table->text('__data', 65535)->nullable();
			$table->boolean('entity_type')->nullable();
			$table->integer('project_id')->unsigned()->nullable()->comment('Short description');
			$table->boolean('action_type')->nullable()->comment('Create, Update, Delete');
			$table->integer('entity_id')->unsigned()->nullable();
			$table->boolean('user_role_id')->nullable();
			$table->char('eo_uid', 36)->nullable()->index('eo_uid');
			$table->integer('client_id')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('activity_logs');
	}

}
