<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateBillItemsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('bill_items', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid');
			$table->timestamps();
			$table->boolean('status');
			$table->integer('bills__id')->unsigned()->index('fk_bill_items_bills1_idx');
			$table->string('short_description')->nullable();
			$table->decimal('amount', 13, 4)->nullable();
			$table->integer('user_packages__id')->unsigned()->nullable()->index('fk_bill_items_user_packages1_idx');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('bill_items');
	}

}
