<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateBillsTable extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bills', function (Blueprint $table) {
            $table->increments('_id');
            $table->char('_uid', 36)->unique('_uid_UNIQUE');
            $table->integer('client_id')->nullable();
            $table->integer('member_id')->nullable();
            $table->boolean('status');
            $table->char('eo_uid', 36)->nullable();
            $table->decimal('amount', 13, 4)->nullable();
            $table->integer('user_authorities__id')->unsigned()->nullable();
            $table->string('short_description')->nullable();
            $table->text('__data', 65535)->nullable()->comment('Customer details, ');
            $table->integer('customer_user_authorities__id')->unsigned()->nullable();
            $table->date('due_date')->nullable();
            $table->decimal('discount_amount', 13, 4)->nullable()->comment('details in __data');
            $table->decimal('tax_amount', 13, 4)->nullable()->comment('details in __data');
            $table->date('bill_period_from')->nullable();
            $table->date('bill_period_to')->nullable();
            $table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('bills');
    }

}
