<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateClientsTable extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 100);
            $table->string('website', 100)->nullable();
            $table->string('contact', 12)->nullable();
            $table->string('email', 50)->nullable();
            $table->string('logo')->nullable();
            $table->string('cover')->nullable();
            $table->text('bio', 65535)->nullable();
            $table->string('lat')->nullable();
            $table->string('long')->nullable();
            $table->string('address', 500)->nullable();
            $table->time('openOn')->nullable();
            $table->time('closeOn')->nullable();
            $table->text('days')->nullable();
            $table->boolean('active')->default(1);
            $table->softDeletes();
            $table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('clients');
    }

}
