<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateConfigurationsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('configurations', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->timestamps();
			$table->string('name', 45)->index('name');
			$table->text('value', 65535)->nullable();
			$table->boolean('data_type')->nullable();
			$table->char('eo_uid', 36)->nullable()->index('eo_uid');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('configurations');
	}

}
