<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateEmailChangeRequestsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('email_change_requests', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid_UNIQUE');
			$table->timestamps();
			$table->string('new_email');
			$table->string('activation_key');
			$table->integer('users__id')->unsigned()->index('fk_email_change_requests_users1_idx');
			$table->integer('user_authorities__id')->unsigned()->nullable()->index('fk_email_change_requests_user_authorities1_idx');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('email_change_requests');
	}

}
