<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateItemsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('items', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid_UNIQUE');
            $table->integer('client_id');
			$table->timestamps();
			$table->boolean('status');
			$table->char('eo_uid', 36)->nullable();
			$table->string('title', 150);
			$table->string('short_description', 500)->nullable();
			$table->boolean('type')->nullable()->comment('product/service');
			$table->integer('user_authorities__id')->unsigned()->nullable()->index('fk_items_user_authorities1_idx');
			$table->text('__data', 65535)->nullable();
			$table->boolean('slot_type')->nullable()->comment('User-specific, pre-defined');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('items');
	}

}
