<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePackageItemsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('package_items', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid_UNIQUE');
			$table->timestamps();
			$table->boolean('status');
			$table->integer('packages__id')->unsigned()->index('fk_package_items_packages1_idx');
			$table->integer('items__id')->unsigned()->index('fk_package_items_items1_idx');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('package_items');
	}

}
