<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePaymentTransactionsTable extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payment_transactions', function (Blueprint $table) {
            $table->increments('_id');
            $table->char('_uid', 36)->unique('_uid_UNIQUE');
            $table->integer('client_id')->nullable();
            $table->integer('member_id')->nullable();
            $table->boolean('status');
            $table->char('eo_uid', 36)->nullable();
            $table->decimal('amount', 13, 4)->nullable();
            $table->string('short_description')->nullable();
            $table->boolean('type')->nullable()->comment('Credit/Debit');
            $table->boolean('subtype')->nullable()->comment('payment/refund/bonus');
            $table->text('__data', 65535)->nullable();
            $table->integer('bills__id')->unsigned()->nullable()->index('fk_payment_transactions_bills1_idx');
            $table->boolean('payment_method')->nullable();
            $table->string('txn_id', 100);
            $table->integer('user_authorities__id')->unsigned()->nullable()->index('fk_payment_transactions_user_authorities1_idx');
            $table->integer('towards_user_authorities__id')->unsigned()->nullable()->index('fk_payment_transactions_user_authorities2_idx');
            $table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('payment_transactions');
    }

}
