<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePricesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('prices', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid_UNIQUE');
			$table->timestamps();
			$table->boolean('status');
			$table->char('eo_uid', 36)->nullable();
			$table->integer('packages__id')->unsigned()->nullable()->index('fk_prices_packages1_idx');
			$table->decimal('price', 13, 4)->nullable();
			$table->boolean('frequency')->nullable()->comment('Daily/Weekly/Monthly/Quarterly,Half-Yearly,Yearly');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('prices');
	}

}
