<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSlotsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('slots', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid_UNIQUE');
            $table->integer('client_id');
			$table->timestamps();
			$table->boolean('status');
			$table->char('eo_uid', 36)->nullable();
			$table->string('title', 150);
			$table->time('slot_time')->nullable();
			$table->integer('slot_duration_minutes')->unsigned()->nullable();
			$table->boolean('slot_frequency')->nullable();
			$table->integer('items__id')->unsigned()->index('fk_slots_items1_idx');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('slots');
	}

}
