<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTokenRegistryTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('token_registry', function(Blueprint $table)
		{
			$table->char('_uid', 36)->primary();
			$table->timestamps();
			$table->boolean('status');
			$table->string('jwt_token', 1000)->comment('Store original JWT token without encryption ');
			$table->integer('user_authorities__id')->unsigned()->index('fk_token_registry_user_authorities1_idx');
			$table->string('ip_address', 45)->nullable();
			$table->dateTime('expiry_at')->nullable();
			$table->char('predecessor_token_id', 36)->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('token_registry');
	}

}
