<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserAuthoritiesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_authorities', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid_UNIQUE');
			$table->boolean('status');
			$table->timestamps();
			$table->integer('users__id')->unsigned()->index('fk_user_authorities_users1_idx');
			$table->boolean('user_roles__id')->index('fk_user_authorities_user_roles1_idx');
			$table->text('__permissions', 65535)->nullable();
			$table->char('eo_uid', 36)->nullable()->index('eo_id');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_authorities');
	}

}
