<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserPackagesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_packages', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid_UNIQUE');
            $table->integer('client_id')->nullable();
            $table->integer('member_id')->nullable();
            $table->string('memberName', 45)->nullable();
            $table->string('memberPhone',12)->nullable();
            $table->string('memberEmail',50)->nullable();
			$table->boolean('status');
			$table->integer('packages__id')->unsigned()->nullable()->index('fk_user_packages_packages1_idx');
			$table->decimal('price', 13, 4)->nullable();
			$table->integer('user_authorities__id')->unsigned()->nullable()->index('fk_user_packages_user_authorities1_idx');
			$table->dateTime('expiry_at')->nullable();
			$table->boolean('frequency')->nullable();
			$table->dateTime('starts_at')->nullable();
            $table->timestamps();

        });
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_packages');
	}

}
