<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserProfilesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_profiles', function(Blueprint $table)
		{
			$table->increments('_id');
			$table->char('_uid', 36)->unique('_uid_UNIQUE');
			$table->timestamps();
			$table->string('address_line_1')->nullable();
			$table->string('address_line_2')->nullable();
			$table->text('__data', 65535)->nullable();
			$table->integer('users__id')->unsigned()->index('fk_user_profiles_users1_idx');
			$table->smallInteger('countries__id')->unsigned()->nullable()->index('fk_user_profiles_countries1_idx');
			$table->string('profile_picture')->nullable();
			$table->string('company', 85)->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_profiles');
	}

}
