<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserSlotsTable extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_slots', function (Blueprint $table) {
            $table->increments('_id');
            $table->char('_uid', 36)->unique('_uid_UNIQUE');
            $table->integer('client_id')->nullable();
            $table->integer('member_id')->nullable();
            $table->boolean('status');
            $table->char('eo_uid', 36)->nullable();
            $table->time('slot_time')->nullable()->comment('if frequency is daily');
            $table->integer('slot_duration_minutes')->unsigned()->nullable()->comment('In minutes');
            $table->boolean('slot_frequency')->nullable()->comment('once,daily,weekly,monthly,quarterly,half-yearly,yearly');
            $table->integer('user_packages__id')->unsigned()->index('fk_user_slots_user_packages1_idx');
            $table->integer('items__id')->unsigned()->index('fk_user_slots_items1_idx');
            $table->dateTime('effective_from')->nullable();
            $table->dateTime('effective_till')->nullable();
            $table->integer('slots__id')->unsigned()->nullable()->index('fk_user_slots_slots1_idx');

            $table->timestamps();

        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('user_slots');
    }

}
