<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToBillItemsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('bill_items', function(Blueprint $table)
		{
			$table->foreign('bills__id', 'fk_bill_items_bills1')->references('_id')->on('bills')->onUpdate('NO ACTION')->onDelete('CASCADE');
			$table->foreign('user_packages__id', 'fk_bill_items_user_packages1')->references('_id')->on('user_packages')->onUpdate('NO ACTION')->onDelete('SET NULL');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('bill_items', function(Blueprint $table)
		{
			$table->dropForeign('fk_bill_items_bills1');
			$table->dropForeign('fk_bill_items_user_packages1');
		});
	}

}
