<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToEmailChangeRequestsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('email_change_requests', function(Blueprint $table)
		{
			$table->foreign('users__id', 'fk_email_change_requests_users1')->references('_id')->on('users')->onUpdate('NO ACTION')->onDelete('CASCADE');
			$table->foreign('user_authorities__id', 'fk_email_change_requests_user_authorities1')->references('_id')->on('user_authorities')->onUpdate('NO ACTION')->onDelete('CASCADE');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('email_change_requests', function(Blueprint $table)
		{
			$table->dropForeign('fk_email_change_requests_users1');
			$table->dropForeign('fk_email_change_requests_user_authorities1');
		});
	}

}
