<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToPackageItemsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('package_items', function(Blueprint $table)
		{
			$table->foreign('items__id', 'fk_package_items_items1')->references('_id')->on('items')->onUpdate('NO ACTION')->onDelete('CASCADE');
			$table->foreign('packages__id', 'fk_package_items_packages1')->references('_id')->on('packages')->onUpdate('NO ACTION')->onDelete('CASCADE');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('package_items', function(Blueprint $table)
		{
			$table->dropForeign('fk_package_items_items1');
			$table->dropForeign('fk_package_items_packages1');
		});
	}

}
