<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToPaymentTransactionsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('payment_transactions', function(Blueprint $table)
		{
			$table->foreign('bills__id', 'fk_payment_transactions_bills1')->references('_id')->on('bills')->onUpdate('NO ACTION')->onDelete('CASCADE');
			$table->foreign('user_authorities__id', 'fk_payment_transactions_user_authorities1')->references('_id')->on('user_authorities')->onUpdate('NO ACTION')->onDelete('SET NULL');
			$table->foreign('towards_user_authorities__id', 'fk_payment_transactions_user_authorities2')->references('_id')->on('user_authorities')->onUpdate('NO ACTION')->onDelete('SET NULL');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('payment_transactions', function(Blueprint $table)
		{
			$table->dropForeign('fk_payment_transactions_bills1');
			$table->dropForeign('fk_payment_transactions_user_authorities1');
			$table->dropForeign('fk_payment_transactions_user_authorities2');
		});
	}

}
