<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToUserAuthoritiesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('user_authorities', function(Blueprint $table)
		{
			$table->foreign('users__id', 'fk_user_authorities_users1')->references('_id')->on('users')->onUpdate('NO ACTION')->onDelete('CASCADE');
			$table->foreign('user_roles__id', 'fk_user_authorities_user_roles1')->references('_id')->on('user_roles')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('user_authorities', function(Blueprint $table)
		{
			$table->dropForeign('fk_user_authorities_users1');
			$table->dropForeign('fk_user_authorities_user_roles1');
		});
	}

}
