<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToUserPackagesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('user_packages', function(Blueprint $table)
		{
			$table->foreign('packages__id', 'fk_user_packages_packages1')->references('_id')->on('packages')->onUpdate('NO ACTION')->onDelete('SET NULL');
			$table->foreign('user_authorities__id', 'fk_user_packages_user_authorities1')->references('_id')->on('user_authorities')->onUpdate('NO ACTION')->onDelete('CASCADE');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('user_packages', function(Blueprint $table)
		{
			$table->dropForeign('fk_user_packages_packages1');
			$table->dropForeign('fk_user_packages_user_authorities1');
		});
	}

}
