<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToUserProfilesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('user_profiles', function(Blueprint $table)
		{
			$table->foreign('countries__id', 'fk_user_profiles_countries1')->references('_id')->on('countries')->onUpdate('NO ACTION')->onDelete('SET NULL');
			$table->foreign('users__id', 'fk_user_profiles_users1')->references('_id')->on('users')->onUpdate('NO ACTION')->onDelete('CASCADE');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('user_profiles', function(Blueprint $table)
		{
			$table->dropForeign('fk_user_profiles_countries1');
			$table->dropForeign('fk_user_profiles_users1');
		});
	}

}
