<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToUserSlotsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('user_slots', function(Blueprint $table)
		{
			$table->foreign('items__id', 'fk_user_slots_items1')->references('_id')->on('items')->onUpdate('NO ACTION')->onDelete('CASCADE');
			$table->foreign('slots__id', 'fk_user_slots_slots1')->references('_id')->on('slots')->onUpdate('NO ACTION')->onDelete('SET NULL');
			$table->foreign('user_packages__id', 'fk_user_slots_user_packages1')->references('_id')->on('user_packages')->onUpdate('NO ACTION')->onDelete('CASCADE');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('user_slots', function(Blueprint $table)
		{
			$table->dropForeign('fk_user_slots_items1');
			$table->dropForeign('fk_user_slots_slots1');
			$table->dropForeign('fk_user_slots_user_packages1');
		});
	}

}
