<?php
//die("<h3 style='text-align:center;padding:20%;color:red'><strong>Please Note:</strong> Its recommended that you delete this file ones the installation is done!!</h3>");
/*
* InstallationVerification.php - Controller file
*-----------------------------------------------------------------------------*/
error_reporting(E_ALL);
ini_set("display_errors", 1); 
//echo is_writable('storage/framework/native-sessions');

require __DIR__.'/../vendor/autoload.php';
class InstallationVerification
{

    protected $projectName = 'Dietbox Fitness';
    protected $problems = [];
    protected $goodToGo = true;    
    protected $statuses = [];
    protected $requirements = [
        'php_version' => '7.1.3',
        'mysql_version' => '5.0.0',                
        'extensions' => [
            'Fileinfo' => '*',
            'OpenSSL' => '*',
            'PDO' => '*',
            'Mbstring' => '*',
            'Tokenizer' => '*',
            'GD' => '*',
            'JSON' => '*',
            'XML' => '*', 
            'ctype' => '*', 
            'zip' => '*',                         
        ],
        'user_table' => 'users',
        'user_find' => [
            'role' => 1
        ],
        'sql_file' => 'member_manager.sql',
        'tables' => [
            'activity_logs' => '*',
            'bill_items' => '*',
            'bills' => '*',
            'configurations' => '*',
            'countries' => '*',
            'email_change_requests' => '*',
            'items' => '*',
            'login_attempts' => '*',
            'login_logs' => '*',
            'package_items' => '*',
            'packages' => '*',
            'password_resets' => '*',
            'payment_transactions' => '*',
            'prices' => '*',
            'slots' => '*',
            'token_registry' => '*',
            'user_authorities' => '*',
            'user_packages' => '*',
            'user_profiles' => '*',
            'user_roles' => '*',
            'user_slots' => '*',
            'users' => '*',
        ],
        'is_writable' => [
            '../storage/framework/sessions',
            '../storage/framework/views',
            '../storage/framework/cache',       
            'media_storage',         
            '../config/__tech.php',
            '../.env',
        ]
    ];

    protected $styleLines = "padding:20px; border-bottom:1px dotted #ddd;margin:16px;";    

    /**
     * Constructor.
     *
     *-----------------------------------------------------------------------*/
    public function __construct()
    {
    }

    /**
     * Verify the installation
     *
     * @return void
     *---------------------------------------------------------------- */
    public function verify()
    {
            if(! file_exists('verify-install.php')) {
                abort(404);
            }

            echo '<!DOCTYPE html><html lang="en"><head><meta charset="UTF-8"><title>'.$this->projectName.' Installation Verification</title>

                <style>
                    .lw-button {
                    background-color: #64c11f; /* Green */
                    border: none;
                    color: white;
                    padding: 8px 10px;
                    text-align: center;
                    text-decoration: none;
                    display: inline-block;
                    font-size: 16px;
                    margin: 4px 2px;
                    cursor: pointer;
                    border-radius: 5px;
                }
                </style>

                </head><body style="text-align:center;">
            ';

            echo "<h2>".$this->projectName." Installation Verification!!</h2>";

            if(version_compare(PHP_VERSION, $this->requirements['php_version']) >= 0) {
                echo "<div style='$this->styleLines'>✓ <strong style='color:green'>PHP</strong> version is OK</div>";
            } else {
                 echo "<div style='$this->styleLines color:red'>✗ Invalid PHP Version it should be greater than ".$this->requirements['php_version']." </div>";

                $this->problems['php_version'] = 'php_version';
            }
           

            foreach ($this->requirements['extensions'] as $key => $value) {

                    if(extension_loaded($key)) {
                       // echo "<div style='$this->styleLines'>✓ <strong style='color:green'>$key</strong> PHP extension is Available <br></div>";
                        $this->statuses['extensions']['success'][] = $key;
                    } else {
                      //  echo "<div style='$this->styleLines color:red'>✗ $key extension is MISSSING <br> <br>";
                      //  echo "<span style='color:#585858'>enable $key extension using cPanel or php.ini or contact your hosting provider.</span> </div>";

                        $this->statuses['extensions']['fail'][] = $key;
                    }
            }

            foreach ($this->requirements['is_writable'] as $key => $value) {

                    if(is_writable(__DIR__.'/'.$value)) {
                        $this->statuses['writable']['success'][] = $value;
                        //echo "<div style='$this->styleLines'>✓ <strong style='color:green'>$value</strong> is writable <br></div>";
                    } else {
                       // echo "<div style='$this->styleLines color:red'>✗ $value is not exist/writable <br> <br>";
                       // echo "<span style='color:#585858'>enable writable permission on $value extension.</span> </div>";

                        //$this->statuses[] = 'is_writable-'.$value;
                        $this->statuses['writable']['fail'][] = $value;
                    }
            }
            /* ---------------------------- extensions --------------- */
            if(!empty($this->statuses['extensions']['success'])) {
                echo "<div style='$this->styleLines'>✓ " . implode($this->statuses['extensions']['success'], ', ') . " these <strong style='color:green'>PHP extentions</strong> are Available <br></div>";
            }

            if(!empty($this->statuses['extensions']['fail'])) {

                $this->goodToGo = false;

                echo "<div style='$this->styleLines'>✗ " . implode($this->statuses['extensions']['fail'], ', ') . " these <strong style='color:red'>PHP extentions</strong> are MISSSING. <br>";
                echo "<span style='color:#585858'>enable these extension using cPanel or php.ini or contact your hosting provider.</span> </div>";
            }

            $isDotnetLoaded = false;
            /* ---------------------------- writable --------------- */
            if(!empty($this->statuses['writable']['success'])) {

                if(!empty($this->statuses['writable']['fail'])) {
                    echo "<div style='$this->styleLines'>✓ " . implode($this->statuses['writable']['success'], ', ') . " these <strong style='color:green'>Files/Directories</strong> are Writable <br>";
                } else {
                    echo "<span style='$this->styleLines'>✓ All the required <strong style='color:green'>Files/Directories</strong> are Writable <br></span> </div>";

                    $dotenv = new \Dotenv\Dotenv(__DIR__.'/../', '.env');
                    $isDotnetLoaded = $dotenv->load();
                }
                
            }

            if(!empty($this->statuses['writable']['fail'])) {

                $this->goodToGo = false;

                echo "<div style='$this->styleLines'>✗ " . implode($this->statuses['writable']['fail'], ', <br>') . "<br> these <strong style='color:red'>Files/Directories</strong> are Not writable. <br>";
                echo "<span style='color:#585858'>Give them writable permissions.</span> </div>";
            }

           // var_dump($dotenvData);

            if($isDotnetLoaded) {
                $servername = env('DB_HOST');
                $database   = env('DB_DATABASE');
                $username   = env('DB_USERNAME');
                $password   = env('DB_PASSWORD');

                // Create connection
                $conn = new mysqli($servername, $username, $password, $database);
                // Check connection
                if ($conn->connect_error) {
                    $this->goodToGo = false;
                  // die("Connection failed: " . $conn->connect_error);
                    echo "<div style='$this->styleLines'>✗ <strong style='color:red'>Database Connection Failed.</strong><br> ";
                    echo "<span style='color:#585858'>".$conn->connect_error."</span> </div>";
                } else {

                    echo "<div style='$this->styleLines'><span style='$this->styleLines'>✓ <strong style='color:green'>Database Connection Successfull</strong></span> </div>";

                    $tablesPresent = [];

                    if ($result = mysqli_query($conn, "show tables")) {

                    while($cRow = mysqli_fetch_array($result)) {
                        $tablesPresent[] = $cRow[0];
                    }

                    $missingTables = [];

                    foreach ($this->requirements['tables'] as $key => $value) {
                        if(! in_array($key, $tablesPresent)) {
                            $missingTables[] = $key;
                        }
                    }

                    if(! empty($missingTables)) {
                          echo "<div style='$this->styleLines'>✗ <span style='color:red'>MySQL Queries</span> needs to be executed from <span style='color:red'>".$this->requirements['sql_file']."</span>  <br><br> <strong>".implode(', ', $missingTables)."</strong> <br><br>table(s) are missing. Read setup guide. </div>";

                        $this->problems[] = 'missing-tables';
                        $this->goodToGo = false;

                    } else {
                        echo "<div style='$this->styleLines'>✓ <strong style='color:green'>Required Database Tables</strong> are exists.</div>";
                    }

                    } else {
                        echo "Error creating database: " . mysqli_error($conn);
                    }

                   // mysqli_close($conn);
                }

                $conn->close();
            }

            if($this->goodToGo) {
                echo "<div style='".$this->styleLines."text-align:center;'><h1 style='color:green'>Good to go!!!! <br></h1>Basic requirements seems to be fine, You can proceed to next checks <br><br><a class='lw-button' href='./app-configuration'>Next Check APP Configuration</a></div>";
            } else {
                 echo "<div style='text-align:center;'><h1 style='color:red;'>Opps .... Please fix highlighted issues in RED above.</h1></div>";
            }

            echo '</body></html>';
    }
}

$startSetupVerification = new InstallationVerification();
$startSetupVerification->verify();