<?php 
/*
*  Component  : Activity
*  View       : ActivityLog Controller
*  Engine     : ActivityEngine  
*  File       : activity-log.blade.php  
*  Controller : ActivityLogListController
----------------------------------------------------------------------------- */
?>
<div>
    <div class="lw-section-heading-block">
      	<!-- main heading -->
        <div class="page-header">
            <h3 class="page-title">
                Manage Activity log
            </h3>
        </div>
    </div>
    
   	<!-- /main heading -->

   	<form class="ui form lw-form lw-ng-form" name="activityLogListCtrl.[[activityLogListCtrl.ngFormName]]" novalidate >
		
		<div class="form-row">
			<!-- Duration -->
            <div class="col">
    			<lw-form-field field-for="duration" label="<?= __tr('Duration') ?>">
    	            <select class="form-control" 
                        name="duration" ng-model="activityLogListCtrl.duration" ng-options="role as key for (role, key) in activityLogListCtrl.durations" ng-required="true" ng-change="activityLogListCtrl.activityDataTable(activityLogListCtrl.duration)">
                        <option value='' disabled selected><?=  __tr('-- Select Duration --')  ?></option>
                    </select> 
    			</lw-form-field>
            </div>
			<!-- /Duration-->
			
			<!-- startDate -->
            <div class="col">
    			<lw-form-field field-for="startDate" label="Start Date">
    	            <input 
    					type="text" 
    					class="lw-form-field form-control" 
    					lw-datetimepicker 
    					id="startDate"	
    					name="startDate"
    					ng-change="activityLogListCtrl.changeDate(activityLogListCtrl.startDate)"
    					ng-model="activityLogListCtrl.startDate"
    					data-dtp="dtp_G0UIR"
    					options="[[ activityLogListCtrl.startDateConfig ]]">
    			</lw-form-field>
            </div>
			<!-- /startDate-->

			<!-- endDate -->
            <div class="col">
    			<lw-form-field field-for="endDate" label="End Date">
    	            <input 
    					type="text" 
    					class="lw-form-field form-control" 
    					name="endDate" 
    					id="endDate"
    					ng-change="activityLogListCtrl.changeDate(activityLogListCtrl.endDate)"
    					lw-datetimepicker 
    					ng-model="activityLogListCtrl.endDate"
    					data-dtp="dtp_wUc37"
    					options="[[ activityLogListCtrl.startDateConfig ]]">
    			</lw-form-field>
            </div>
            <!-- /endDate-->
            
            <div>
            <!-- Show button -->
            <button type="submit" class="btn btn-primary mt-6" ng-click="activityLogListCtrl.dateChange(activityLogListCtrl.selectedProject)" title="<?= __tr('Show') ?>"><?= __tr('Show') ?> </button>
                        <!-- / Show button -->
            </div>

		</div>

    </form>
    
    <div class="card">

        <div class="card-body">

            <table class="table table-striped table-bordered" 
                    id="lwActivityLogList" 
                    cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th><?= __tr('Date') ?></th>
                        <th><?= __tr('Action By') ?></th>
                        <th><?= __tr('Entity Type') ?></th>
                        <th><?= __tr('IP Address') ?></th>
                        <th><?= __tr('Action') ?></th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
            
        </div>

    </div>

</div>

<!-- action template Title-link-->
<script type="text/_template" id="actionColumnLinkTemplate">
    <%= __tData.description %>
</script>
<!-- /action template Title-link-->