<?php	
    /*
    *  Component  : Bill
    *  View       : Bill Controller
    *  Engine     : BillEngine  
    *  File       : bill.add.blade.php  
    *  Controller : BillEditController 
    ----------------------------------------------------------------------------- */ 
?>

<div>

    <!--  main heading  -->
    <div class="lw-section-heading-block">

        <div class="page-header">

            <h3 class="page-title lw-display-inherit">
                <a ui-sref="bill.general" class="btn-link" title="Manage Bills">Manage Bills</a> 
                <div>
                    &nbsp;&raquo;&nbsp;Edit <span ng-bind="BillEditCtrl.billData.bill_no"></span>
                </div> 
            </h3>
        </div>
    </div> 
    <!-- / main heading  -->

    <div class="card">
        <!-- Add item dialog form -->
        <form class="lw-form lw-ng-form" name="BillEditCtrl.[[BillEditCtrl.ngFormName]]" ng-submit="BillEditCtrl.submit()" novalidate >

            <div class="card-body">

                <div class="form-row">
                    <div class="col"> 
                        <lw-form-field field-for="bill_period_from" label="Period From">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="bill_period_from" 
                                lw-datetimepicker
                                ng-required="true"
                                ng-model="BillEditCtrl.billData.bill_period_from"
                        </lw-form-field>
                    </div>

                    <div class="col"> 
                        <lw-form-field field-for="bill_period_to" label="Period To">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="bill_period_to" 
                                lw-datetimepicker
                                ng-required="true"
                                ng-model="BillEditCtrl.billData.bill_period_to"
                        </lw-form-field>  
                    </div>

                    <div class='col'>
                        <!-- Due Date -->
                        <lw-form-field field-for="due_date" label="Due Date">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="due_date"
                                ng-required="true"
                                lw-datetimepicker 
                                ng-model="BillEditCtrl.billData.due_date">
                        </lw-form-field>
                        <!-- / Due Date -->
                    </div>

                </div>

                
                <!-- Short_Description -->
                <lw-form-field field-for="short_description" label="<?= __tr('Description') ?>">
                    <textarea 
                        ng-model="BillEditCtrl.billData.short_description"
                        cols="10" 
                        rows="3" 
                        class="lw-form-field form-control" 
                        name="short_description"
                        ng-minlength="2" 
                        ng-maxlength="255"             
                    ></textarea>
                </lw-form-field>
                <!-- /Short_Description -->

                <!-- Items -->
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th>Item Description</th>
                            <th class="text-right">Item Amount</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr ng-if="BillEditCtrl.billData.items.length == 0">                     
                            <td colspan="3" class="text-center">There are no items</td>
                        </tr>
                        <tr ng-if="BillEditCtrl.billData.items.length > 0" ng-repeat="item in BillEditCtrl.billData.items">                     
                            <td width="75%">
                                <lw-form-field field-for="item_title_[[item.rowId]]" v-label="Title">
                                    <textarea 
                                        class="lw-form-field form-control" 
                                        ng-model="item.short_description" 
                                        name="item_title_[[item.rowId]]"   
                                        ng-required="true"       
                                        ng-minlength="2"       
                                        ng-maxlength="255">          
                                    </textarea>
                                </lw-form-field>
                            </td>
                            <td>
                                <lw-form-field field-for="item_amount_[[item.rowId]]" v-label="Amount">

                                    <div class="input-group input-group-sm">

                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1" ng-bind="getCurrencySymbol()"></span>
                                        </div>

                                        <input type="number" 
                                            class="lw-form-field form-control text-right" 
                                            ng-model="item.amount"
                                            name="item_amount_[[item.rowId]]"   
                                            ng-required="true"       
                                            min="0"             
                                        />

                                        <div class="input-group-append">
                                            <button ng-if="BillEditCtrl.billData.items.length > 1"  type="button" class="btn btn-outline-danger" ng-click="BillEditCtrl.removeRow($index)"><i class="fe fe-trash-2"></i></button>
                                        </div>

                                    </div>

                                </lw-form-field>
                            </td>

                        </tr>
                        <tr>
                            <td>
                                <button type="button" class="btn btn-primary btn-sm" ng-click="BillEditCtrl.addNewRow()">Add item</button>
                                
                                <strong class="float-right">Total Items Amount</strong>
                            </td>
                            <td>
                                <div>
                                    <h4>
                                        <strong class="float-right">
                                            <span ng-bind="getCurrencySymbol()"></span>
                                            <span ng-bind="BillEditCtrl.itemTotal()"></span>
                                            <span ng-bind="getCurrency()"></span>
                                        </strong>
                                    </h4>
                                </div>
                            </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td><strong class="float-right">Tax Amount</strong></td>
                            <td>
                                <lw-form-field field-for="tax_amount" v-label="Tax Amount">
                                    <div class="input-group input-group-sm">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1" ng-bind="getCurrencySymbol()"></span>
                                        </div>
                                        <input type="number" 
                                            id="tax_amount"
                                            class="lw-form-field form-control text-right" 
                                            ng-model="BillEditCtrl.billData.tax_amount"
                                            name="tax_amount"        
                                            min="0"             
                                        />
                                    </div>
                                </lw-form-field>
                            </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>
                                <strong class="float-right">Discount Amount</strong>
                            </td>
                            <td width="20%">
                                <lw-form-field field-for="discount_amount" v-label="Discount Amount">

                                    <div class="input-group input-group-sm">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1" ng-bind="getCurrencySymbol()"></span>
                                        </div>
                                        <input type="number" 
                                            class="lw-form-field form-control text-right" 
                                            ng-model="BillEditCtrl.billData.discount_amount"
                                            name="discount_amount"        
                                            min="0"
                                            id="discount_amount"
                                            max="[[BillEditCtrl.itemTotal()]]"              
                                        />
                                    </div>

                                </lw-form-field>
                            </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td><strong class="float-right">Total Payable Amount</strong></td>
                            <td>
                                <div>
                                    <h4>
                                        <strong class="float-right">
                                            <span ng-bind="getCurrencySymbol()"></span>
                                            <span ng-bind="BillEditCtrl.calculateFinalAmount()"></span>
                                            <span ng-bind="getCurrency()"></span>
                                        </strong>
                                    </h4>
                                </div>
                            </td>
                            <td></td>
                        </tr>
                    </tbody>
                </table>
                <!-- /Items -->
            </div>

            <div class="card-footer text-right">
                <!-- Back  -->
                <a ui-sref="bill.general" title="<?= __tr('Manage Bills') ?>" class="btn btn-gray"><?= __tr('Manage Bills') ?></a>
                <!-- /Back  -->

                <button type="submit" class="btn btn-primary" title="<?= __tr('Update') ?>">
                <?= __tr('Update') ?></button>
                
            </div>

        </form>


    </div>

<div>