<?php	
    /*
    *  Component  : Bill
    *  View       : Bill Controller
    *  Engine     : BillEngine  
    *  File       : bill.list.blade.php  
    *  Controller : BillAddController 
    ----------------------------------------------------------------------------- */ 
?>

<div>
    
    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                Generate New Bill
            </h1>
            <div class="page-options">
                
                <a ui-sref="bill.general"
                    class="btn btn-secondary"
                    title="<?= __tr('Manage Bills') ?>"> 
                    <i class="fe fe-inbox"></i> <?= __tr('Manage Bills') ?>
                </a>

            </div>
        </div>
    </div> 
    <!-- / main heading  -->

    <div class="card">

        <!-- Add item dialog form -->
        <form class="lw-form lw-ng-form" 
            name="BillAddCtrl.[[BillAddCtrl.ngFormName]]"
            novalidate >

            <div class="card-body">
                
                <div ng-if="BillAddCtrl.recentBill.billNo">

                    <fieldset class="lw-fieldset-2">

                    <legend class="lw-fieldset-legend-font">Recent Bill Information</legend>

                        <table class="table table-striped table-bordered">
                            <thead>
                                <tr>
                                    <th>Biil No.</th>
                                    <th>Frequency</th>
                                    <th>Bill Due Date</th>
                                    <th>Bill Period</th>
                                    <th>Status</th>
                                    <th>Amount</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>   
                                    <td ng-bind="BillAddCtrl.recentBill.billNo"></td>
                                    <td ng-bind="BillAddCtrl.recentBill.frequency"></td>
                                    <td ng-bind="BillAddCtrl.recentBill.due_date"></td>
                                    <td>[[BillAddCtrl.recentBill.bill_period_from]] <strong>To</strong> [[BillAddCtrl.recentBill.bill_period_to]]</td>
                                    <td ng-bind="BillAddCtrl.recentBill.status"></td>
                                    <td class="text-right" ng-bind="BillAddCtrl.recentBill.amount"></td>
                                </tr>
                            </tbody>
                    </table>

                    <fieldset>
               </div>

                <div class="form-row">

                    <div class="col"> 
                        <lw-form-field field-for="bill_period_from" label="Period From">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="bill_period_from" 
                                lw-datetimepicker 
                                ng-model="BillAddCtrl.billData.bill_period_from"
                                options="[[BillAddCtrl.bill_period_from]]">
                        </lw-form-field>
                    </div>

                    <div class="col"> 
                        <lw-form-field field-for="bill_period_to" label="Period To">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="bill_period_to" 
                                lw-datetimepicker 
                                ng-model="BillAddCtrl.billData.bill_period_to"
                                options="[[BillAddCtrl.bill_period_to]]">
                        </lw-form-field>  
                    </div>

                    <div class="col">
                        <!-- Due Date -->
                        <lw-form-field field-for="due_date" label="Due Date">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="due_date" 
                                lw-datetimepicker 
                                ng-model="BillAddCtrl.billData.due_date"
                                options="[[BillAddCtrl.due_date]]">
                        </lw-form-field>
                        <!-- / Due Date -->
                    </div>

                </div>
                
                <!-- Short_Description -->
                <lw-form-field field-for="short_description" label="<?= __tr('Description') ?>">
                    <textarea 
                        ng-model="BillAddCtrl.billData.short_description"
                        cols="10" 
                        rows="3" 
                        class="lw-form-field form-control" 
                        name="short_description"
                        ng-minlength="2" 
                        ng-maxlength="255"             
                    ></textarea>
                </lw-form-field>
                <!-- /Short_Description -->

                <!-- Items -->
                @include('bill.bill-items')
                <!-- /Items -->

            </div>

            <div class="card-footer text-right">

                <button type="button" class="btn btn-gray" ng-if="!BillAddCtrl.isGenerateBill" 
                    ng-click="BillAddCtrl.payLater()" 
                    title="<?= __tr('Pay Later') ?>">
                <?= __tr('Pay Later') ?></button>

                <a ui-sref="bill.general" class="btn btn-gray" ng-if="BillAddCtrl.isGenerateBill" 
                    title="<?= __tr('Pay Later') ?>">
                <?= __tr('Pay Later') ?></a>

                <button type="button" class="btn btn-primary" ng-show="canAccess('manage.transaction.write.process_pay_bill')"
                    ng-click="BillAddCtrl.pay()" 
                    title="<?= __tr('Pay') ?>">
                <?= __tr('Pay') ?></button>
                
            </div>

        </form>

    </div>

    <!-- succesInformationAlert template -->
    <script type="text/_template" id="succesInformationAlert">

        <div>
            <% if(__tData.bill_data) { %>
            <table class="table table-striped table-bordered table-borderless">
                <tbody>
                    <tr>
                        <th>Customer</th>
                        <td><%= __tData.customer_name %></td>
                    </tr>
                    <tr>
                        <th>Bill No.</th>
                        <td><%= __tData.bill_data.bill_no %></td>
                    </tr>
                    <tr>
                        <th>Status</th>
                        <td><%= __tData.bill_data.status %></td>
                    </tr>
                    <tr>
                        <th>Total Bill Amount</th>
                        <td><%= __tData.bill_data.amount %></td>
                    </tr>
                    <tr>
                        <th>Due Date</th>
                        <td><%= __tData.bill_data.due_date %></td>
                    </tr>
                    <tr>
                        <th>Bill Period From</th>
                        <td><%= __tData.bill_data.bill_period_from %></td>
                    </tr>
                    <tr>
                        <th>Bill Period To</th>
                        <td><%= __tData.bill_data.bill_period_to %></td>
                    </tr>
                </tbody>
            </table>
            <% } %>
            
        </div>
    </script>
    <!-- /succesInformationAlert template -->

<div>
