<?php 
/*
*  Component  : Bill
*  View       : Bill Controller
*  Engine     : BillEngine  
*  File       : bill.list.blade.php  
*  Controller : BillListController 
----------------------------------------------------------------------------- */
?>
<div ng-controller="BillListController as billListCtrl">

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                Manage Bills
            </h1>
            <div class="page-options d-flex">

                <a  ui-sref="generate_bill" title="<?= __tr('Generate New Bill') ?>" class="btn btn-sm btn-success" ng-if="canAccess('manage.bill.write.generate')">
                <i class="fe fe-plus"></i> <?= __tr('Generate New Bill') ?> </a>

                <!-- <button type="button" ng-click="billListCtrl.showUpcommingBills()" title="<?= __tr('Show Upcomming Bills') ?>" class="btn btn-sm btn-primary ml-2" ng-if="canAccess('manage.bill.read.upcomming_bills')">
                <i class="fe fe-info"></i> <?= __tr('Show Upcomming Bills') ?> </button> -->
            </div>

        </div>
    </div> 
    <!-- / main heading  -->

    <div class="card">

        <div class="card-body">

            <!-- Bills for Tabs -->
            <ul class="nav nav-tabs" role="tablist" id="manageBillsList">

                <li role="presentation" class="nav-item" ui-sref-active="active" class="active">
                    <a href="#general" class="nav-link" ng-click="billListCtrl.tabClick($event,'bill.general')" aria-controls="general" role="tab" data-toggle="tab" title="<?=  __tr('Unpaid/ Partial Paid/ Overdue')  ?>"><?=  __tr('Unpaid/ Partial Paid / Overdue')  ?></a>
                </li>
                
               <!--  <li role="presentation" class="nav-item" ui-sref-active="active">
                    <a href="#upcoming" class="nav-link" ng-click="billListCtrl.tabClick($event,'bill.upcoming')" aria-controls="upcoming" role="tab" title="<?=  __tr('Upcoming')  ?>" data-toggle="tab"><?=  __tr('Upcoming')  ?></a>
                </li> -->

                <li role="presentation" class="nav-item" ui-sref-active="active">
                    <a href="#paid" class="nav-link" ng-click="billListCtrl.tabClick($event,'bill.paid')" aria-controls="paid" role="tab" data-toggle="tab" title="<?=  __tr('Paid')  ?>"><?=  __tr('Paid')  ?></a>
                </li>

                <li role="presentation" class="nav-item" ui-sref-active="active">
                    <a href="#cancelled" class="nav-link" ng-click="billListCtrl.tabClick($event,'bill.cancelled')" aria-controls="cancelled" role="tab" data-toggle="tab" title="<?=  __tr('Cancelled')  ?>"><?=  __tr('Cancelled')  ?></a>
                </li>

            </ul>
            <!-- / Bills for Tabs -->

            <!-- Tab Content-->
            <div class="tab-content mt-5">

                <!-- Unpaid/ Partial Paid / OverDue Tab -->
                <div role="tabpanel" class="tab-pane fade in active" id="general">

                    <table class="table table-striped table-bordered" id="generalBill" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th><?= __tr('Bill No.') ?></th>
                                <th><?= __tr('Customer') ?></th>
                                <th><?= __tr('Status') ?></th>
                                <th><?= __tr('Bill Period') ?></th>
                                <th><?= __tr('Due On') ?></th>
                                <th class="text-right"><?= __tr('Total Amount') ?></th>
                                <th><?= __tr('Action') ?></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>

                </div>
                <!-- /Unpaid/ Partial Paid / OverDue Tab -->

                <!-- Upcoming Tab -->
               <!--  <div role="tabpanel" class="tab-pane fade" id="upcoming">
                    
                    <table class="table table-striped table-bordered" id="upcomingBill" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th><?= __tr('Bill No.') ?></th>
                                <th><?= __tr('Package') ?></th>
                                <th><?= __tr('Customer') ?></th>
                                <th><?= __tr('Bill Period') ?></th>
                                <th><?= __tr('Due On') ?></th>
                                <th><?= __tr('Total Amount') ?></th>
                                <th><?= __tr('Action') ?></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>

                </div> -->
                <!-- /Upcoming Tab -->

                <!-- Paid Tab -->
                <div role="tabpanel" class="tab-pane fade" id="paid">
                    
                    <table class="table table-striped table-bordered" id="paidBill" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th><?= __tr('Bill No.') ?></th>
                                <th><?= __tr('Customer') ?></th>
                                <th><?= __tr('Status') ?></th>
                                <th><?= __tr('Bill Period') ?></th>
                                <th><?= __tr('Due On') ?></th>
                                <th><?= __tr('Total Amount') ?></th>
                                <th><?= __tr('Action') ?></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
                <!-- /Paid Tab -->

                <!-- Cancelled Tab -->
                <div role="tabpanel" class="tab-pane fade" id="cancelled">

                    <table class="table table-striped table-bordered" id="cancelledBill" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th><?= __tr('Bill No.') ?></th>
                                <th><?= __tr('Customer') ?></th>
                                <th><?= __tr('Status') ?></th>
                                <th><?= __tr('Bill Period') ?></th>
                                <th><?= __tr('Due On') ?></th>
                                <th><?= __tr('Total Amount') ?></th>
                                <th><?= __tr('Action') ?></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                    
                </div>
                <!-- /Cancelled Tab -->

            </div> 
        
        </div>

        <!-- user package name template -->
        <script type="text/_template" id="billPackageNameColumnTemplate">
            <%- __tData.user_package_name %>
        </script>
        <!-- /user package name template -->


        <!-- amount name template -->
        <script type="text/_template" id="billAmountColumnTemplate">
            <%- __tData.formated_amount %>
        </script>
        <!-- /amount name template -->

        <!-- bill name template -->
        <script type="text/_template" id="billIdColumnTemplate">
            <%- __tData._uid %>
        </script>
        <!-- /bill name template -->

        <!-- bill name template -->
        <script type="text/_template" id="billActionTemplate">

        	<% if(__tData.currentTab == 3 && __tData.status == 3) { %>
        		<% if(__tData.view_bill_details) { %>
        			<a class="btn btn-sm btn-secondary" target="_blank" href="<%- __tData.printBillUrl %>"><i class="fe fe-print"></i> Print</a>
        		<% } %>
        	<% } %>

            <% if(__tData.status == 1) { %>

            	<% if(__tData.edit_bill) { %>
                	<button ui-sref="edit_bill({ 'billUid' : '<%- __tData._uid %>' })" class="btn-sm btn btn-secondary"><i class="fe fe-edit"></i> Edit</button>
                <% } %>

				<% if(__tData.cancel_bill) { %>
        			<button type="button" ng-click="billListCtrl.cancelBill('<%= __tData._uid %>', '<%= __tData.bill_uid %>')" class="btn-sm btn btn-warning">Cancel</button>
        		<% } %>
                
        		<% if(__tData.delete_bill) { %>
                	<button type="button" ng-click="billListCtrl.deleteBill('<%= __tData._uid %>', '<%= __tData.bill_uid %>')" class="btn-sm btn btn-danger"><i class="fe fe-trash-2"></i >Delete</button>
                <% } %>

        	<% } %>

            <% if(__tData.currentTab == 1 && (__tData.status == 1 || __tData.status == 2)) { %>
            
            	<% if(__tData.pay_bill) { %>
                	<button type="button" ng-click="billListCtrl.payBillAmount('<%= __tData._uid %>', '<%= __tData.bill_uid %>')" class="btn-sm btn btn-primary">Pay</button>
				<% } %>

            <% } %>
            

          <!--   <% if(__tData.currentTab == 2) { %>
         
                <a href title="Generate Next New Bill" ui-sref="renew_package_bill({userPackageId : '<%= __tData.user_package_uid %>' })"  class="btn-sm btn btn-success">Generate</a>
                
            <% } %> -->


        </script>
        <!-- /bill name template -->

        <!-- bill id template -->
        <script type="text/_template" id="billIdTemplate">
        	<% if(__tData.view_bill_details) { %>
            	<a href ng-click="billListCtrl.showDetailsDialog('<%= __tData._uid %>')"><%= __tData.bill_uid %></a>
        	<% } else { %>
        		<%= __tData.bill_uid %>
        	<% } %>
        </script>
        <!-- /bill id template -->

        <input type="hidden" id="lwBillCancelConfirm" data-message="<?= __tr('
            You want to cancel __name__ bill', ['__name__' => '<strong>[[ billListCtrl.deletingBillId ]]</strong>']) ?>" data-delete-button-text="<?= __tr('Yes, cancel it') ?>", success-msg="<?= __tr('Bill cancelled successfully.') ?>">

        <input type="hidden" id="lwBillDeleteConfirm" data-message="<?= __tr('
            You want to delete __name__ bill', ['__name__' => '<strong>[[ billListCtrl.deletingBillId ]]</strong>']) ?>" data-delete-button-text="<?= __tr('Yes, delete it') ?>", success-msg="<?= __tr('Bill deleted successfully.') ?>">
</div>