<?php	
    /*
    *  Component  : Bill
    *  View       : Bill Controller
    *  Engine     : BillEngine  
    *  File       : pay-remaining-amount-dialog.blade.php 
    *  Controller : PayBillAmountController 
    ----------------------------------------------------------------------------- */ 
?>
<div>

    <!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title"><?= __tr('Pay') ?></h3>
    </div> 
    <!-- /Modal Heading -->

    <!-- Add item dialog form -->
    <form class="ui form lw-form lw-ng-form" name="PayBillAmountCtrl.[[PayBillAmountCtrl.ngFormName]]" ng-submit="PayBillAmountCtrl.submit()" novalidate >

        <!-- Modal Body -->
        <div class="modal-body">
            
            <div ng-if="PayBillAmountCtrl.data.requestFrom">

                <div class="alert alert-success" ng-bind="PayBillAmountCtrl.data.message"></div>

                <table class="table table-striped table-bordered table-borderless">
                    <tbody>
                        <tr>
                            <th>Customer</th>
                            <td ng-bind="PayBillAmountCtrl.data.customer_name"></td>
                        </tr>
                        <tr>
                            <th>Bill Status</th>
                            <td ng-bind="PayBillAmountCtrl.data.bill_data.status"></td>
                        </tr>
                        <tr>
                            <th>Due Date</th>
                            <td ng-bind="PayBillAmountCtrl.data.bill_data.due_date"></td>
                        </tr>
                        <tr>
                            <th>Bill Period From</th>
                            <td ng-bind="PayBillAmountCtrl.data.bill_data.bill_period_from"></td>
                        </tr>
                        <tr>
                            <th>Bill Period To</th>
                            <td ng-bind="PayBillAmountCtrl.data.bill_data.bill_period_to"></td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <div>
                <fieldset class="lw-fieldset-2">

                <legend class="lw-fieldset-legend-font">
                    <?= __tr('Bill Payment Information') ?>
                </legend>

                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <?= __tr('No.') ?>
                        <span class="float-right">[[ PayBillAmountCtrl.paymentData.bill_no ]]</span>
                    </li>
                    <li class="list-group-item">
                        <?= __tr('Bill Amount') ?>
                        <span class="float-right">[[ PayBillAmountCtrl.paymentData.f_bill_amount ]]</span>
                    </li>
                    <li class="list-group-item">
                        <?= __tr('Paid Amount ') ?>
                        <span class="float-right">[[ PayBillAmountCtrl.paymentData.f_paid_amount ]]</span>
                    </li>
                    <li class="list-group-item">
                        <?= __tr('Balance Amount') ?>
                        <span class="float-right">[[ PayBillAmountCtrl.paymentData.f_balance_amount ]]</span>
                    </li>

                </ul>

                <fieldset>
            </div>

        	
	        <div class="form-row">
	        	<div class="col">
	        		<!-- Amount -->
		            <lw-form-field field-for="paying_amount" label="<?= __tr('Amount') ?>">
                
                        <div class="input-group">

                            <div class="input-group-prepend">
                                <span class="input-group-text" id="basic-addon1" ng-bind="getCurrencySymbol()"></span>
                            </div>

                            <input type="number" 
                                class="lw-form-field form-control" 
                                ng-model="PayBillAmountCtrl.payData.paying_amount" 
                                name="paying_amount"
                                ng-required="true"
                                min="0"
                                max="[[ PayBillAmountCtrl.paymentData.balance_amount ]]" >

                                <div class="input-group-append">
                                    <span class="input-group-text" ng-bind="getCurrency()"></span>
                                </div>
                            
                        </lw-form-field>

                    </div>
		            <!-- /Amount -->
	        	</div>
	        	<div class="col">

                    <lw-form-field field-for="payment_method" 
                        label="<?= __tr('Payment Method') ?>">
                        <select class="lw-form-field form-control"
                            name="payment_method"
                            ng-model="PayBillAmountCtrl.payData.payment_method"  ng-required="true">
                            <option ng-repeat="method in PayBillAmountCtrl.payment_methods" ng-value="method.id">
                                [[method.title]]
                            </option>
                        </select>
                    </lw-form-field>
        		</div>
	        </div>

            <!-- Short_Description -->
            <lw-form-field field-for="short_description" label="<?= __tr('Description') ?>">
                <textarea 
                    ng-model="PayBillAmountCtrl.payData.short_description"
                    cols="10" 
                    rows="3" 
                    class="lw-form-field form-control" 
                    name="short_description"
                    ng-minlength="2" 
                    ng-maxlength="255"             
                ></textarea>
            </lw-form-field>
            <!-- /Short_Description -->

        </div>
        <!-- /Modal Body -->

        <!-- Modal footer -->
        <div class="modal-footer">
        
            <button type="submit" class="lw-btn btn btn-primary" title="<?= __tr('Pay') ?>"><?= __tr('Pay') ?></button>
        </div>
        <!-- /Modal footer -->
    </form>

    

    <!-- succesInformationOfPaymentAlert template -->
    <script type="text/_template" id="succesInformationOfPaymentAlert">
        <div>
            <% if(__tData.transaction) { %>
            <table class="table table-striped table-bordered table-borderless">
                <tbody>
                    <tr>
                        <th>Bill No.</th>
                        <td><%= __tData.transaction.bill_no %></td>
                    </tr>
                    <tr>
                        <th>Bill Status</th>
                        <td><%= __tData.transaction.bill_status %></td>
                    </tr>
                    <tr>
                        <th>Total Bill Amount</th>
                        <td><%= __tData.transaction.bill_amount %></td>
                    </tr>
                    <tr>
                        <th>Paid Amount</th>
                        <td><%= __tData.transaction.paid_amount %></td>
                    </tr>
                    <tr>
                        <th>Balance Amount</th>
                        <td><%= __tData.transaction.balance_amount %></td>
                    </tr>
                </tbody>
            </table>
            <% } %>
            
        </div>
    </script>
    <!-- /succesInformationOfPaymentAlert template -->
</div>