<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title><?= e( getConfigurationSettings('name') ) ?> : <?= __tr('Print Bill') ?></title>
    
    <style>
    .paid-stamp:after {
	    content:"PAID";
	    position:absolute;
	    font-size:40px;
	    color:blue;
	    border:solid 4px blue;
	    padding:10px;
	    border-radius:5px;
	    opacity:0.3;
	}
    .invoice-box {
        max-width: 800px;
        margin: auto;
        padding: 30px;
        border: 1px solid #eee;
        box-shadow: 0 0 10px rgba(0, 0, 0, .15);
        font-size: 16px;
        line-height: 24px;
        font-family: 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
        color: #555;
    }
    
    .invoice-box table {
        width: 100%;
        line-height: inherit;
        text-align: left;
    }
    
    .invoice-box table td {
        padding: 5px;
        vertical-align: top;
    }
    
    .invoice-box table tr.top table td {
        padding-bottom: 20px;
    }
    
    .invoice-box table tr.top table td.title {
        font-size: 45px;
        line-height: 45px;
        color: #333;
    }
    
    .invoice-box table tr.information table td {
        padding-bottom: 40px;
    }
    
    .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
    }
    
    .invoice-box table tr.details td {
        padding-bottom: 20px;
    }
    
    .invoice-box table tr.item td{
        border-bottom: 1px solid #eee;
        padding-top: 10px;
        padding-bottom : 10px;
    }
    
    .invoice-box table tr.item.last td {
        border-bottom: none;
    }
    
    .invoice-box table tr.total td {
        font-weight: bold;
    }
    
    @media only screen and (max-width: 600px) {
        .invoice-box table tr.top table td {
            width: 100%;
            display: block;
            text-align: center;
        }
        
        .invoice-box table tr.information table td {
            width: 100%;
            display: block;
            text-align: center;
        }
    }
    
    /** RTL **/
    .rtl {
        /*direction: rtl;*/
        font-family: Tahoma, 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
    }
    
  /*  .rtl table {
        text-align: right;
    }*/
    
    .rtl table tr td:nth-child(2) {
        text-align: left;
    }
    .text-right {
        text-align: right;
    }
    .text-center {
        text-align: center;
    }

    .no-border {
        border: 0;
    }

    .total-border {
    	border-top: 3px solid #eee;
    }
    </style>
</head>

<body>
    <div class="invoice-box">
        <table cellpadding="0" cellspacing="0">
            <tr class="top">
                <td colspan="2">
                    <table>
                        <tr>
                            <td class="title">
                                <img src="<?=  getConfigurationSettings('logo_image_url')  ?>" style="width:100%; max-width:170px;">
                            </td>
                            <td class="text-right">
                                Invoice: #<?= $bill['bill_no'] ?><br>
                                Generated On: January 1, 2015<br>
                                Due: <?= $bill['due_date'] ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            
            <tr class="information">
                <td colspan="2">
                    <table>
                        <tr>
                            <td width="35%">
                            	<strong>From :</strong><br>
                                <?= $bill['store_name'] ?><br>
                                <?= $bill['store_address'] ?>
                            </td>
                            <td width="35%">
                            	<strong>To :</strong><br>
                                <?= $bill['customer_name'] ?><br>
                                <?= $bill['address_line_1'] ?><br>
                                <?= $bill['address_line_2'] ?><br>
                                <?= $bill['country_name'] ?><br>
                                Contact : <?= $bill['mobile_number'] ?>
                            </td>
                            <td>
                            	<div class="paid-stamp"></div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <table cellpadding="0" cellspacing="0">
            <tr class="heading">
                <td colspan="2">
                    Description
                </td>
                
                <td>
                    Amount
                </td>
            </tr>

            @if (!empty($bill['bill_items']))
				@foreach ($bill['bill_items'] as $item)
			   	 	<tr class="item">
			   	 		<td colspan="2"><?= $item['package_title'] ?></td>
                        <td class="text-right"><?= $item['package_amount'] ?></td>
                    </tr>
				@endforeach
			@else
			    <tr>                     
                    <td colspan="3" class="text-center">There are no items</td>
                </tr>
			@endif

			<tbody>
                <tr class="total">
                	<td width="50%" class="total-border"></td>
                	<td width="25%" class="total-border"><h4>Total Items Amount</h4></td>
                    <td class="total-border"><h4 class="text-right"><?= $bill['totalAmount'] ?></h4></td>
                </tr>
                <tr class="total">
                	<td class="no-border"></td>
                    <td class="total-border"><h4>Tax Amount</h4></td>
                    <td class="total-border"><h4 class="text-right"><?= $bill['tax_amount'] ?></h4></td>
                </tr>
                <tr class="total">
                	<td class="no-border"></td>
					<td class="total-border"><h4>Discount Amount</h4></td>
					<td class="total-border"><h4 class="text-right"><strong><?= $bill['discount_amount'] ?></strong></h4></td>
                </tr>
                <tr class="total">
                	<td class="no-border"></td>
                	<td class="total-border"><h4>Total Payable Amount</h4></td>
                    <td class="total-border"><h4 class="text-right"><strong><?= $bill['totalPayableAmount'] ?></strong></h4></td>
                </tr>
            </tbody>
        </table>
    </div>
</body>
</html>

<script type="text/javascript">
    window.print();

    var divToPrint=document.getElementById('lwPrintPreview');

    $('<iframe>', {
        name: 'myiframe',
        class: 'lwPrintFrame'
    }).appendTo('body').contents().find('body').append(divToPrint.innerHTML);

    window.frames['myiframe'].focus();
    window.frames['myiframe'].print();

    setTimeout(() => { $(".printFrame").remove(); }, 1000)
</script>