<?php	
    /*
    *  Component  : Bill
    *  View       : Bill Controller
    *  Engine     : BillEngine  
    *  File       : bill.upcommig-details.blade.php  
    *  Controller : ShowUpCommingBillsController 
    ----------------------------------------------------------------------------- */ 
?>

<div>

    <!-- Modal Heading -->
    <div class="modal-header">
        <h3>Upcomming Bills</h3>
    </div> 
    <!-- /Modal Heading -->

    <!-- Modal Body -->
    <div class="modal-body">

        <div class="alert alert-info" ng-if="ShowUpCommingBillsCtrl.details.length == 0">There are no upcomming bills or may be already generated.</div>

        <div ng-if="ShowUpCommingBillsCtrl.details.length > 0" ng-repeat="detail in ShowUpCommingBillsCtrl.details">

            <fieldset class="lw-fieldset-2">

                <legend class="lw-fieldset-legend-font">Items</legend>

                <div>
                    <strong class=""> Customer </strong> : 
                    <span ng-bind="detail.customer"></span>
                </div>

                <div>
                    <strong class="">Bill Period </strong> : 
                    <span ng-bind="detail.bill_period_from"></span> <strong>To</strong> <span ng-bind="detail.bill_period_to"></span>
                </div>
                <div>
                    <strong class="">Bill Due Date </strong> : 
                    <span ng-bind="detail.due_date"></span>
                </div>
                <div>
                    <strong class="">Frequency </strong> : 
                    <span ng-bind="detail.formated_frequency"></span>
                </div>

                <table class="table table-striped table-bordered">
                    <thead>
                        <tr>
                            <th>Item Description</th>
                            <th class="text-right">Item Amount</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>                     
                            <td ng-bind-html="detail.items.short_description"></td>
                            <td class="text-right" width="25%" ng-bind="detail.items.amount"></td>
                        </tr>
                        <tr>
                            <td><small class="float-right">Total Items Amount</small></td>
                            <td>
                                <div>
                                    <h4>
                                        <strong class="float-right" ng-bind="detail.amount"></strong>
                                    </h4>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><small class="float-right">Tax Amount</small></td>
                            <td>
                                <div>
                                    <h4>
                                        <span class="float-right" ng-bind="detail.tax_amount"></span>
                                    </h4>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><small class="float-right">Discount Amount</small></td>
                            <td>
                                <div>
                                    <h4>
                                        
                                        <span class="float-right" ng-bind="detail.discount_amount"></span>
                                    </h4>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </fieldset>
        </div>

    </div>
    <!-- / Modal Body -->

     <!-- Modal footer -->
     <div class="modal-footer">

        <button type="button" 
            title="<?= __tr('Close') ?>" 
            class="btn btn-secondary" 
            ng-click="ShowUpCommingBillsCtrl.closeDialog()">
            <?= __tr('Close') ?>
        </button>

    </div>
    <!-- /Modal footer -->

<div>