<?php
/*
*  Component  : Configuration
*  View       : General Dialog
*  Engine     : ConfigurationEngine
*  File       : general.blade.php
*  Controller : GeneralController
----------------------------------------------------------------------------- */
?>
<div>
    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                General Settings
            </h1>
        </div>
    </div>
    <!-- / main heading  -->
    <div ng-include src="'lw-settings-update-reload-button-template.html'"></div>

    <input type="hidden" id="lwGeneralSettingTxtMsg" loading-text="<?= __tr('Upload in Process') ?>"
           logo-empty-file-text="<?= __tr('Only PNG images are expected') ?>"
           file-uploaded-text="<?= __tr('File Uploaded') ?>">
    <div class="card">

        <!-- Start Form -->
        <form class="lw-form lw-ng-form" name="generalCtrl.[[ generalCtrl.ngFormName ]]"
              ng-submit="generalCtrl.submit()"
              novalidate>

            <div class="card-body">

                <div class="form-row">
                    <div class="col">
                        <lw-form-field field-for="name" label="<?= __tr('Business Name') ?>">
                            <input type="text" class="lw-form-field form-control" autofocus name="name"
                                   ng-required="true" min="2" max="30"
                                   ng-model="generalCtrl.editData.name"/>
                        </lw-form-field>
                    </div>
                    <div class="col">
                        <!-- System Email -->
                        <lw-form-field field-for="business_email" title="System email will be used for the from email"
                                       label="<?= __tr('Email Address') ?>">
                            <input type="email"
                                   class="lw-form-field form-control"
                                   name="business_email"
                                   ng-required="true"
                                   ng-model="generalCtrl.editData.business_email"/>
                        </lw-form-field>
                        <!-- System Email -->
                    </div>
                    <div class="col">
                        <lw-form-field field-for="contact" label="Contact">
                            <input type="text" class="lw-form-field form-control"
                                   ng-model="generalCtrl.editData.contact" name="contact" placeholder="Contact">
                        </lw-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col">
                        <lw-form-field field-for="website" label="website">
                            <input type="text" class="lw-form-field form-control"
                                   ng-model="generalCtrl.editData.website"
                                   name="website" placeholder="Website">
                        </lw-form-field>
                    </div>
                    <div class="col">
                        <lw-form-field field-for="openon" label="<?=  __tr('Open On')  ?>">
                            <input type="text"
                                   class="lw-form-field form-control"
                                   name="openon"
                                   lw-time-picker
                                   options="[[ generalCtrl.dateTimePickerOptions ]]"
                                   {{--                                   ng-required="true"--}}

                                   {{--                                   ng-change="NewCustomerPackageCtrl.getExpiryData(NewCustomerPackageCtrl.assignData.packageDetails.starts_at, NewCustomerPackageCtrl.assignData.packageDetails.selected_package_frequency)"--}}
                                   ng-model="generalCtrl.editData.openon"/>
                        </lw-form-field>
                    </div>
                    <div class="col">
                        <lw-form-field field-for="closeon" label="<?=  __tr('Close On')  ?>">
                            <input type="text"
                                   class="lw-form-field form-control"
                                   name="closeon"
                                   lw-time-picker
                                   options="[[ generalCtrl.dateTimePickerOptions ]]"
                                   {{--                                   ng-change=""--}}
                                   ng-model="generalCtrl.editData.closeon"
                            />
                        </lw-form-field>
                    </div>
                </div>
                <!-- Select logo_image -->
                <div class="form-group">
                    <fieldset class="lw-fieldset-2">
                        <legend class="lw-fieldset-legend-font">
                            <?= __tr('Favicon & Logo') ?>
                        </legend>

                        <!-- Upload image -->
                        <div class="form-group">
                            <div class="text-center">
                                @include('media.upload-button')
                            </div>
                        </div>
                        <!-- / Upload image -->

                        <div class="alert alert-info">
                            <strong>Note : </strong>Recomended height for Logo is 50 pixels.
                        </div>
                        <div class="form-row">

                            <div class="col">

                                <!-- New Favicon image -->
                                <lw-form-selectize-field field-for="favicon_image" label="<?= __tr('New Favicon') ?>"
                                                         class="lw-selectize"><span
                                            class="badge lw-badge">[[ generalCtrl.faviconFilesCount ]]</span>
                                    <selectize config='generalCtrl.imagesSelectConfig' class="lw-form-field"
                                               name="favicon_image" ng-model="generalCtrl.editData.favicon_image"
                                               options='generalCtrl.faviconFiles'
                                               placeholder="<?= __tr('Only ICO images are allowed') ?>"></selectize>
                                </lw-form-selectize-field>
                                <!-- New Favicon image -->

                            </div>

                            <div class="col">

                                <!-- New Logo image -->
                                <lw-form-selectize-field field-for="logo_image" label="<?= __tr('New Logo') ?>"
                                                         class="lw-selectize"><span
                                            class="badge lw-badge">[[ generalCtrl.logoFilesCount ]]</span>
                                    <selectize config='generalCtrl.imagesSelectConfig' class="lw-form-field"
                                               name="logo_image" ng-change="generalCtrl.checkLogo(1)"
                                               ng-model="generalCtrl.editData.logo_image"
                                               options='generalCtrl.logoFiles'
                                               placeholder="<?= __tr('Only PNG images are allowed') ?>"></selectize>

                                </lw-form-selectize-field>
                                <!-- New Logo image -->
                            </div>

                        </div>

                    </fieldset>

                </div>
                <!--/ Select logo_image -->

                <!-- company address -->
                <lw-form-field field-for="company_address" label="<?= __tr('Bio') ?>">
                    <textarea
                            class="lw-form-field form-control"
                            name="bio"
                            placeholder="Enter bio"
                            ng-model="generalCtrl.editData.bio">
                    </textarea>
                </lw-form-field>
                <lw-form-field field-for="address" label="<?= __tr('Address') ?>">
                    <textarea
                            class="lw-form-field form-control"
                            name="address"
                            placeholder="Enter address"
                            ng-model="generalCtrl.editData.address">
                    </textarea>
                </lw-form-field>
                <!-- company address -->
                <div class="alert alert-info">
                    <span ng-if="generalCtrl.editData.enable_credit_info">
                        Show
                    </span>
                    <span ng-if="!generalCtrl.editData.enable_credit_info">
                        Hide
                    </span>
                    Software Development Credit Information in Footer.
                    <span ng-if="generalCtrl.editData.enable_credit_info">
                        Thank You. <i class="fa fa-smile-o fa-2x"></i>
                    </span>
                    <span ng-if="!generalCtrl.editData.enable_credit_info">
                        anyway, Thank You. <i class="fa fa-frown-o fa-2x"></i>
                    </span>
                </div>

            </div>

            <div class="card-footer text-right">
                <button type="submit" class="btn btn-primary"
                        title="<?= __tr('Update') ?>"><?= __tr('Update') ?></button>
            </div>

        </form>
        <!-- / Start Form -->

    </div>

    <!-- New logo drop down list item template -->
    <script type="text/_template" id="imageListItemTemplate">
        <div class="lw-selectize-item">
            <span class="lw-selectize-item-thumb"><img src="<%= __tData.path %>"/> </span> <span
                    class="lw-selectize-item-label"><%= __tData.name%></span>
        </div>
    </script>
    <!-- /New logo drop down list item template -->

    <!-- New logo drop down list options template -->
    <script type="text/_template" id="imageListOptionTemplate">
        <div class="lw-selectize-item">
            <span class="lw-selectize-item-thumb"><img src="<%= __tData.path %>"/> </span> <span
                    class="lw-selectize-item-label"><%= __tData.name%></span>
        </div>
    </script>
    <!-- /New logo drop down list options template -->

</div>
