<?php 
/*
*  Component  : Item
*  View       : Item Controller
*  Engine     : ItemEngine  
*  File       : add-slot-dialog.blade.php  
*  Controller : ItemSlotAddController
----------------------------------------------------------------------------- */
?>
<div>

    <!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title"><?= __tr('Add Slot') ?></h3>
    </div> 
    <!-- /Modal Heading -->

    <!-- Add item dialog form -->
    <form class="ui form lw-form lw-ng-form" name="ItemSlotAddCtrl.[[ItemSlotAddCtrl.ngFormName]]" ng-submit="ItemSlotAddCtrl.submit()" novalidate >

        <!-- Modal Body -->
        <div class="modal-body">

            <!-- Slot -->
            <div class="mt-5">

                <fieldset class="lw-fieldset-2">

                    <legend class="lw-fieldset-legend-font"><h3>Slots</h3></legend>

                    <div class="p-2">
                        <table class="table table-hover">
                            <thead>
                                <tr>
                                    <th scope="col">Title</th>
                                    <th scope="col">Frequency</th>
                                    <th scope="col">Slot Duration (In Min)</th>
                                    <th scope="col">Start Time</th>
                                </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="slot in ItemSlotAddCtrl.itemSlotData.slots" >
                                <td>
                                    <!-- Title -->
                                    <lw-form-field field-for="slot_title_[[slot.rowId]]" v-label="<?= __tr('Title') ?>" label=''>
                                        <input type="slot_title_[[slot.rowId]]" 
                                            class="lw-form-field form-control" 
                                            ng-model="slot.title" 
                                            name="slot_title_[[slot.rowId]]"   
                                            ng-required="true"       
                                            ng-minlength="2"       
                                            ng-maxlength="150"             
                                        />
                                    </lw-form-field>
                                    <!-- /Title -->
                                </td>
                                <td>
                                    <!-- Slot Frequency -->
                                    <lw-form-field field-for="slot_frequency_[[slot.rowId]]" label="" v-label='Frequency'>
                                        <selectize 
                                            ng-disabled="true"
                                            config="ItemSlotAddCtrl.slotFrequencyOp"
                                            class="lw-form-field form-control" 
                                            id="slot_frequency_[[slot.rowId]]" 
                                            ng-model="slot.slot_frequency" 
                                            name="slot_frequency_[[slot.rowId]]"   
                                            ng-required="true"
                                            readonly
                                            options="ItemSlotAddCtrl.itemConfig.slot_frequency_config">
                                        </selectize>
                                    </lw-form-field>
                                    <!-- /Slot Frequency -->
                                </td>

                                <td>
                                    <!-- Duration In Minutes -->
                                    <lw-form-field field-for="slot_duration_minutes_[[slot.rowId]]" v-label="<?= __tr('Duration') ?>" label>
                                        <input type="number" 
                                            class="lw-form-field form-control" 
                                            ng-model="slot.slot_duration_minutes" min="1" 
                                            name="slot_duration_minutes_[[slot.rowId]]"   
                                            ng-required="true"              
                                        />
                                    </lw-form-field>
                                    <!-- /Duration In Minutes -->
                                </td>
                                <td> 
                                    <!-- Slot Time -->
                                    <lw-form-field field-for="slot_time_[[slot.rowId]]" v-label="<?= __tr('Time') ?>" label>
                                    
                                        <div class="input-group input-group-sm">

                                            <input type="text" 
                                                class="lw-form-field form-control" 
                                                ng-model="slot.slot_time" 
                                                name="slot_time_[[slot.rowId]]"   
                                                ng-required="true" 
                                                readonly="readonly"
                                                lw-time-picker           
                                            />

                                            <div class="input-group-append">

                                                <button type="button" class="btn btn-outline-danger" ng-if="ItemSlotAddCtrl.itemSlotData.slots.length <= 1" disabled><i class="fe fe-delete"></i></button> 

                                                <button type="button" class="btn btn-outline-danger" ng-if="ItemSlotAddCtrl.itemSlotData.slots.length > 1" ng-click="itemEditCtrl.removeRow($index)"><i class="fe fe-delete"></i></button> 
                                                
                                            </div>

                                    </lw-form-field>
                                    <!-- /Slot Time -->
                                </td>
                            </tr>
                            <tr>
                                <td colspan="5">
                                    <!-- Add More Slots -->
                                    <button  type="button" class="btn btn-sm btn-primary float-right" ng-click="ItemSlotAddCtrl.addNewRow()">Add Slot</button>
                                    <!-- /Add More Slots -->
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>

                </fieldset>

            </div>
            <!-- / Slot -->

        </div>
        <!-- /Modal Body -->

        <!-- Modal footer -->
        <div class="modal-footer">
        
            <button type="submit" class="lw-btn btn btn-primary" title="<?= __tr('Add') ?>"><?= __tr('Add') ?></button>

            <button type="button" title="<?= __tr('Cancel') ?>" class="lw-btn btn btn-lite" ng-click="ItemSlotAddCtrl.closeDialog()"><?= __tr('Cancel') ?></button>
        </div>
        <!-- /Modal footer -->
    </form>
</div>