<?php 
/*
*  Component  : Item
*  View       : Item Controller
*  Engine     : ItemEngine
*  File       : details-dialog.blade.php  
*  Controller : itemDetailsCtrl
----------------------------------------------------------------------------- */
?> 
<div>

    <!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title">Item Details: <span ng-bind="itemDetailsCtrl.details.title"></span></h3>
    </div>
    <!-- /Modal Heading -->

    <!-- Modal Body -->
    <div class="modal-body">

        <ul ng-if="itemDetailsCtrl.details.short_description" class="list-group list-group-flush">
            <li class="list-group-item">
                <?= __tr('Description') ?>
                <span class="float-right" ng-bind="itemDetailsCtrl.details.short_description"></span>
            </li>
        </ul>

        <!-- Slot -->
        <div class="mt-5" ng-if="itemDetailsCtrl.details.slots.length > 0">

            <fieldset class="lw-fieldset-2">

                <legend class="lw-fieldset-legend-font"><h3>Slots</h3></legend>

                <div class="p-2">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th scope="col">Title</th>
                                <th scope="col">Frequency</th>
                                <th scope="col">Slot Duration</th>
                                <th scope="col">Start Time</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="slot in itemDetailsCtrl.details.slots" >
                                <td ng-bind="slot.title"></td>
                                <td ng-bind="slot.slot_frequency"></td>
                                <td ng-bind="slot.slot_duration_minutes"></td>
                                <td ng-bind="slot.slot_time"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>

            </fieldset>

        </div>
        <!-- / Slot -->

    </div>
    <!-- /Modal Body -->
    
    <!-- Modal footer -->
    <div class="modal-footer">
        
        <button type="button" title="<?= __tr('Close') ?>" class="btn btn-lite" ng-click="itemDetailsCtrl.closeDialog()"><?= __tr('Close') ?></button>
    </div>
    <!-- /Modal footer -->

</div>