<?php 
/*
*  Component  : Item
*  View       : Item Controller
*  Engine     : ItemEngine  
*  File       : item.list.blade.php  
*  Controller : ItemListController 
----------------------------------------------------------------------------- */
?>
<div>

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                Manage Items
            </h1>
            <div class="page-options d-flex">

                <button type="button" ng-if="canAccess('manage.item.write.create')" title="<?= __tr('Add New Item') ?>" class="btn btn-sm btn-primary" ng-click="itemListCtrl.openAddDialog()">
                <i class="fe fe-plus"></i> <?= __tr('New Item') ?> </button>

                <button type="button" ng-if="canAccess('manage.package.write.create')" 
                    title="<?= __tr('Create Package') ?>" class="btn btn-sm btn-gray ml-2" ui-sref="package_add">
                    <i class="fe fe-plus"></i> 
                    <?= __tr('Create Package') ?>
                </button>

            </div>
        </div>
    </div>
    <!-- / main heading  -->

    <div class="card">
        <div class="card-body">
            <table class="table table-striped table-bordered" id="lwitemList" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th><?= __tr('Title') ?></th>
                        <th><?= __tr('Type') ?></th>
                        <th><?= __tr('Status') ?></th>
                        <th><?= __tr('Created At') ?></th>
                        <th><?= __tr('Updated At') ?></th>
                        <th><?= __tr('Action') ?></th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>

            <div ui-view></div>

        </div>
    </div>
    
        
</div> 

<!-- action template -->
<script type="text/_template" id="itemActionColumnTemplate">

<% if(__tData.can_edit_item) { %>
	<!-- button -->
	<button title="<?= __tr('Edit Item') ?>" class="btn btn-sm btn-secondary" ng-click="itemListCtrl.openEditDialog('<%- __tData._uid %>')">
    <i class="fe fe-edit"></i> Edit</button>
	<!--/ button --> 
<% } %>
<% if(__tData.can_delete_item) { %>
    <!-- button -->
    <button class="btn btn-danger btn-sm" title="<?= __tr('Delete') ?>" ng-click="itemListCtrl.delete('<%- __tData._uid %>', '<%- _.escape(__tData.title) %>')"><i class="fe fe-trash-2"></i> Delete</button>
    <!--/ button -->
<% } %>
</script>
<!-- /action template -->

<!-- Item delete dialog template -->
<script type="text/ng-template" id="lw-item-delete-dialog.ngtemplate">
    <p><?= __tr('Are you sure you want to delete this Item?') ?></p>
    <div class="ngdialog-buttons">
        <button type="button" title="<?= __tr('Yes') ?>" class="btn btn-primary btn-sm" ng-click="confirm()"><i class="trash icon"></i> <?= __tr('Yes') ?>            </button>
        <button type="button" title="<?= __tr('No') ?>" class="btn btn-lite btn-sm" ng-click="closeThisDialog()"><?= __tr('No') ?></button>
    </div>
</script>
<!-- /Item delete dialog template -->

<!-- Item delete dialog template -->
<script type="text/_template" id="dTitleTemplate">

<% if(__tData.view_item_details) { %>
   <a href ng-click="itemListCtrl.showDetails('<%- __tData._uid %>')"" class="btn-link"> <%- __tData.title %></a>
<% } else { %>
    <%- __tData.title %>
<% } %>

</script>
<!-- /Item delete dialog template -->

<!-- Item delete dialog template -->
<script type="text/_template" id="dtCreatedAtTemplate">
    <%- __tData.formated_created %>
</script>
<!-- /Item delete dialog template -->



<!-- Item delete dialog template -->
<script type="text/_template" id="dtUpdatedAtTemplate">
    <%- __tData.formated_updated_at %>
</script>
<!-- /Item delete dialog template -->


<!-- Item price dialog template -->
<script type="text/_template" id="dtPriceTemplate">
    <%- __tData.formated_price %>
</script>
<!-- /Item price dialog template -->

<input type="hidden" id="lwItemDeleteConfirm" data-message="<?= __tr( 'You want to delete __name__ item.', [ '__name__' => '[[ itemListCtrl.deletingItemName ]]'
                    ]) ?>" data-delete-button-text="<?= __tr('Yes, delete it') ?>", success-msg="<?= __tr('Item deleted successfully.') ?>">