<?php	
/*
*  Component  : Package
*  View       : Package Controller
*  Engine     : PackageEngine  
*  File       : package.list.blade.php  
*  Controller : PackageAddController 
----------------------------------------------------------------------------- */ 
?>

<div>

    <!--  main heading  -->
    <div class="lw-section-heading-block">

        <div class="page-header">

            <h3 class="page-title lw-display-inherit">
                <a ui-sref="package" class="btn-link" title="Manage Packages">Manage Packages</a> 
                <div>
                    &nbsp;&raquo;&nbsp;Create Package
                </div> 
            </h3>
        </div>
    </div> 
    <!-- / main heading  -->

    <div class="card">

        <form class="lw-form lw-ng-form" name="packageAddCtrl.[[packageAddCtrl.ngFormName]]"  novalidate >

            <div class="card-body">

                <!-- Title -->
                <lw-form-field field-for="title" label="<?= __tr('Title') ?>">
                    <input type="text" 
                        class="lw-form-field form-control"
                        ng-model="packageAddCtrl.packageData.title" name="title"   
                        ng-required="true"                   
                        />
                </lw-form-field>
                <!-- /Title -->

                <!-- Description -->
                <lw-form-field field-for="short_description" label="<?= __tr('Description') ?>">
                    <textarea 
                        ng-model="packageAddCtrl.packageData.short_description"
                        cols="10" 
                        rows="3" 
                        class="lw-form-field form-control" 
                        name="short_description"
                        ng-minlength="2"  
                        ng-maxlength="255"         
                    ></textarea>
                </lw-form-field>
                <!-- /Description -->

                <!-- Items -->
                <div>
                    
                    <fieldset class="lw-fieldset-2">

                        <legend class="lw-fieldset-legend-font"><h4>Items</h4></legend>
                        
                        <div class="row">

                            <div class="col">
                                <ul class="list-group">

                                    <li class="list-group-item list-group-item-secondary">Services</li>

                                    <li class="list-group-item" ng-repeat="service in packageAddCtrl.packageitems.services">

                                        <div class="custom-control custom-checkbox" >
                                            <input class="custom-control-input" type="checkbox" ng-change="packageAddCtrl.calculatePackagePrice()" name="services_[[ service.title ]]" id="service_[[service.title]]" ng-model="packageAddCtrl.packageitems.services[$index].checked">
                                            <label class="custom-control-label" for="service_[[service.title]]">
                                                [[service.title]]
                                            </label>
                                        </div>

                                    </li>

                                    <li class="text-center list-group-item" ng-if="packageAddCtrl.packageitems.services.length == 0">There are no services.</li>
                                </ul>
                            </div>

                            <div class="col">

                                <ul class="list-group">
                                    <li class="list-group-item list-group-item-secondary">Products</li>
                                    <li class="text-center list-group-item" ng-if="packageAddCtrl.packageitems.products.length == 0">There are no products.</li>
                                    <li ng-if="packageAddCtrl.packageitems.products.length > 1" class="list-group-item" ng-repeat="product in packageAddCtrl.packageitems.products">

                                        <div class="custom-control custom-checkbox" >
                                            <input class="custom-control-input" type="checkbox" ng-change="packageAddCtrl.calculatePackagePrice()" name="products_[[product.title]]" id="product_[[product.title]]" ng-model="packageAddCtrl.packageitems.products[$index].checked">
                                            <label class="custom-control-label" for="product_[[product.title]]">
                                                [[product.title]]
                                            </label>
                                        </div>

                                    </li>
                                </ul>
                            </div>
                        </div>
                    </fieldset>
                </div>

                <fieldset class="lw-fieldset-2">
                    <legend class="lw-fieldset-legend-font"><h4>Prices And Frequencies</h4></legend>
                    <div class="form-row">
                        <div class="col-6" ng-repeat="frequency in packageAddCtrl.packageFrequencies">

                            <lw-form-field field-for="package_frequency.[[frequency.id]].package_price" label='[[frequency.title]] Price'>

                                <div class="input-group" >
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">
                                            <input type="checkbox" 
                                                id="package_frequency_[[frequency.id]]" 
                                                ng-model="packageAddCtrl.packageData.package_frequency[ frequency.id ].checked" 
                                                name="package_frequency_[[frequency.id]]">
                                        </div>
                                    </div>

                                    <div class="input-group-prepend">
                                        <div class="input-group-text" ng-bind="getCurrencySymbol()">
                                        </div>
                                    </div>
                                    
                                    <input type="number" 
                                        class="lw-form-field form-control"
                                        ng-model="packageAddCtrl.packageData.package_frequency[ frequency.id ].package_price"
                                        name="package_frequency.[[frequency.id]].package_price"
                                        ng-required="packageAddCtrl.packageData.package_frequency[ frequency.id ].checked" 
                                        placeholder="Enter package price as per [[frequency.title]]"
                                        ng-disabled="packageAddCtrl.packageData.package_frequency[ frequency.id ].checked !== true">
                                </div>

	                        </lw-form-field>
                        </div>
                     </div>
                </fieldset>

                <!-- Status -->
                <lw-form-checkbox-field field-for="status" v-label="<?=  __tr( 'status' )  ?>">

                    <label class="">


                        <input type="checkbox" 
                            ng-model="packageAddCtrl.packageData.status"  
                            name="status" 
                            id="status"
                            class="custom-switch-input"
                            ng-true-value="1"
                            ng-false-value="2">
                        <span class="custom-switch-indicator"></span>
                        <span class="custom-switch-description">Status</span>

                    </label>

                </lw-form-checkbox-field>
                <!-- /Status -->

            </div>

            <div class="card-footer text-right">
                
                <!-- Back  -->
                <a ui-sref="package" title="<?= __tr('Back') ?>" class="btn btn-gray"><?= __tr('Back') ?></a>
                <!-- /Back  -->

                <button type="submit"  ng-click="packageAddCtrl.submit($event)" class="btn btn-primary" title="<?= __tr('Create') ?>"> <?= __tr('Create') ?></button>

            </div>

        </form>

    </div>

</div>