<?php  
/*
*  Component  : Package
*  View       : Package Controller
*  Engine     : PackageEngine 
*  File       : edit.blade.php  
*  Controller : PackageEditController 
----------------------------------------------------------------------------- */
?> 
<div >

    <!--  main heading  -->
    <div class="lw-section-heading-block">

        <div class="page-header">

            <h3 class="page-title lw-display-inherit">
                <a ui-sref="package" class="btn-link" title="Manage Packages">Manage Packages</a> 
                <div>
                    &nbsp;&raquo;&nbsp; Edit <span ng-bind="::packageEditCtrl.packageData.title"></span> Package
                </div> 
            </h3>
        </div>
    </div> 
    <!-- / main heading  -->

    <div class="card">

        <form class="lw-form lw-ng-form" name="packageEditCtrl.[[packageEditCtrl.ngFormName]]"  novalidate >
            
            <div class="card-body">
                <!-- Title -->
                <lw-form-field field-for="title" label="<?= __tr('Title') ?>">
                    <input type="text" 
                    class="lw-form-field form-control" 
                    ng-model="packageEditCtrl.packageData.title" name="title"   
                    ng-required="true"                   
                />
                </lw-form-field>
                <!-- /Title -->

                <!-- Status -->
                <lw-form-checkbox-field field-for="status" v-label="<?=  __tr( 'status' )  ?>">

                    <label>
                        <input type="checkbox" 
                            ng-model="packageEditCtrl.packageData.status"  
                            name="status" 
                            id="status"
                            class="custom-switch-input"
                            ng-true-value="1"
                            ng-false-value="2">
                        <span class="custom-switch-indicator"></span>
                        <span class="custom-switch-description">Status</span>

                    </label>

                </lw-form-checkbox-field>
                <!-- /Status -->

                <!-- Short Description -->
                <lw-form-field field-for="short_description" label="<?= __tr('Description') ?>">
                    <textarea
                        ng-model="packageEditCtrl.packageData.short_description"
                        cols="10" 
                        rows="3" 
                        class="lw-form-field form-control"
                        name="short_description"             
                        ></textarea>
                </lw-form-field>
                <!-- /Short Description -->

                <!-- Items -->
                <div>
                    
                    <fieldset class="lw-fieldset-2">

                        <legend class="lw-fieldset-legend-font"><strong>Items</strong></legend>
                        
                        <div class="row">

                            <div class="col">
                                <ul class="list-group">

                                    <li class="list-group-item list-group-item-secondary">Services</li>

                                    <li class="list-group-item" ng-repeat="service in packageEditCtrl.packageitems.services">

                                        <div class="custom-control custom-checkbox" >
                                            <input class="custom-control-input" type="checkbox" ng-change="packageEditCtrl.calculatePackagePrice()" name="services_[[ service.title ]]" id="service_[[service.title]]" ng-model="packageEditCtrl.packageitems.services[$index].checked">
                                            <label class="custom-control-label" for="service_[[service.title]]">
                                                [[service.title]]
                                            </label>
                                        </div>
                                    </li>
                                    <li class="text-center list-group-item" ng-if="packageEditCtrl.packageitems.services.length == 0">There are no services.</li>
                                </ul>
                            </div>

                            <div class="col">

                                <ul class="list-group">

                                    <li class="list-group-item list-group-item-secondary">Products</li>

                                    <li class="list-group-item" ng-repeat="product in packageEditCtrl.packageitems.products">

                                        <div class="custom-control custom-checkbox" >
                                            <input class="custom-control-input" type="checkbox" ng-change="packageEditCtrl.calculatePackagePrice()" name="products_[[product.title]]" id="product_[[product.title]]" ng-model="packageEditCtrl.packageitems.products[$index].checked">
                                            <label class="custom-control-label" for="product_[[product.title]]">
                                                [[product.title]]
                                            </label>
                                        </div>
                                    </li>
                                    <li class="text-center list-group-item" ng-if="packageEditCtrl.packageitems.products.length == 0">There are no products.</li>
                                </ul>
                            </div>
                        </div>
                    </fieldset>
                </div>
        
                <!-- Frequencies -->
                <fieldset class="lw-fieldset-2">
                    <legend class="lw-fieldset-legend-font"><h4>Prices And Frequencies</h4></legend>
                    <div class="form-row">
                        <div class="col-6" ng-repeat="frequency in packageEditCtrl.packageFrequencies">
                            <lw-form-field field-for="package_frequency.[[frequency.id]].package_price" label='[[frequency.title]] Price' v-lable="Price">

                                <div class="input-group mb-3" >
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">
                                            <input type="checkbox" 
                                                id="package_frequency_[[frequency.id]]" 
                                                ng-model="packageEditCtrl.packageData.package_frequency[ frequency.id ].checked" 
                                                name="package_frequency_[[frequency.id]]">
                                        </div>
                                    </div>

                                    <div class="input-group-prepend">
                                        <div class="input-group-text" ng-bind="getCurrencySymbol()">
                                        </div>
                                    </div>
                                    
                                    <input type="number" 
                                        class="lw-form-field form-control"
                                        ng-model="packageEditCtrl.packageData.package_frequency[ frequency.id ].package_price"
                                        name="package_frequency.[[frequency.id]].package_price"
                                        ng-required="packageEditCtrl.packageData.package_frequency[ frequency.id ].checked" 
                                        placeholder="Enter package price as per [[frequency.title]]"
                                        ng-disabled="packageEditCtrl.packageData.package_frequency[ frequency.id ].checked !== true">
                                </div>

                            </lw-form-field>
                        </div>
                    </div>
                </fieldset>
                <!-- /Frequencies -->

            </div>

            <div class="card-footer text-right">
                
                <!-- Back  -->
                <a ui-sref="package" title="<?= __tr('Back') ?>" class="btn btn-gray"><?= __tr('Back') ?></a>
                <!-- /Back  -->

                <button type="submit"  ng-click="packageEditCtrl.submit()" class="btn btn-primary" title="<?= __tr('Update') ?>"> <?= __tr('Update') ?></button>
            </div>

        </form>

    </div>

</div>