<?php 
/*
*  Component  : Package
*  View       : Package Controller
*  Engine     : PackageEngine  
*  File       : package.list.blade.php  
*  Controller : PackageListController 
----------------------------------------------------------------------------- */
?>

<div>
    
    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                Manage Packages
            </h1>
            <div class="page-options d-flex">
                <button ng-if="canAccess('manage.package.write.create')" title="<?= __tr('Create Package') ?>" class="btn btn-sm btn-primary" ui-sref="package_add">
                <i class="fe fe-plus"></i> <?= __tr('Create Package') ?> </button>

                <button type="button" ng-if="canAccess('manage.item.write.create')" title="<?= __tr('Add New Item') ?>" class="btn btn-sm btn-gray ml-2" ng-click="packageListCtrl.openItemAddDialog()">
                <i class="fe fe-plus"></i> <?= __tr('New Item') ?> </button>
            </div>
        </div>
    </div>
    <!-- / main heading  -->

    <input type="hidden" id="lwPackageDeleteConfirmTextMsg" data-message="<?= __tr( 'You want to delete __name__ package.', [ '__name__' => '[[ packageListCtrl.packageName ]]'
                    ]) ?>" data-delete-button-text="<?= __tr('Yes, delete it') ?>", success-msg="<?= __tr('Package deleted successfully.') ?>">

    <div class="card">

        <div class="card-body">

            <table class="table table-striped table-bordered" id="lwpackageList" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th><?= __tr('Title') ?></th>
                        <th><?= __tr('Status') ?></th>
                        <th><?= __tr('Created At') ?></th>
                        <th><?= __tr('Updated At') ?></th>
                        <th><?= __tr('Action') ?></th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>

            <div ui-view></div>
            
        </div>

    </div>
        
    <!-- action template -->
    <script type="text/_template" id="packageActionColumnTemplate">

        <% if(__tData.canEdit) { %>
            <a href title="<?= __tr('Edit Package') ?>" class="btn btn-sm btn-secondary" ui-sref="package_edit({ 'packageIdOrUid' : '<%- __tData._uid %>' })"><i class="fe fe-edit"></i> Edit</a>
        <% } %>
        
        <% if(__tData.canDelete) { %>
            <a href class="btn btn-sm btn-danger" title="<?= __tr('Delete') ?>" ng-click="packageListCtrl.delete('<%- __tData._uid %>', '<%- __tData.title %>')"><i class="fe fe-trash-2 "></i><?= __tr('Delete') ?></a>
        <% } %>

    </script>
    <!-- /action template -->

    <!--  user name column template  -->
    <script type="text/template" id="packageDetailsColumnTemplate">
        <% if(__tData.canViewDetails) { %>
            <a href ng-click="packageListCtrl.openPackageDetailsDialog('<%- __tData._uid %>')" title="Package Details"><%= __tData.title %></a>
        <% } else { %>
            <%= __tData.title %>
        <% } %>
    </script>
    <!--  user name column template  -->

</div> 