<?php
/*
*  Component  : User
*  View       : Change Email  
*  Engine     : CommonUserEngine.js  
*  File       : change-email.blade.php  
*  Controller : UserChangeEmailController 
----------------------------------------------------------------------------- */ 
?>
<div ng-controller="UserChangeEmailController as changeEmailCtrl">

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
            Update Email
            </h1>
        </div>
    </div>
    <!-- / main heading  -->

    <div class="card">

            <!--  form action  -->
        <form class="lw-form lw-ng-form" 
            name="changeEmailCtrl.[[ changeEmailCtrl.ngFormName ]]" 
            ng-submit="changeEmailCtrl.submit()" 
            novalidate>
            
            <div class="card-body">

                    <div ng-if="!changeEmailCtrl.activationRequired && changeEmailCtrl.requestSuccess">
                        <div class="alert alert-success" role="alert"><strong><?=  __tr( 'Well done!' )  ?></strong> 
                        [[ changeEmailCtrl.successMessage ]]</div>
                    </div>

                    <div class="form-row">

                        <div class="col">
                            
                            <div class="form-group ">
                                <label class="control-label"> <?=  __tr( 'Current Email' )  ?></label>
                                <input readonly="" type="text" class="form-control" ng-model="changeEmailCtrl.current_email">
                            </div>
                            <!--  /Current Email  -->
                        
                        </div>

                        <div class="col">
                            
                            <!--  New Email  -->
                            <lw-form-field field-for="new_email" label="<?=  __tr( 'New Email' )  ?>"> 
                                <input type="email" 
                                    class="lw-form-field form-control"
                                    name="new_email"
                                    ng-required="true" 
                                    ng-model="changeEmailCtrl.userData.new_email" />
                            </lw-form-field>
                            <!--  /New Email  -->
                        
                        </div>
                    </div>
                        
                    <!--  Current Password  -->
                    <lw-form-field field-for="current_password" label="<?=  __tr( 'Current Password' )  ?>"> 
                        <input type="password" 
                            class="lw-form-field form-control"
                            name="current_password"
                            min-length="6"
                            max-length="30"
                            ng-required="true"
                            autofocus 
                            ng-model="changeEmailCtrl.userData.current_password" autofocus />
                    </lw-form-field>
                    <!--  /Current Password  -->
            </div>

            <!--  update button  -->
            <div class="card-footer text-right">
                <button type="submit" class="btn btn-primary" title="<?=  __tr('Update Request')  ?>"><?=  __tr('Update Email')  ?> <span></span></button>
            </div>
            <!--  /update button  -->
        </form>
        <!--  /form action  -->

    </div>

</div>