<?php
/*
*  Component  : Change Password
*  View       : Change Password View  
*  Engine     : CommonUserEngine  
*  File       : change-password.blade.php  
*  Controller : UserChangePasswordController 
----------------------------------------------------------------------------- */ 
?>
<div ng-controller="UserChangePasswordController as updatePasswordCtrl">

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                Change Password 
            </h1>
        </div>
    </div>
    <!-- / main heading  -->

    <div class="card">

       
            <!--  form action -->
            <form class="lw-form lw-ng-form" 
                name="updatePasswordCtrl.[[ updatePasswordCtrl.ngFormName ]]" 
                ng-submit="updatePasswordCtrl.submit()" 
                novalidate>

                <div class="card-body">

                    <!--  Current Password -->
                    <lw-form-field field-for="current_password" label="<?=  __tr( 'Current Password' )  ?>"> 
                        <input type="password" 
                            class="lw-form-field form-control"
                            name="current_password"
                            ng-minlength="6"
                            ng-maxlength="30"
                            ng-required="true" 
                            autofocus
                            ng-model="updatePasswordCtrl.userData.current_password" />
                    </lw-form-field>
                    <!--  /Current Password -->

                    <!--  New Password -->
                    <div class="form-row">
                        <div class="col">
                            <lw-form-field field-for="new_password" label="<?=  __tr( 'New Password' )  ?>"> 
                                <input type="password" 
                                    class="lw-form-field form-control"
                                    name="new_password"
                                    ng-minlength="6"
                                    ng-maxlength="30"
                                    ng-required="true" 
                                    ng-model="updatePasswordCtrl.userData.new_password" />
                            </lw-form-field>
                        </div>
                        <!--  /New Password -->

                        <!--  New Password Confirmation -->
                        <div class="col">
                            <lw-form-field field-for="new_password_confirmation" label="<?=  __tr( 'New Password Confirmation' )  ?>">
                                <input type="password" 
                                    class="lw-form-field form-control"
                                    name="new_password_confirmation"
                                    ng-minlength="6"
                                    ng-maxlength="30"
                                    ng-required="true" 
                                    ng-model="updatePasswordCtrl.userData.new_password_confirmation" />
                            </lw-form-field>
                        </div>
                    </div>
                    <!--  /New Password Confirmation -->
                
                <!--  update password button -->
                <div class="card-footer text-right">
                    <button type="submit" class="btn btn-primary" title="<?=  __tr('Update Password')  ?>"><?=  __tr('Update Password')  ?> <span></span></button>
                </div>
                <!--  /update password button -->

            </form>
            <!--  /form action -->   
        </div>

    </div>

</div>