<?php
/*
*  Component  : Assign Package
*  View       : Assign Package  
*  Engine     : PckageEngine  
*  File       : assign-package-dialog.blade.php
*  Controller : NewCustomerPackageController as NewCustomerPackageCtrl
----------------------------------------------------------------------------- */
?>

<div>

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                New Customer Package
            </h1>
            <div class="page-options">
                <a ui-sref="customers"
                   class="btn btn-secondary"
                   title="<?= __tr('Manage Members') ?>">
                    <i class="fe fe-users"></i> <?= __tr('Manage Members') ?>
                </a>
            </div>
        </div>
    </div>
    <!-- / main heading  -->

    <div class="card">
        <form class="lw-form lw-ng-form"
              name="NewCustomerPackageCtrl.[[ NewCustomerPackageCtrl.ngFormName ]]"
              novalidate>

            <div class="card-body">

                <div class="dimmer text-red" ng-if="!NewCustomerPackageCtrl.assignData.userData.member_id">
                    <div class="loader"></div>
                    <div class="dimmer-content ">
                        Add Member Phone Number To get details ..
                    </div>
                </div>

                <div class="col-lg-6 offset-lg-3" ng-if="NewCustomerPackageCtrl.assignData.userData.name">
                    <div class="card">
                        <div class="card-body">
                            <div class="media">
                                <img class="d-flex mr-5 rounded"
                                     {{--                                     ng-src="[[NewCustomerPackageCtrl.assignData.userData.profile_picture]]"--}}
                                     src="/dist/imgs/no-user-thumb-icon.png"
                                     alt="[[NewCustomerPackageCtrl.assignData.userData.name]]">
                                <div class="media-body">
                                    <h5 ng-bind="NewCustomerPackageCtrl.assignData.userData.name"></h5>
                                    <address class="text-muted small">
                                        Contact : <span
                                                ng-bind="NewCustomerPackageCtrl.assignData.userData.phone"></span>
                                        <span ng-if="!NewCustomerPackageCtrl.assignData.userData.member_id">, [[NewCustomerPackageCtrl.assignData.userData.email]]</span>
                                    </address>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header"><?= __tr('Member Info') ?></div>
                            <div class="card-body">
                                <div class="form-row">
                                    <!--  Mobile Number  -->
                                    <div class="col">
                                        <lw-form-field field-for="phone"
                                                       label="<?=  __tr('Mobile Number')  ?>">
                                            <input type="phone"
                                                   oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                                   class="lw-form-field form-control"
                                                   name="phone"
                                                   ng-required="true"
                                                   pattern="[0-9]{4}[0-9]{3}[0-9]{4}"
                                                   maxlength="11"
                                                   ng-change="NewCustomerPackageCtrl.changePhone(NewCustomerPackageCtrl.assignData.userData.phone);"
                                                   ng-model="NewCustomerPackageCtrl.assignData.userData.phone"
                                            />
                                            <span class="error text-red"
                                                  ng-show="NewCustomerPackageCtrl.phone_error_msg"
                                                  ng-bind="NewCustomerPackageCtrl.phone_error_msg">Please Enter the Phone no matching  pattern [03-xxx-xxxxx]</span>
                                        </lw-form-field>
                                    </div>
                                    <!--  /Mobile Number  -->
                                    <!--  First Name  -->
                                    <div class="col">
                                        <lw-form-field field-for="name" label="<?=  __tr('Name')  ?>">
                                            <input type="text"
                                                   class="lw-form-field form-control"
                                                   name="name"
                                                   ng-required="true"
                                                   ng-minlength="4"
                                                   ng-model="NewCustomerPackageCtrl.assignData.userData.name"
                                            />
                                        </lw-form-field>
                                    </div>
                                    <!--  Email  -->
                                    <div class="col" ng-if="!NewCustomerPackageCtrl.assignData.userData.member_id">
                                        <lw-form-field field-for="email" label="<?=  __tr('Email (optional)')  ?>">
                                            <input type="email"
                                                   class="lw-form-field form-control"
                                                   name="email"
                                                   ng-maxlength="255"
                                                   ng-model="NewCustomerPackageCtrl.assignData.userData.email"
                                            />
                                        </lw-form-field>
                                    </div>
                                    <!--  /Email  -->

                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-group">

                    <label class="form-label">Packages</label>

                    <div class="">

                        <label class="col-sm-3" ng-repeat="package in NewCustomerPackageCtrl.assign_package_data">
                            <input type="radio"
                                   ng-change="NewCustomerPackageCtrl.addServiceToAssign(NewCustomerPackageCtrl.assignData.selected_package, 1)"
                                   name="products_selected" id="package_[[package.package_id]]"
                                   ng-value="package.package_id"
                                   ng-model="NewCustomerPackageCtrl.assignData.selected_package"
                                   class="selectgroup-input" ng-required="true">
                            <div class="selectgroup-button rounded-0" for="package_[[package.package_id]]"
                                 ng-bind="package.title"></div>
                        </label>

                    </div>

                </div>

                <!-- Seleted Packages -->
                <fieldset class="lw-fieldset-2" ng-if="NewCustomerPackageCtrl.assignData.selected_package">
                    <legend class="lw-fieldset-legend-font">
                        <h4>Choose Slots</h4>
                    </legend>

                    <div class="row">
                        <div class="col-lg-4"
                             ng-repeat="item in NewCustomerPackageCtrl.assignData.packageDetails.package_items">
                            <!-- Select Slot -->
                            <lw-form-field
                                    field-for="package_items_[[ item.package_item_uid ]]_[ $index ]_selected_slot"
                                    ng-if="item.package_item_type == 1" label="[[item.package_item_title]] Slot">

                                <div class="input-group">
                                    <select class="custom-select"
                                            name="package_items_[[ item.package_item_uid ]]_[ $index ]_selected_slot"
                                            id="package_items_[[ item.package_item_uid ]]_[ $index ]_selected_slot"
                                            ng-model="NewCustomerPackageCtrl.assignData.packageDetails.package_items[ $index ].selected_slot"
                                            ng-required="true">
                                        <option value='' disabled selected><?=  __tr('-- Select Slot --')  ?></option>
                                        <option ng-repeat="slot in item.package_item_slots"
                                                value="[[slot.item_slot_id]]">
                                            [[slot.item_slot_title]] ( [[slot.item_slot_time]] )
                                        </option>
                                    </select>
                                    <div class="input-group-append" ng-if="canAccess('manage.item.write.create')">
                                        <button class="btn btn-sm btn-outline-secondary" type="button"
                                                ng-click="NewCustomerPackageCtrl.addNewItemSlot(item.package_item_uid, item.package_item_title)">
                                            Create New Slot
                                        </button>
                                    </div>
                                </div>

                            </lw-form-field>
                            <!-- /Select Slot-->
                        </div>
                    </div>
                </fieldset>
                <!-- / Selected Packages -->

                <!-- Selected Frequency -->
                <fieldset class="lw-fieldset-2" ng-if="NewCustomerPackageCtrl.assignData.selected_package">

                    <legend class="lw-fieldset-legend-font">
                        <h4>Choose Frequency</h4>
                    </legend>

                    <div>
                        <div class="">
                            <!-- Select frequency -->
                            <lw-form-radio-field field-for="selected_package_frequency" v-label="Frequency">
                                <div class="custom-control custom-control-inline custom-radio"
                                     ng-repeat="prices in NewCustomerPackageCtrl.assignData.packageDetails.package_prices">
                                    <input type="radio" id="[[prices.uniqe_id]]"
                                           name="selected_package_frequency" ng-required="true"
                                           class="custom-control-input"
                                           ng-value="prices.frequency_id"
                                           ng-change="NewCustomerPackageCtrl.changePackagePrice(prices.price);NewCustomerPackageCtrl.getExpiryData(NewCustomerPackageCtrl.assignData.packageDetails.starts_at, NewCustomerPackageCtrl.assignData.packageDetails.selected_package_frequency)"
                                           ng-model="NewCustomerPackageCtrl.assignData.packageDetails.selected_package_frequency">
                                    <label class="custom-control-label mt-0"
                                           for="[[prices.uniqe_id]]">[[prices.frequency_title]]</label>
                                </div>
                            </lw-form-radio-field>
                            <!-- /Select frequency-->
                        </div>
                    </div>
                </fieldset>
                <!-- / Selected Frequency -->

                <div class="row">
                    <div class="col">
                        <lw-form-field for="package_amount_paid" label="Amount">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" ng-bind="getCurrencySymbol()"></span>
                                </div>
                                <input type="number"
                                       class="lw-form-field form-control text-center"
                                       ng-model="NewCustomerPackageCtrl.assignData.packageDetails.package_amount_paid"
                                       name="package_amount_paid"
                                       ng-required="true"
                                       min="0"
                                />
                                <div class="input-group-append">
                                    <span class="input-group-text" ng-bind="getCurrency()"></span>
                                </div>
                            </div>
                        </lw-form-field>
                    </div>
                    <div class="col">
                        <!-- starts At  -->
                        <lw-form-field field-for="starts_at" label="<?=  __tr('Starts From')  ?>">
                            <input type="text"
                                   class="lw-form-field form-control"
                                   name="starts_at"
                                   lw-datetimepicker
                                   options="[[ NewCustomerPackageCtrl.dateTimePickerOptions ]]"
                                   ng-required="true"
                                   ng-change="NewCustomerPackageCtrl.getExpiryData(NewCustomerPackageCtrl.assignData.packageDetails.starts_at, NewCustomerPackageCtrl.assignData.packageDetails.selected_package_frequency)"
                                   ng-model="NewCustomerPackageCtrl.assignData.packageDetails.starts_at"/>
                        </lw-form-field>
                        <!--  /starts At  -->
                    </div>
                    <div class="col">
                        <div class="form-group" ng-if="NewCustomerPackageCtrl.expDate">
                            <label>Next Due</label>
                            <input type="text" class="form-control" ng-disabled="true"
                                   ng-model="NewCustomerPackageCtrl.expDate">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <lw-form-radio-field>
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="dont_create_bill"
                                       ng-model="NewCustomerPackageCtrl.bill_generate_toggle" ng-required="true"
                                       ng-value="2" name="bill_generate_toggle" class="custom-control-input">
                                <label class="custom-control-label mt-0" for="dont_create_bill">Do not create
                                    Bill</label>
                            </div>

                            <div class="custom-control custom-radio custom-control-inline"
                                 ng-if="canAccess('manage.bill.read.list') && canAccess('manage.bill.write.generate')">
                                <input type="radio" id="create_bill"
                                       ng-model="NewCustomerPackageCtrl.bill_generate_toggle" ng-required="true"
                                       ng-value="1" name="bill_generate_toggle" class="custom-control-input">
                                <label class="custom-control-label mt-0" for="create_bill">Create Bill</label>
                            </div>
                        </lw-form-radio-field>

                    </div>
                </div>
            </div>

            <div class="card-footer text-right">

                <a ui-sref="customers" ng-if="NewCustomerPackageCtrl.userData.user_roles_id == 3"
                   class="btn btn-secondary"
                   title="<?= __tr('Back') ?>">
                    <i class="fe fe-arrow-left-circle"></i> <?= __tr('Back') ?>
                </a>

                <a ui-sref="users" ng-if="NewCustomerPackageCtrl.userData.user_roles_id != 3"
                   class="btn btn-secondary"
                   title="<?= __tr('Back') ?>">
                    <i class="fe fe-arrow-left-circle"></i> <?= __tr('Back') ?>
                </a>

                <span ng-if="NewCustomerPackageCtrl.assigne_package_form.$invalid">
	                <button type="button"
                            class="btn btn-grey"
                            ng-disabled="true"
                            title="<?= __tr('Enroll') ?>"><?= __tr('Enroll') ?>
	                </button>
            	</span>

                <span ng-if="NewCustomerPackageCtrl.assigne_package_form.$valid && !NewCustomerPackageCtrl.loader">
	                <button type="button"
                            class="btn btn-gray"
                            ng-if="NewCustomerPackageCtrl.bill_generate_toggle == 1"
                            ng-click="NewCustomerPackageCtrl.assign()"
                            title="<?= __tr('Enroll & Bill Create') ?>"><?= __tr('Enroll & Bill Create') ?>
	                </button>

	                <button type="button"
                            ng-if="NewCustomerPackageCtrl.bill_generate_toggle == 2"
                            class="btn btn-gray"
                            ng-click="NewCustomerPackageCtrl.assign()"
                            title="<?= __tr('Enroll') ?>"><?= __tr('Enroll') ?>
	                </button>
            	</span>
            </div>

        </form>

    </div>

    <!-- succesInformationAlert template -->
    <script type="text/_template" id="packageAssignedSuccessAlert">

        <div>
            <% if(__tData.assign_package_data) { %>
            <table class="table table-striped table-bordered table-borderless">
                <tbody>
                <tr>
                    <th><?= __tr('Package Assigned To') ?></th>
                    <td><%= __tData.assign_package_data.assigned_to %></td>
                </tr>
                <tr>
                    <th><?= __tr('Package Name') ?></th>
                    <td><%= __tData.assign_package_data.short_description %></td>
                </tr>
                <tr>
                    <th><?= __tr('Assigned On') ?></th>
                    <td><%= __tData.assign_package_data.assigned_on %></td>
                </tr>
                <tr>
                    <th><?= __tr('Package Starting From') ?></th>
                    <td><%= __tData.assign_package_data.starts_at %></td>
                </tr>
                <tr>
                    <th><?= __tr('Frequency') ?></th>
                    <td><%= __tData.assign_package_data.frequency %></td>
                </tr>
                <tr>
                    <th><?= __tr('Package Amount') ?>    </th>
                    <td><%= __tData.assign_package_data.amount %></td>
                </tr>

                </tbody>
            </table>
            <% } %>

        </div>
    </script>
    <!-- /succesInformationAlert template -->

</div>