<?php
/*
*  Component  : Manage Customer
*  View       : Edit Customer  
*  Engine     : ManageUserEngine  
*  File       : add-dialog.blade.php  
*  Controller : EditCustomerDialogController as EditCustomerDialogCtrl 
----------------------------------------------------------------------------- */ 
?>
<div>
    
    <!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title"><?=  __tr( 'Edit Customer' )  ?></h3>
    </div>
    <!-- /Modal Heading -->

    <!--  form action -->
    <form class="lw-form lw-ng-form" 
        name="EditCustomerDialogCtrl.[[ EditCustomerDialogCtrl.ngFormName ]]" 
        ng-submit="EditCustomerDialogCtrl.submit()" 
        novalidate>

        <!-- Modal Body -->
        <div class="modal-body">

            <div class="form-row">
                <!--  First Name  -->
                <div class="col">
                    <lw-form-field field-for="first_name" label="<?=  __tr( 'First Name' )  ?>"> 
                        <input type="text" 
                          class="lw-form-field form-control"
                          name="first_name"
                          ng-required="true"
                          ng-minlength="2"
                          ng-maxlength="45"
                          ng-model="EditCustomerDialogCtrl.userData.first_name" />
                    </lw-form-field>
                </div>
                <!--  /First Name  -->

                <!--  Last Name  -->
                <div class="col">
                    <lw-form-field field-for="last_name" label="<?=  __tr( 'Last Name' )  ?>"> 
                        <input type="text" 
                          class="lw-form-field form-control"
                          name="last_name"
                          ng-required="true" 
                          ng-minlength="2"
                          ng-maxlength="45"
                          ng-model="EditCustomerDialogCtrl.userData.last_name" />
                    </lw-form-field>
                </div>
                <!--  /Last Name  -->

            </div>

			<div class="form-row">
	            <!--  Username  -->
                <div class="col">
    	            <lw-form-field field-for="username" label="<?=  __tr( 'Username' )  ?>"> 
    	                <input type="text" 
    	                    class="lw-form-field form-control"
    	                    name="username"
    	                    ng-required="true"
    	                    ng-maxlength="45" 
    	                    ng-minlength="2"
    	                    ng-model="EditCustomerDialogCtrl.userData.username" />
    	            </lw-form-field>
                </div>
	            <!--  /Username  -->
	            
	            <!--  Email  -->
                <div class="col">
    	            <lw-form-field field-for="email" label="<?=  __tr( 'Email (optional)' )  ?>"> 
    	                <input type="email" 
    	                    class="lw-form-field form-control"
    	                    name="email"
    	                    ng-maxlength="255" 
    	                    ng-model="EditCustomerDialogCtrl.userData.email" />
    	            </lw-form-field>
                </div>
                <!--  /Email  -->
                
                <!--  Mobile Number  -->
                <div class="col">
    	            <lw-form-field field-for="mobile_number" label="<?=  __tr( 'Mobile Number' )  ?>"> 
    	                <input type="text" 
    		                class="lw-form-field form-control"
    		                name="mobile_number"
    						ng-required="true" 
    		                ng-model="EditCustomerDialogCtrl.userData.mobile_number" />
    	            </lw-form-field>
                </div>
                <!--  /Mobile Number  -->
			</div>
            
            <div class="form-row">
		        <!-- Address 1-->
                <div class="col">
    		        <lw-form-field field-for="address_line_1" label="{!! __tr('Address Line 1') !!}"> 
    		          <input type="text" class=" form-control lw-form-field" name="address_line_1" ng-model="EditCustomerDialogCtrl.userData.address_line_1" />
    		        </lw-form-field>
                </div>
		        <!-- /Address 1-->

		        <!-- Address 2 -->
                <div class="col">
    		        <lw-form-field field-for="address_line_2" label="{!! __tr('Address Line 2') !!}"> 
    		          <input type="text" class=" form-control lw-form-field" name="address_line_2" ng-model="EditCustomerDialogCtrl.userData.address_line_2" />
    		        </lw-form-field>
                </div>
		        <!-- /Address 2 -->

		        <!-- Country -->
                <div class="col">
    				<lw-form-selectize-field field-for="country" label="<?= __tr( 'Country' ) ?>" class="lw-selectize">
    					<selectize config='EditCustomerDialogCtrl.countrySelectConfig' class="form-control lw-form-field" name="country" ng-model="EditCustomerDialogCtrl.userData.country" ng-required="true" options='EditCustomerDialogCtrl.countries' placeholder="<?= __tr( 'Select Country' ) ?>" ></selectize>
    				</lw-form-selectize-field>
                </div>
				<!-- /Country -->
			</div>

            <!-- Locked -->
            <lw-form-checkbox-field field-for="is_active" label="<?= __tr( 'Active' ) ?>" advance="true" lw-toggle-label="true" v-label="<?= __tr( 'Active' ) ?>" off-label="<?= __tr( 'Inactive' ) ?>">
                <input type="checkbox" 
                    class="lw-form-field js-switch"
                    name="is_active"
                    ng-model="EditCustomerDialogCtrl.userData.is_active"
                    ui-switch="" />
            </lw-form-checkbox-field>
            <!-- /Locked -->

        </div>
        <!-- /Modal Body -->

        <!-- /Modal footer -->
        <div class="modal-footer">
            <!--  add button -->
            <button type="submit" class="btn btn-primary" title="<?=  __tr('Update')  ?>"><?=  __tr('Update')  ?> <span></span></button>
            <!--  /add button -->

            <!--  close button -->
            <button type="button" ng-click="EditCustomerDialogCtrl.closeDialog()" class="btn btn-lite" title="<?=  __tr('Cancel')  ?>"><?=  __tr('Cancel')  ?></button>
            <!--  close button -->
        </div>
        <!-- /Modal footer -->
    </form>
    <!-- /form action -->

</div>