<?php
/*
*  Component  : Manage Customer
*  View       : User detail dialog  
*  Engine     : ManageUserEngine  
*  File       : user-detail-dialog.blade.php  
*  Controller : ManageCustomerDetailController as ManageCustomerDetailCtrl 
----------------------------------------------------------------------------- */ 
?>

<div>

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
            Member Details
            </h1>
            <div class="page-options">
                
                <a ng-show="canAccess('manage.customer.read.datatable.list')" ui-sref="customers"
                    class="btn btn-secondary"
                    title="<?= __tr('Manage Members') ?>">
                    <i class="fe fe-users"></i> <?= __tr('Manage Members') ?>
                </a>

            </div>
        </div>
    </div>
    <!-- / main heading  -->

    <div class="card">

        
        <!-- Modal Body -->
	    <div class="card-body">

			<div class="dimmer active" ng-if="!ManageCustomerDetailCtrl.userData">
				<div class="loader"></div>
				<div class="dimmer-content">
					Loading Content .....
				</div>
			</div>

            <div class="col-lg-6 offset-lg-3" ng-if="ManageCustomerDetailCtrl.userData">
                <div class="card">
                    <div class="card-body">
                        <div class="media">
                                <img class="d-flex mr-5 rounded"
                                    ng-src="[[ManageCustomerDetailCtrl.userData.profile_picture]]"
                                    alt="[[ManageCustomerDetailCtrl.userData.name]]">
                                <div class="media-body">
                                    <h5 ng-bind="ManageCustomerDetailCtrl.userData.name"></h5>
                                    <address class="text-muted small">
{{--                                        <span ng-if="ManageCustomerDetailCtrl.userData.address_line_1">[[ManageCustomerDetailCtrl.userData.address_line_1]]<br></span>--}}
{{--                                        <span ng-if="ManageCustomerDetailCtrl.userData.address_line_2" >[[ManageCustomerDetailCtrl.userData.address_line_2]]<br></span> --}}
{{--                                        <span ng-if="ManageCustomerDetailCtrl.userData.country">[[ManageCustomerDetailCtrl.userData.country]]<br></span>--}}
                                        Contact : <span ng-bind="ManageCustomerDetailCtrl.userData.phone"></span><span ng-if="ManageCustomerDetailCtrl.userData.email">, [[ManageCustomerDetailCtrl.userData.email]]</span>
                                    </address>
                                </div>
                        </div>
                    </div>
                </div>
            </div>

	 	 	<div class="card" ng-if="ManageCustomerDetailCtrl.userData">
				<div class="card-header"><?= __tr('Active Packages') ?></div>
				<div id="active_packages_collapse">
					<div class="card-body">
						<div class="row">
							<div class="col-lg-12" id="package__[[package.uniqid]]" ng-repeat="package in ManageCustomerDetailCtrl.assignedPackages">
								<div class="card">
									<div class="card-status card-status-left bg-success"></div>
									<div class="card-body card-body mb-0 pb-0 pt-0">
										<div class="row">
											<h5 class="card-title col-lg-4 p-5" ng-bind="package.title"></h5>
											<div class="form-group col-lg-4">
												<label for="amount" class="col-form-label">Amount</label>
												<div id="amount">
													<span ng-bind="package.price" ng-if="!canAccess('manage.package.write.update_user_package')"></span>
													<div class="input-group mb-3" ng-if="canAccess('manage.package.write.update_user_package')">
														<div class="input-group-prepend">
									                        <span class="input-group-text" ng-bind="getCurrencySymbol()">₹</span>
									                    </div>
														<input type="number" min="0" class="form-control" placeholder="Price" name="package_price__[[$index]]" ng-model="package.package_price" ng-value="package.package_price">
														<div class="input-group-append">
															<button class="btn btn-sm btn-outline-secondary" type="button" ng-click="ManageCustomerDetailCtrl.updatePackagePrice(package.package_price, package.package_uid)" id="button-addon2">Update</button>
														</div>
													</div>
												</div>
											</div>
											<div class="form-group col-lg-4">
												<label for="amount" class="col-form-label">Stop Package On</label>
												<div id="amount">
													<div class="input-group mb-3" ng-if="canAccess('manage.package.write.update_user_package')">
														<input type="text" lw-datetimepicker class="form-control" placeholder="Stop Package On" name="package_expiry__[[$index]]" ng-model="package.expiry_at" ng-value="package.expiry_at" options="[[ManageCustomerDetailCtrl.dateTimePickerOptions]]">
														<div class="input-group-append">
															<button class="btn btn-sm  btn-outline-secondary" type="button" ng-click="ManageCustomerDetailCtrl.updatePackageExpiry(package.expiry_at, package.package_uid)" id="button-addon2">Update</button>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
									
									<div class="card-header border-top" id="heading__[[package.uniqid]]">
										<h2 class="mb-0">
											<button class="btn btn-link" type="button" data-toggle="collapse" data-target="#item_slot__[[package.uniqid]]" aria-expanded="true" aria-controls="item_slot__[[package.uniqid]]">Item Details</button>

											<button class="btn btn-link" type="button" data-toggle="collapse" data-target="#transaction__[[package.uniqid]]" aria-expanded="true" aria-controls="transaction__[[package.uniqid]]">Transactions</button>
										</h2>
									</div>

									<div id="item_slot__[[package.uniqid]]" class="collapse" aria-labelledby="heading__[[package.uniqid]]" data-parent="#package__[[package.uniqid]]">
										<div class="card-body">
											<div class="table-responsive">
											 	<table class="table table-bordered border-top" width="100%">
											 		<thead>
									                    <tr>
									                        <th>Slot Title</th>
									                        <th>Slot</th>
									                        <th>Action</th>
									                    </tr>
									                </thead>
											 		<tbody>
											 			<tr ng-if="package.user_item_slots.length == 0">
									                        <td colspan="3">No slots available</td>
									                    </tr>
														<tr  ng-if="package.user_item_slots.length > 0" ng-repeat="item_slot in package.user_item_slots">
															<td ng-class="{'border-top-0' : $first}">[[item_slot.item_title]]</td>
															<td  width="40%" ng-class="{'border-top-0' : $first}">[[item_slot.item_slot_time]]</td>
															<td width="20%" ng-class="{'border-top-0' : $first}">
																<button class="btn btn-sm"
																	ng-click="ManageCustomerDetailCtrl.changeSlot(item_slot, 1, package.title)">
																	Change Slot
																</button>

																<button class="btn btn-danger btn-sm"
																	ng-if="package.user_item_slots.length != 1"
																	ng-click="ManageCustomerDetailCtrl.deleteUserSlot(item_slot.user_assigned_slot_uid, item_slot.item_title)">
																	<i class="fe fe-trash-2"></i>
																</button>
															</td>
														</tr>	
											 		</tbody>
												</table>
                                                <table class="table table-bordered border-top" width="100%" ng-repeat="itemProduct in package.itemProductData">
                                                    <thead>
                                                        <tr>
                                                            <th>[[ itemProduct.title ]]</th>
                                                        </tr>
                                                    </thead>
                                                </table>
											</div>
										</div>
									</div>

									<div id="transaction__[[package.uniqid]]" class="collapse" aria-labelledby="heading__[[package.uniqid]]" data-parent="#package__[[package.uniqid]]">
										<div class="card-body">
											<div class="table-responsive">
												<table class="table table-striped table-bordered border-top">
									                <thead>
									                    <tr>
									                        <th>txn ID</th>
									                        <th>Amount</th>
									                        <th>Created</th>
									                        <th>Status</th>
									                        <th>Payment Method</th>
									                        <th>Type</th>
									                        <th>SubType</th>
									                    </tr>
									                </thead>
									                <tbody>
									                    <tr ng-if="package.transactions.length == 0">    
									                        <td colspan="7" class="text-center">There are no transactions</td>
									                    </tr>
									                    <tr ng-repeat="transaction in package.transactions">   
									                        <td  ng-bind="transaction.txn_id"></td>
									                        <td class="text-right" ng-bind="transaction.amount"></td>
									                        <td ng-bind="transaction.created_at"></td>
									                        <td ng-bind="transaction.formatted_status"></td>
									                        <td ng-bind="transaction.payment_method"></td>
									                        <td ng-bind="transaction.formatted_type"></td>
									                        <td ng-bind="transaction.formatted_subtype"></td>
									                    </tr>
									                </tbody>
									            </table>
									        </div>
										</div>
									</div>
								</div>
							</div>
							<div class="col-lg-12 text-center" ng-if="ManageCustomerDetailCtrl.assignedPackages.length == 0">
								No packages found
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	    <!-- /Modal Body -->
	</div>
</div>


<input type="hidden" id="lwuserSlotremoveConfirmTextMsg" data-message="<?= __tr( 'you want to remove this item <b>__name__</b> from user package.', [ '__name__' => '[[ ManageCustomerDetailCtrl.deletingItemSlotTitle ]]' ]) ?>" data-delete-button-text="<?= __tr('Yes, delete it') ?>">