<?php
/*
*  Component  : Manage User
*  View       : User detail dialog  
*  Engine     : ManageUserEngine  
*  File       : user-detail-dialog.blade.php  
*  Controller : ManageUsersDetailController as manageUsersDetailCtrl 
----------------------------------------------------------------------------- */ 
?>
<div>
    <!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title"><?= __tr('User Details') ?></h3>
    </div>
    <!-- /Modal Heading -->

    <!-- Modal Body -->
    <div class="modal-body">
 		 <div class="">
			<div class="dimmer active" ng-if="!manageUsersDetailCtrl.userData">
				<div class="loader"></div>
				<div class="dimmer-content">
					Loading Content .....
				</div>
			</div>

	    	<div class="row" ng-if="manageUsersDetailCtrl.userData">
				<div class="col-lg-12">
					<div class="card flex-md-row mb-4 shadow-sm">
						<div class="col-lg-2">
							<img ng-src="[[ manageUsersDetailCtrl.userData.profile_picture ]]" class="card-img-left flex-auto rounded mx-auto d-block mt-5" alt="[[manageUsersDetailCtrl.userData.userFullName]]">
						</div>
						<div class="card-body d-flex flex-column align-items-start col-lg-5">
							<h3 class="mb-0">
								<b class="text-dark" ng-bind="manageUsersDetailCtrl.userData.userFullName"></b>
								<span class="h5" ng-if="manageUsersDetailCtrl.userData.userRoleTitle">([[manageUsersDetailCtrl.userData.userRoleTitle]])</span>
							</h3>
							<div class="mb-1 text-muted" ng-bind="manageUsersDetailCtrl.userData.mobile_number"></div>
							<div class="mb-5" ng-bind="manageUsersDetailCtrl.userData.email"></div>
							<div>
								<span ng-if="manageUsersDetailCtrl.userData.status_id == 1" >
									<span class="status-icon bg-success"></span>
									<span ng-bind="manageUsersDetailCtrl.userData.status"></span>
								</span>

								<span ng-if="manageUsersDetailCtrl.userData.status_id == 2" >
									<span class="status-icon bg-warning"></span>
									<span ng-bind="manageUsersDetailCtrl.userData.status"></span>
								</span>

								<span ng-if="manageUsersDetailCtrl.userData.status_id == 5" >
									<span class="status-icon bg-danger"></span>
									<span ng-bind="manageUsersDetailCtrl.userData.status"></span>
								</span>
								
							</div>
							<small class="text-right text-muted">
								Created On : [[manageUsersDetailCtrl.userData.created_at]]
							</small>
						</div>
						<div class="d-flex flex-column col-lg-6">
							<p ng-if="manageUsersDetailCtrl.userData.address_line_1 || manageUsersDetailCtrl.userData.address_line_2" class="card-text mb-auto">Address :<br>
								<span ng-if="manageUsersDetailCtrl.userData.address_line_1" ng-bind="manageUsersDetailCtrl.userData.address_line_1"></span><br>
								<span ng-if="manageUsersDetailCtrl.userData.address_line_2" ng-bind="manageUsersDetailCtrl.userData.address_line_2"></span>
							</p>
							<p ng-if="manageUsersDetailCtrl.userData.country" class="card-text mb-auto">Country : 	
								<span ng-bind="manageUsersDetailCtrl.userData.country"></span>
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>
    <!--     <ul class="list-group list-group-flush">
            <li class="list-group-item">
                <?= __tr('User Full Name') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.userFullName ]]</span>
            </li>
            <li class="list-group-item">
                <?= __tr('Username') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.userName ]]</span>
            </li>
            <li class="list-group-item" ng-if="manageUsersDetailCtrl.userData.email">
                <?= __tr('Email') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.email ]]</span>
            </li>
            <li class="list-group-item" ng-if="manageUsersDetailCtrl.userData.mobile_number">
                <?= __tr('Mobile Number') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.mobile_number ]]</span>
            </li>
            <li class="list-group-item">
                <?= __tr('Created On') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.created_at ]]</span>
            </li>
            <li class="list-group-item">
                <?= __tr('Role') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.userRoleTitle ]]</span>
            </li>
            <li class="list-group-item">
                <?= __tr('Status') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.status ]]</span>
            </li>
            <li class="list-group-item" ng-if="manageUsersDetailCtrl.userData.address_line_1">
                <?= __tr('Address 1') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.address_line_1 ]]</span>
            </li>
            <li class="list-group-item" ng-if="manageUsersDetailCtrl.userData.address_line_2">
                <?= __tr('Address 2') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.address_line_2 ]]</span>
            </li>
            <li class="list-group-item" ng-if="manageUsersDetailCtrl.userData.country">
                <?= __tr('Cuntry') ?>
                <span class="float-right">[[ manageUsersDetailCtrl.userData.country ]]</span>
            </li>
        </ul> -->
    </div>
    <!-- /Modal Body -->
    
    <!-- Modal footer -->
    <div class="modal-footer">
        <button type="button" title="<?= __tr('Close') ?>" class="btn btn-lite" ng-click="manageUsersDetailCtrl.closeDialog()"><?= __tr('Close') ?></button>
    </div> 
    <!-- /Modal footer -->
</div>