<?php
/*
*  Component  : Manage User
*  View       : User Dynamic Permission
*  Engine     : ManageUserEngine  
*  File       : user-dynamic-permission.blade.php  
*  Controller : ManageUsersDynamicPermissionController 
----------------------------------------------------------------------------- */ 
?>
<div>
    
    <!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title">
            <?= __tr( 'Manage Permission of __fullName__', [
                '__fullName__' => '<strong>[[ manageUsersDynamicPermissionCtrl.fullName ]]</strong>'
            ]) ?>
        </h3>
    </div>
    <!-- /Modal Heading -->
    <!-- permission search -->
	<!-- <div class="modal-body">
        <div>
			<input type="text" class="form-control" ng-model="manageUsersDynamicPermissionCtrl.searchItem" ng-change="manageUsersDynamicPermissionCtrl.filterPermissions(manageUsersDynamicPermissionCtrl.searchItem)" placeholder="Filter Permission" >
		</div>
	</div> -->
	<!-- /permission search -->

    <!-- form start -->
    <form role="form" 
        class="lw-ng-form" 
        name="manageUsersDynamicPermissionCtrl.[[ manageUsersDynamicPermissionCtrl.ngFormName ]]"
        ng-submit="manageUsersDynamicPermissionCtrl.submit()"
        novalidate>
        <!-- Modal Body -->
        <div class="modal-body">
            <div class="table-responsive">
                <table class="table small" width="100%">
                    <tbody ng-repeat="parentpermission in manageUsersDynamicPermissionCtrl.permissions" class="hover-permission">
                        <tr>
                            <td width="30%" ng-bind="parentpermission.title"></td>
                            <td>
                                <table class="table table-hover lw-table-borderless" width="100%" cellspacing="0">
                                    <tbody>
                                        <tr ng-repeat="child in parentpermission.children">
                                            <td ng-class="{'border-top-0': $first}" width="35%" >[[child.title]]</td>
                                            <td ng-class="{'border-top-0': $first}">

												<div class="form-check form-check-inline" ng-repeat="option in child.options">
													<input type="radio" id="[[option.key]]" name="[[child.id]]" class="form-check-input" ng-model="manageUsersDynamicPermissionCtrl.checkedPermission[child.id]" ng-click="manageUsersDynamicPermissionCtrl.checkPermission(child.id, option.status)"  value="[[option.status]]">
													<label class="form-check-label" for="[[option.key]]">[[option.title]]</label>
												</div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr ng-repeat="subchildpermission in parentpermission.children_permission_group" ng-if="parentpermission.children_permission_group">
                            <td width="30%">&nbsp;&nbsp; &#8735;</i> [[subchildpermission.title]]</td>
                            <td>
                                <table class="table table-hover lw-table-borderless" width="100%" cellspacing="0">
                                    <tbody>
                                        <tr ng-repeat="childpermission in subchildpermission.children">
                                            <td ng-class="{'border-top-0': $first}" width="35%"> [[childpermission.title]]</td>
                                            <td ng-class="{'border-top-0': $first}">
												<div class="custom-control custom-radio custom-control-inline" ng-repeat="option in childpermission.options">
													<input type="radio" ng-model="manageUsersDynamicPermissionCtrl.checkedPermission[childpermission.id]" ng-click="manageUsersDynamicPermissionCtrl.checkPermission(childpermission.id, option.status)" class="form-check-input"  id="option.key" value="[[option.status]]"  name="[[childpermission.id]]">
													<label class="form-check-label" for="option.key">[[option.title]]</label>
												</div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            
        </div>
        <!-- /Modal Body -->

        <!-- /Modal footer -->
        <div class="modal-footer">
            <!--  add button -->
            <button type="submit" class="btn btn-primary" title="<?=  __tr('Update')  ?>"><?=  __tr('Update')  ?> </button>
            <!--  /add button -->

            <!--  close button -->
            <button type="button" ng-click="manageUsersDynamicPermissionCtrl.closeDialog()" class="btn btn-lite" title="<?=  __tr('Cancel')  ?>"><?=  __tr('Cancel')  ?></button>
            <!--  close button -->
        </div>
        <!-- /Modal footer -->
    </form>
    <!-- /End Form -->
</div>