<?php 
/*
*  Component  : RolePermission
*  View       : Dynamic Role Permission
*  Engine     : RolePermissionEngine  
*  File       : dynamic-role-permissions.blade.php  
*  Controller : DynamicRolePermissionController 
----------------------------------------------------------------------------- */
?>
<div>
    <!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title">
        <?= __tr('Permissions of __title__ User Role', [
            '__title__' => '<strong>[[ DynamicRolePermissionCtrl.title ]]</strong>'
        ]) ?></h3>
    </div>
    <!-- /Modal Heading -->

    <!-- permission search -->
 	<div class="modal-body">
        <div>
			<!-- <input type="text" class="form-control" ng-model="DynamicRolePermissionCtrl.searchItem" ng-change="DynamicRolePermissionCtrl.filterPermissions(DynamicRolePermissionCtrl.searchItem)" placeholder="Filter Permission" > -->
		</div>
	</div>
	<!-- /permission search -->
	
    <form role="form" 
        class="lw-ng-form" 
        name="DynamicRolePermissionCtrl.[[ DynamicRolePermissionCtrl.ngFormName ]]"
        ng-submit="DynamicRolePermissionCtrl.submit()"
        novalidate>
        <!-- Modal Body -->
        <div class="modal-body">
            <div class="table-responsive">
    		 	<table class="table small" width="100%">
    			    <tbody ng-repeat="parentpermission in DynamicRolePermissionCtrl.permissions" class="hover-permission">
    			        <tr>
    			            <td width="30%" ng-bind="parentpermission.title"></td>
    			            <td>
                                <table class="table table-hover lw-table-borderless" width="100%">
                                    <tbody>
                                        <tr ng-repeat="child in parentpermission.children">
                                            <td ng-class="{'border-top-0': $first}" width="40%" >[[child.title]]</td>
                                            <td ng-class="{'border-top-0': $first}">
                                            	<div class="form-check form-check-inline" ng-repeat="option in child.options">
													<input type="radio" value="[[option.status]]" ng-model="DynamicRolePermissionCtrl.checkedPermission[child.id]" class="form-check-input" ng-click="DynamicRolePermissionCtrl.checkPermission(child.id, option.status)" 
                                                    id="[[option.key]]" name="[[child.id]]">
													<label class="form-check-label" for="[[option.key]]">[[option.title]]</label>
												</div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
    			        </tr>
    			        <tr ng-repeat="subchildpermission in parentpermission.children_permission_group" ng-if="parentpermission.children_permission_group">
    			            <td width="30%">&nbsp;&nbsp; &#8735;</i> [[subchildpermission.title]]</td>
    			            <td>
                                <table class="table table-hover lw-table-borderless" width="100%" cellspacing="0">
                                    <tbody>
                                        <tr ng-repeat="childpermission in subchildpermission.children">
                                            <td ng-class="{'border-top-0': $first}" width="40%" >[[childpermission.title]]</td>
                                            <td ng-class="{'border-top-0': $first}">
                                            	<div class="form-check form-check-inline" ng-repeat="option in childpermission.options">
													<input type="radio" value="[[option.status]]" ng-model="DynamicRolePermissionCtrl.checkedPermission[childpermission.id]" class="form-check-input" ng-click="DynamicRolePermissionCtrl.checkPermission(childpermission.id, option.status)"  id="[[childpermission.id]]" value="[[option.status]]"  name="[[childpermission.id]]">
													<label class="form-check-label" for="[[option.key]]">[[option.title]]</label>
												</div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
    			            </td>
    			        </tr>
    			    </tbody>
    			</table>
            </div>
        </div> 
        <!-- /Modal Body -->

        <!-- /Modal footer -->
        <div class="modal-footer">
            <!--  add button -->
            <button type="submit" class="btn btn-primary" title="<?=  __tr('Update')  ?>"><?=  __tr('Update')  ?> </button>
            <!--  /add button -->

            <!--  close button -->
            <button type="button" ng-click="DynamicRolePermissionCtrl.closeDialog()" class="btn btn-lite" title="<?=  __tr('Cancel')  ?>"><?=  __tr('Cancel')  ?></button>
            <!--  close button -->
        </div>
        <!-- /Modal footer -->
    </form>
    <!-- /End Form -->
</div>

 