<?php 
/*
*  Component  : RolePermission
*  View       : Role Permission Controller
*  Engine     : RolePermissionEngine  
*  File       : rolePermission.list.blade.php  
*  Controller : RolePermissionListController 
----------------------------------------------------------------------------- */
?>
<div>

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                Manage User Roles
            </h1>
            <div class="page-options d-flex">
                <button title="<?=  __tr('New User Role')  ?>" ng-show="canAccess('manage.user.role_permission.write.role.create')" class="btn btn-primary btn-sm" ng-click="rolePermissionListCtrl.showAddNewDialog()"><i class="fe fe-plus"></i> <?=  __tr('New User Role')   ?></button>
            </div>
        </div>
    </div>
    <!-- / main heading  -->

    <input type="hidden" id="lwRolePermissionDeleteTextMsg" data-message="<?= __tr( 'you want to delete __name__ user role') ?>" data-delete-button-text="<?= __tr('Yes, delete it') ?>" data-success-text="<?= __tr( 'Deleted!') ?>" data-error-text="<?= __tr( 'Unable to Delete!') ?>">

    <div class="card">

        <div class="card-body">
    
    <table class="table table-striped table-bordered" id="lwrolePermissionList" class="ui celled table" cellspacing="0" width="100%">
        <thead>
            <tr>
                <th><?= __tr('Title') ?></th>
                <th><?= __tr('Action') ?></th>
            </tr>
        </thead>
        <tbody></tbody>
    </table>

    <div ui-view></div>
    </div>
    </div>
            
</div> 

    <!-- action template -->
    <script type="text/_template" id="rolePermissionActionColumnTemplate">
    <% if(__tData.show_permission_button) { %>
        <% if(__tData.can_manage_permission) { %>
            <a title="<?=  __tr('Permissions')  ?>" class="lw-btn btn btn-secondary btn-sm" href ng-click="rolePermissionListCtrl.rolePermissionDialog('<%- __tData._id %>', '<%- _.escape(__tData.title) %>')"><i class="fe fe-shield"></i> <?=  __tr('Permissions')  ?></a>
        <% } %>

        <% if((__tData.can_delete) && (__tData.delete_static_roles)) { %>
            <a class="btn btn-danger btn-sm" title="<?= __tr('Delete') ?>" href="" ng-click="rolePermissionListCtrl.delete('<%- __tData._uid %>', '<%- _.escape(__tData.title) %>')"><i class="fe fe-trash-2"></i> <?= __tr('Delete') ?></a>
        <% } %>
    <% } %>
    </script>
    <!-- /action template -->

    <!-- Role Permission delete dialog template -->
    <script type="text/ng-template" id="lw-role-permission-delete-dialog.ngtemplate">
        <p><?= __tr('Are you sure you want to delete this Role Permission?') ?></p>
        <div class="ngdialog-buttons">
            <button type="button" title="<?= __tr('Yes') ?>" class="btn btn-primary btn-sm" ng-click="confirm()"><i class="trash icon"></i> <?= __tr('Yes') ?>            </button>
            <button type="button" title="<?= __tr('No') ?>" class="btn btn-lite btn-sm" ng-click="closeThisDialog()"><?= __tr('No') ?></button>
        </div>
    </script>
    <!-- /Role Permission delete dialog template -->