<?php
/*
*  Component  : Manage User
*  View       : User List  
*  Engine     : ManageUserEngine  
*  File       : list.blade.php  
*  Controller : ManageCustomersController 
----------------------------------------------------------------------------- */
?>

<div>
    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                Manage Members
            </h1>
            <div class="page-options d-flex">
                <button title="<?=  __tr('New Customer')  ?>"
                        ng-show="canAccess('manage.customer.write.create')"
                        class="btn btn-sm btn-primary"
                        
                        ui-sref="new_customer()"
                >
                    <i class="fe fe-plus"></i> <?=  __tr('New Member') ?>
                </button>
            </div>
        </div>
    </div>
    <!-- / main heading  -->

    <input type="hidden" id="lwUserDeleteConfirmTextMsg"
           data-message="<?= __tr('You want to delete __name__ user. This user placed in deleted tab', ['__name__' => '[[ manageCustomersCtrl.deletingUserName ]]'
           ]) ?>" data-delete-button-text="<?= __tr('Yes, delete it') ?>" ,
           success-msg="<?= __tr('User deleted successfully. This user placed in deleted tab.') ?>">

    <input type="hidden" id="lwUserRestoreConfirmTextMsg" data-message="<?= __tr('You want to restore __name__ user.', [
        '__name__' => '[[ manageCustomersCtrl.restoringUserName ]]'
    ]) ?>" data-restore-button-text="<?= __tr('Yes, restore it') ?>">

    <div class="card">


        <div class="card-body">

            <div class="mb-5">
                <ul class="nav nav-tabs lw-tabs" role="tablist" id="manageCustomersTabs">
                    <li role="presentation" class="nav-item">
                        <a href="#members" class="nav-link" aria-controls="members" role="tab" data-toggle="tab"
                           title="<?=  __tr('All Members')  ?>"><i class="fe fe-check-circle"
                                                                   aria-hidden="true"></i> <?=  __tr('All Members')  ?>
                        </a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a href="#activePackages" class="nav-link" aria-controls="activePackages" role="tab"
                           data-toggle="tab"
                           title="<?=  __tr('Active Packages')  ?>"><i class="fe fe-user-check"
                                                                       aria-hidden="true"></i> <?=  __tr('Active Packages')  ?>
                        </a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a href="#expirePackages" class="nav-link" aria-controls="expirePackages" role="tab"
                           data-toggle="tab"
                           title="<?=  __tr('Expire Package Members')  ?>">
                            <i class="fe fe-user-minus" aria-hidden="true"></i> <?=  __tr('Expire Package Members')  ?>
                        </a>
                    </li>
                </ul>
            </div>


            <div class="tab-content">

                <!--  Active Users Tab  -->
                <div role="tabpanel" class="tab-pane fade in show" id="members">
                    <!--  datatable container  -->
                    <table class="table table-striped table-bordered" id="activeUsersTabList" cellspacing="0"
                           width="100%">
                        <thead>
                        <tr>
                            <th width="10%"><?= __tr('Profile Picture') ?></th>
                            <th><?= __tr('Name') ?></th>
                            <th><?= __tr('Phone') ?></th>
                            <th><?= __tr('Since') ?></th>
                            <th><?= __tr('Action') ?></th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>

                    <!--  /datatable container  -->
                </div>
                <!--  /Active Users Tab  -->

                <!--  Inactive Users Tab  -->
                <div role="tabpanel" class="tab-pane fade" id="activePackages">
                    <!--  datatable container  -->
                    <table class="table table-striped table-bordered " id="inactiveUsersTabList" cellspacing="0"
                           width="100%">
                        <thead>
                        <tr>
                            <th width="10%"><?= __tr('Profile Picture') ?></th>
                            <th><?= __tr('Name') ?></th>
                            <th><?= __tr('Phone') ?></th>
                            <th><?= __tr('Since') ?></th>
                            <th><?= __tr('Action') ?></th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>

                    <!--  /datatable container  -->
                </div>
                <!--  /Inactive Users Tab  -->

                <!--  Deleted Users Tab  -->
                <div role="tabpanel" class="tab-pane fade" id="expirePackages">
                    <!--  datatable container  -->
                    <table class="table table-striped table-bordered" id="deletedUsersTabList" cellspacing="0"
                           width="100%">
                        <thead>
                        <tr>
                            <th width="10%"><?= __tr('Profile Picture') ?></th>
                            <th><?= __tr('Name') ?></th>
                            <th><?= __tr('Phone') ?></th>
                            <th><?= __tr('Since') ?></th>
                            <th><?= __tr('Action') ?></th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                    <!--  /datatable container  -->
                </div>
                <!--  /Deleted Users Tab  -->
            </div>
        </div>

    </div>
    <div ui-view></div>
    <!--  user name column template  -->
    <script type="text/template" id="userNameColumnTemplate">
        <% if(__tData.canViewDetails) { %>
        <button class="btn btn-link" ui-sref="customer_detail({ 'memberId' : '<%- __tData.member_id %>' })"
                title="User name"><%= __tData.memberName %>
        </button>
        <% } else { %>
        <%= __tData.memberName %>
        <% } %>
    </script>
    <!--  user name column template  -->

    <!--  user updated date column template  -->
    <script type="text/template" id="userUpdatedDateColumnTemplate">
        <span title="<%= __tData.updated_date %>"><%= __tData.human_readable_updated_date %></span>
    </script>
    <!--  user updated date template  -->

    <!--  user action column template  -->
    <script type="text/template" id="userActionColumnTemplate" ng-cloak>
        <% if(__tData.can_assign_package) { %>
        <a title="<?=  __tr('Enroll Package')  ?>" class="btn btn-sm btn-primary" ui-sref="assign_package({'memberId' : '<%- __tData.member_id %>'})">

            <i class="fe fe-edit-2"></i> <?= __tr('Enroll Package') ?></a>
        <% } %>
    </script>
    <!--  /user action column template ui-sref="orders.active" -->

    <!-- profileImageColumnTemplate -->
    <script type="text/_template" id="profileImageColumnTemplate">
        <img class="lw-image-thumbnail" src="<%- __tData.profile_img_url %>">
    </script>
    <!-- /profileImageColumnTemplate -->

</div>
<?php /**PATH /var/www/html/dietbox_fitness/resources/views/user/customer/list.blade.php ENDPATH**/ ?>