<?php
	/*
	 *  Component  : Dashboard
	 *  View       : Admin Dashboard  
	 *  Engine     : DashboardEngine  
	 *  File       : admin-dashboard.blade.php  
	 *  Controller : AdminDashboardController  as AdminDashboardCtrl
	----------------------------------------------------------------------------- */
	?> 

<div>
	<!--  main heading  -->
	<div class="lw-section-heading-block">
		<div class="page-header">
			<h1 class="page-title">
				Dashboard
			</h1>
		</div>
    </div>

	<!-- / main heading  -->
	<div class="row row-cards" ng-if="AdminDashboardCtrl.userInfo.designation != 3">
		
		<div class="col-sm-12 col-md-12 col-lg-6">
			<div class="card">
				<div class="card-body">
					<div class="row">
				        <div class="col-sm-6 col-lg-6" ng-show="canAccess('manage.transaction.read.list')">
				            <div class="card p-3">
				                <div class="d-flex align-items-center">
				                    <span class="stamp stamp-md bg-blue mr-3" ng-bind="getCurrencySymbol()"></span>
				                    <div>
				                        <h4 class="m-0"><a ui-sref="transactions"><span ng-bind="AdminDashboardCtrl.dashboard.transactions.total_records"></span><small> Transactions</small></a></h4>
				                    </div>
				                </div>
				            </div>
						</div>
						<div class="col-sm-6 col-lg-6" ng-show="canAccess('manage.package.read.list')">
							<div class="card p-3">
								<div class="d-flex align-items-center">
									<span class="stamp stamp-md bg-green mr-3">
									<i class="fe fe-shopping-cart"></i>
									</span>
									<div>
										<h4 class="m-0"><a ui-sref="package"><span ng-bind="::AdminDashboardCtrl.dashboard.packages.total_count "></span> <small>Packages</small></a></h4>
										<small class="text-muted"><span ng-bind="::AdminDashboardCtrl.dashboard.packages.total_purchased_count"></span>  purchased</small>
									</div>
								</div>
							</div>
						</div>
						<div class="col-sm-6 col-lg-6" ng-show="canAccess('manage.customer.read.datatable.list')">
							<div class="card p-3">
								<div class="d-flex align-items-center">
									<span class="stamp stamp-md bg-red mr-3">
									<i class="fe fe-users"></i>
									</span>
									<div>
										<h4 class="m-0">
				                            <a ui-sref="customers">
				                                <span ng-bind="::AdminDashboardCtrl.dashboard.customers.total_count "></span>
				                            <small>Customers</small></a>
				                        </h4>
										<small class="text-muted"><span ng-bind="::AdminDashboardCtrl.dashboard.customers.active_count"></span> Active</small>
									</div>
								</div>
							</div>
						</div>
						<div class="col-sm-6 col-lg-6" ng-show="canAccess('manage.item.read.list')">
							<div class="card p-3">
								<div class="d-flex align-items-center">
									<span class="stamp stamp-md bg-yellow mr-3">
									<i class="fe fe-box"></i>
									</span>
									<div>
										<h4 class="m-0"><a ui-sref="items"> <span ng-bind="::AdminDashboardCtrl.dashboard.items.total_count "></span> <small>Items</small></a></h4>
										<small class="text-muted"><span ng-bind="::AdminDashboardCtrl.dashboard.items.active_count"></span>  Active</small>
									</div>
								</div>
							</div>
				        </div>
				        <div class="col-sm-6 col-lg-6" ng-show="canAccess('manage.bill.read.list')">
							<div class="card p-3">
								<div class="d-flex align-items-center">
									<span class="stamp stamp-md bg-yellow mr-3">
									<i class="fe fe-inbox"></i>
									</span>
									<div>
										<h4 class="m-0"><a ui-sref="bill.general"> <span ng-bind="::AdminDashboardCtrl.dashboard.overDueBillCount "></span> <small>Overdue Bills</small></a></h4>
									</div>
								</div>
							</div>
				        </div>
					</div>
				</div>
			</div>
		</div>
		<div class="col-sm-12 col-md-12 col-lg-6" ng-show="canAccess('manage.transaction.read.list')">
			<div class="">
				<div class="card">
					<div class="card-body text-center">
						<div class="h5">This Month Credit Amount</div>
						<div class="display-4 font-weight-bold mb-4" ng-bind="AdminDashboardCtrl.dashboard.transactions.credit"></div>
					</div>
				</div>
			</div>
			<div class="">
				<div class="card">
					<div class="card-body text-center">
						<div class="h5">This Month Debit Amount</div>
						<div class="display-4 font-weight-bold mb-4" ng-bind="AdminDashboardCtrl.dashboard.transactions.dabit"></div>
					</div>
				</div>
			</div>			
		</div>

        <!-- <div class="col-lg-6">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Upcoming Expiring Packages</h3>
                </div>
                <div class="card-body o-auto" style="height: 17rem">
                    <div class="table-responsive">
                        <table class="table table-striped table-vcenter" >
                            <thead>
                                <tr>
                                    <th colspan="2">User</th>
                                    <th>Package</th>
                                    <th>Price</th>
                                    <th>Expiry</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-if="AdminDashboardCtrl.dashboard.upcommingExpiryPackages.length > 0" ng-repeat="usePackage in AdminDashboardCtrl.dashboard.upcommingExpiryPackages">
                                    <td class="w-1"><span style="background-image: url(./static-assets/imgs/no-thumb-icon.png)"></span></td>
                                    <td ng-bind="::usePackage.name"></td>
                                    <td ng-bind="::usePackage.title"></td>
                                    <td ng-bind="::usePackage.formated_price"></td>
                                    <td class="text-nowrap" ng-bind="::usePackage.formated_expiry"></td>
                                </tr>
                                <tr ng-if="AdminDashboardCtrl.dashboard.upcommingExpiryPackages.length == 0" >
                                    <td colspan="5" class="text-center">
                                        There are no expiring packages.
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div> -->

        <!-- <div class="col-lg-6">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Unpaid Bills</h3>
                </div>
                <div class="card-body o-auto" style="height: 17rem">
                    <div class="table-responsive">
                        <table class="table table-striped" >
                            <thead>
                                <tr>
                                    <th>#Bill No</th>
                                    <th>Customer Name</th>
                                    <th>Amount</th>
                                    <th>Due date</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-if="AdminDashboardCtrl.dashboard.unpaidBills.unpaidBills.length > 0" ng-repeat="bill in AdminDashboardCtrl.dashboard.unpaidBills.unpaidBills">
                                    <td ng-bind="::bill.bill_no"></td>
                                    <td ng-bind="::bill.customer_name"></td>
                                    <td class="text-right" ng-bind="::bill.amount"></td>
                                    <td ng-bind="::bill.due_date"></td>
                                </tr>
                                <tr ng-if="AdminDashboardCtrl.dashboard.unpaidBills.unpaidBills.length == 0" >
                                    <td colspan="4" class="text-center">
                                        There are no unpaid bills.
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div> -->
    </div>

    <!-- / main heading  -->

    <!-- for customer -->
    <div class="row row-cards" ng-if="AdminDashboardCtrl.userInfo.designation == 3 || AdminDashboardCtrl.userInfo.designation == 2">
         <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Assigned Packages</h3>
                </div>
                <div class="card-body">
                    <div class="row" ng-if="AdminDashboardCtrl.dashboard.myPackages.length > 0">
                        <div class="col-sm-6 col-md-6 col-lg-4" ng-repeat="mypackage in AdminDashboardCtrl.dashboard.myPackages">
                            <div class="card">
                                <div class="card-body">
                                    <h5 class="card-title">
                                        <span ng-bind="mypackage.package_title"></span>
                                        (<span ng-bind="mypackage.package_price"></span>)
                                    </h5>
                                    <p class="card-text">
                                        <small class="text-dark"><strong>Frequency :</strong> <span ng-bind="mypackage.package_frequency"></span></small>
                                    </p>
                                    <p class="card-text">
                                        <small class="text-dark"><strong>Started On :</strong> <span ng-bind="mypackage.package_started_on"></span></small>
                                    </p>

                                    <p class="card-text">
                                        <small class="text-dark"><strong>Items :</strong>
                                            <span ng-if="mypackage.package_items.length == 0 && mypackage.item_products.length == 0">N/A</span>
                                        </small>
                                        <div ng-if="mypackage.item_products.length > 0" ng-repeat="product in mypackage.item_products">
                                            <small class="text-dark">
                                                <span ng-bind="product.title"></span>
                                            </small>
                                        </div>
                                        <div ng-if="mypackage.package_items.length > 0" ng-repeat="item in mypackage.package_items">
                                            <small class="text-dark">
                                                <span ng-bind="item.package_item_title"></span>
                                                (<span ng-bind="item.package_item_slot"></span>)
                                            </small>
                                        </div>
                                    </p>
                                </div>
                                <div class="card-footer">
                                    <small class="text-muted"><strong>Expiring On :</strong> 
                                        <span ng-bind="mypackage.package_expiry" ng-if="mypackage.package_expiry"></span>
                                        <span ng-if="!mypackage.package_expiry"> N/A </span>
                                    </small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 text-center" ng-if="AdminDashboardCtrl.dashboard.myPackages.length == 0">
                        No Packages Found
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / for customer -->
</div><?php /**PATH /var/www/html/dietbox_fitness/resources/views/dashboard/admin-dashboard.blade.php ENDPATH**/ ?>