<?php
/*
*  Component  : Assign Package
*  View       : Assign Package  
*  Engine     : PckageEngine  
*  File       : assign-package-dialog.blade.php
*  Controller : AssignPackageController as AssignPackageCtrl 
----------------------------------------------------------------------------- */ 
?>

<div>

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
            Assign Package
            </h1>
            <div class="page-options">
                
                <a ui-sref="customers"
                    class="btn btn-secondary"
                    title="<?= __tr('Manage Customers') ?>"> 
                    <i class="fe fe-users"></i> <?= __tr('Manage Customers') ?>
                </a>

                <a ui-sref="users"
                    class="btn btn-secondary"
                    title="<?= __tr('Manage Staff Members') ?>"> 
                    <i class="fe fe-users"></i> <?= __tr('Manage Staff Members') ?>
                </a>

            </div>
        </div>
    </div>
    <!-- / main heading  -->

    <div class="card">

        <form class="lw-form lw-ng-form"
            name="AssignPackageCtrl.[[ AssignPackageCtrl.ngFormName ]]" 
            novalidate>

            <div class="card-body">

            	<div class="dimmer active" ng-if="!AssignPackageCtrl.userData">
					<div class="loader"></div>
					<div class="dimmer-content">
						Loading Content .....
					</div>
				</div>

		    	<div class="col-lg-6 offset-lg-3" ng-if="AssignPackageCtrl.userData">

                <div class="card">
                        <div class="card-body">
                            <div class="media">
                                <img class="d-flex mr-5 rounded"
                                    ng-src="[[AssignPackageCtrl.userData.profile_picture]]"
                                    alt="[[AssignPackageCtrl.userData.userFullName]]">
                                <div class="media-body">
                                    <h5 ng-bind="AssignPackageCtrl.userData.userFullName"></h5>
                                    <address class="text-muted small">
                                        <span ng-if="AssignPackageCtrl.userData.address_line_1">[[AssignPackageCtrl.userData.address_line_1]]<br></span>
                                        <span ng-if="AssignPackageCtrl.userData.address_line_2" >[[AssignPackageCtrl.userData.address_line_2]]<br></span> 
                                        <span ng-if="AssignPackageCtrl.userData.country">[[AssignPackageCtrl.userData.country]]<br></span>
                                        Contact : <span ng-bind="AssignPackageCtrl.userData.mobile_number"></span><span ng-if="AssignPackageCtrl.userData.email">, [[AssignPackageCtrl.userData.email]]</span>
                                    </address>
                                </div>
                            </div>
                        </div>
                    </div>
				</div>

            	<div class="row">
            		<div class="col-lg-12">
						<div class="card" ng-if="AssignPackageCtrl.assignedPackages.length > 0">
							<div class="card-header"><?= __tr('Active Packages') ?></div>
							<div id="active_packages_collapse">
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-sm">
											<thead>
												<tr>
													<th scope="col">#</th>
													<th scope="col">Package Name</th>
													<th scope="col">Package Expiring On</th>
													<th scope="col">Package Details</th>
												</tr>
											</thead>
											<tbody>
												<tr ng-repeat="package in AssignPackageCtrl.assignedPackages" >
													<th scope="row">[[ $index + 1 ]]</th>
													<td>[[package.title]]</td>
													<td>[[package.expiry_at]]</td>
													<td>
														<table width="100%">
															<tr ng-repeat="item_slot in package.user_item_slots">
																<td ng-class="{'border-top-0' : $first}">[[item_slot.item_title]]</td>
																<td ng-class="{'border-top-0' : $first}"  width="40%">[[item_slot.item_slot_time]]</td>
															</tr>
														</table>
													</td>
												</tr>
												<tr ng-if="AssignPackageCtrl.assignedPackages.length == 0">
													<td colspan="4" class="text-center"> No Active Packages</td>
												</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
            		</div>
            	</div>
            
                <div class="form-group">

                    <label class="form-label">Packages</label>

                    <div class="">

                        <label class="col-sm-3" ng-repeat="package in AssignPackageCtrl.assign_package_data">
                            <input type="radio" ng-change="AssignPackageCtrl.addServiceToAssign(AssignPackageCtrl.assignData.selected_package, 1)"   name="products_selected" id="package_[[package.package_id]]" ng-value="package.package_id" ng-model="AssignPackageCtrl.assignData.selected_package" class="selectgroup-input" ng-required="true">
                            <div class="selectgroup-button rounded-0" for="package_[[package.package_id]]" ng-bind="package.title"></div>
                        </label>
                        
                    </div>

                </div>

                <!-- Seleted Packages -->
                <fieldset class="lw-fieldset-2" ng-if="AssignPackageCtrl.assignData.selected_package">

                    <legend class="lw-fieldset-legend-font">
                        <h4>Choose Slots</h4>
                    </legend>

                    <div class="row">
                        <div class="col-lg-4" ng-repeat="item in AssignPackageCtrl.assignData.packageDetails.package_items">
                            <!-- Select Slot -->
                            <lw-form-field field-for="package_items_[[ item.package_item_uid ]]_[ $index ]_selected_slot" ng-if="item.package_item_type == 1" label="[[item.package_item_title]] Slot">
								
								<div class="input-group">
									<select class="custom-select"
									    name="package_items_[[ item.package_item_uid ]]_[ $index ]_selected_slot" id="package_items_[[ item.package_item_uid ]]_[ $index ]_selected_slot" ng-model="AssignPackageCtrl.assignData.packageDetails.package_items[ $index ].selected_slot" ng-required="true">
									    <option value='' disabled selected><?=  __tr('-- Select Slot --')  ?></option>
									    <option ng-repeat="slot in item.package_item_slots" value="[[slot.item_slot_id]]">
									        [[slot.item_slot_title]] ( [[slot.item_slot_time]] )
									    </option>
									</select>
									<div class="input-group-append" ng-if="canAccess('manage.item.write.create')">
										<button class="btn btn-sm btn-outline-secondary" type="button" ng-click="AssignPackageCtrl.addNewItemSlot(item.package_item_uid, item.package_item_title)">Create New Slot</button>
									</div>
								</div>
                                
                            </lw-form-field>
                            <!-- /Select Slot-->
                        </div>
                    </div>
                </fieldset>
                <!-- / Selected Packages -->

                <!-- Selected Frequency -->
                <fieldset class="lw-fieldset-2" ng-if="AssignPackageCtrl.assignData.selected_package">

                    <legend class="lw-fieldset-legend-font">
                        <h4>Choose Frequency</h4>
                    </legend>

                    <div>
                        <div class="">
                           <!-- Select frequency -->
                            <lw-form-radio-field field-for="selected_package_frequency" v-label="Frequency"> 
								<div class="custom-control custom-control-inline custom-radio" 
									ng-repeat="prices in AssignPackageCtrl.assignData.packageDetails.package_prices">
									<input type="radio" id="[[prices.uniqe_id]]" 
										name="selected_package_frequency" ng-required="true"
										class="custom-control-input"
										ng-value="prices.frequency_id"
										ng-change="AssignPackageCtrl.changePackagePrice(prices.price);AssignPackageCtrl.getExpiryData(AssignPackageCtrl.assignData.packageDetails.starts_at, AssignPackageCtrl.assignData.packageDetails.selected_package_frequency)"
										ng-model="AssignPackageCtrl.assignData.packageDetails.selected_package_frequency">
									<label class="custom-control-label mt-0" for="[[prices.uniqe_id]]">[[prices.frequency_title]]</label>
								</div>
                            </lw-form-radio-field>
                            <!-- /Select frequency-->
                        </div>
                    </div>
                </fieldset>
                <!-- / Selected Frequency -->

				<div class="row">
					<div class="col">
						<lw-form-field for="package_amount_paid" label="Amount">
				            <div class="input-group">
				                <div class="input-group-prepend">
				                    <span class="input-group-text" ng-bind="getCurrencySymbol()"></span>
				                </div>
				                <input type="number"
				                    class="lw-form-field form-control text-center"
				                    ng-model="AssignPackageCtrl.assignData.packageDetails.package_amount_paid"
				                    name="package_amount_paid"
				                    ng-required="true"
                                    min="0"
				                />
				                <div class="input-group-append">
				                    <span class="input-group-text" ng-bind="getCurrency()"></span>
				                </div>
				            </div>
				        </lw-form-field>
					</div>
					<div class="col">
						<!-- starts At  -->
						<lw-form-field field-for="starts_at" label="<?=  __tr( 'Starts From' )  ?>"> 
						    <input type="text" 
						        class="lw-form-field form-control"
						        name="starts_at"
						        lw-datetimepicker
						        options="[[ AssignPackageCtrl.dateTimePickerOptions ]]"
						        ng-required="true"
						        ng-change="AssignPackageCtrl.getExpiryData(AssignPackageCtrl.assignData.packageDetails.starts_at, AssignPackageCtrl.assignData.packageDetails.selected_package_frequency)"
						        ng-model="AssignPackageCtrl.assignData.packageDetails.starts_at" />
						</lw-form-field>
						<!--  /starts At  -->
					</div>
					<div class="col">
						<div class="form-group" ng-if="AssignPackageCtrl.expDate">
							<label>Next Due</label>
							<input type="text" class="form-control" ng-disabled="true" ng-model="AssignPackageCtrl.expDate">
						</div>	
					</div>
				</div>	
			 	<div class="row">
					<div class="col">
						<lw-form-radio-field>
							<div class="custom-control custom-radio custom-control-inline">
								<input type="radio" id="dont_create_bill" ng-model="AssignPackageCtrl.bill_generate_toggle"  ng-required="true"ng-value="2" name="bill_generate_toggle" class="custom-control-input">
								<label class="custom-control-label mt-0" for="dont_create_bill">Do not create Bill</label>
							</div>

							<div class="custom-control custom-radio custom-control-inline" ng-if="canAccess('manage.bill.read.list') && canAccess('manage.bill.write.generate')">
								<input type="radio" id="create_bill" ng-model="AssignPackageCtrl.bill_generate_toggle" ng-required="true" ng-value="1" name="bill_generate_toggle" class="custom-control-input">
								<label class="custom-control-label mt-0" for="create_bill">Create Bill</label>
							</div>
					    </lw-form-radio-field>
						
					</div>
				</div>
            </div>

            <div class="card-footer text-right">

                <a ui-sref="customers" ng-if="AssignPackageCtrl.userData.user_roles_id == 3"
                    class="btn btn-secondary"
                    title="<?= __tr('Back') ?>"> 
                    <i class="fe fe-arrow-left-circle"></i> <?= __tr('Back') ?>
                </a>

                <a ui-sref="users" ng-if="AssignPackageCtrl.userData.user_roles_id != 3"
                    class="btn btn-secondary"
                    title="<?= __tr('Back') ?>"> 
                    <i class="fe fe-arrow-left-circle"></i> <?= __tr('Back') ?>
                </a>

            	<span ng-if="AssignPackageCtrl.assigne_package_form.$invalid">
	                <button type="button" 
	                    class="btn btn-gray" ng-disabled="true"
	                    title="<?= __tr('Assign') ?>"><?= __tr('Assign') ?>
	                </button>
            	</span>

				<span ng-if="AssignPackageCtrl.assigne_package_form.$valid">
	                <button type="button" 
	                    class="btn btn-gray"
	                    ng-if="AssignPackageCtrl.bill_generate_toggle == 1"
	            		ng-click="AssignPackageCtrl.assignAndGenerate()"
	                    title="<?= __tr('Assign') ?>"><?= __tr('Assign') ?>
	                </button>

	                <button type="button"
	                	ng-if="AssignPackageCtrl.bill_generate_toggle == 2"
	                    class="btn btn-gray"
	            		ng-click="AssignPackageCtrl.assign()"
	                    title="<?= __tr('Assign') ?>"><?= __tr('Assign') ?>
	                </button>
            	</span>
            </div>

        </form>

    </div>

    <!-- succesInformationAlert template -->
    <script type="text/_template" id="packageAssignedSuccessAlert">

        <div>
            <% if(__tData.assign_package_data) { %>
            <table class="table table-striped table-bordered table-borderless">
                <tbody>
                    <tr>
                        <th><?= __tr('Package Assigned To') ?></th>
                        <td><%= __tData.assign_package_data.assigned_to %></td>
                    </tr>
                    <tr>
                        <th><?= __tr('Package Name') ?></th>
                        <td><%= __tData.assign_package_data.short_description %></td>
                    </tr>
                    <tr>
                        <th><?= __tr('Assigned On') ?></th>
                        <td><%= __tData.assign_package_data.assigned_on %></td>
                    </tr>
                    <tr>
                        <th><?= __tr('Package Starting From') ?></th>
                        <td><%= __tData.assign_package_data.starts_at %></td>
                    </tr>
                    <tr>
                        <th><?= __tr('Frequency') ?></th>
                        <td><%= __tData.assign_package_data.frequency %></td>
                    </tr>
                    <tr>
                        <th><?= __tr('Package Amount') ?>    </th>
                        <td><%= __tData.assign_package_data.amount %></td>
                    </tr>
                
                </tbody>
            </table>
            <% } %>
            
        </div>
    </script>
    <!-- /succesInformationAlert template -->

</div><?php /**PATH /var/www/html/dietbox_fitness/resources/views/user/customer/assign-package-dialog.blade.php ENDPATH**/ ?>