<?php	
/*
*  Component  : Bill
*  View       : Bill Controller
*  Engine     : BillEngine  
*  File       : bill.list.blade.php  
*  Controller : BillDetailsController 
----------------------------------------------------------------------------- */ 
?>
<div>

    <!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title">Bill Details : <span ng-bind="BillDetailsCtrl.details.bill_uid"></span></h3>
    </div> 
    <!-- /Modal Heading -->

    <!-- Modal Body -->
    <div class="modal-body">

        <div>
            <table class="table small" width="100%">
                <tr ng-if="BillDetailsCtrl.details.bill_period_from">
                    <th>Bill Period</th>
                    <td>
                        <span ng-bind="BillDetailsCtrl.details.bill_period_from"></span> To
                        <span ng-bind="BillDetailsCtrl.details.bill_period_to"></span>
                    </td>
                </tr>
                <tr>
                    <th>Status</th>
                    <td ng-bind="BillDetailsCtrl.details.formatted_status"></td>
                </tr>
                <tr>
                    <th>Created At</th>
                    <td ng-bind="BillDetailsCtrl.details.generated_at"></td>
                </tr>
                <tr>
                    <th>Due At</th>
                    <td ng-bind="BillDetailsCtrl.details.formated_due_date"></td>
                </tr>
                <tr ng-if="BillDetailsCtrl.details.package.formated_frequency">
                    <th>Package Charge Frequency</th>
                    <td ng-bind="BillDetailsCtrl.details.package.formated_frequency"></td>
                </tr>
                <tr ng-if="BillDetailsCtrl.details.package.formated_started_at">
                    <th>Service Use From</th>
                    <td ng-bind="BillDetailsCtrl.details.package.formated_started_at"></td>
                </tr>
            </table>
        </div>

        <fieldset class="lw-fieldset-2">

            <legend class="lw-fieldset-legend-font">Items</legend>
            <div class="table-responsive">
	            <table class="table table-striped table-bordered">
	                <thead>
	                    <tr>
	                        <th>Title</th>
	                        <th>Amount</th>
	                    </tr>
	                </thead>
	                <tbody>
	                    <tr ng-if="BillDetailsCtrl.details.items.length == 0">                     
	                        <td colspan="3" class="text-center">There are no items</td>
	                    </tr>
	                    <tr ng-if="BillDetailsCtrl.details.items.length > 0" ng-repeat="item in BillDetailsCtrl.details.items">                     
	                        <td ng-bind-html="item.short_description"></td>
	                        <td class="text-right"  width="25%" ng-bind="item.amount"></td>
	                    </tr>
	                    <tr>
	                        <td><small class="float-right">Total Items Amount</small></td>
	                        <td>
	                            <div>
	                                <h4>
	                                    <strong class="float-right" ng-bind="BillDetailsCtrl.details.items_amount"></strong>
	                                </h4>
	                            </div>
	                        </td>
	                    </tr>
	                    <tr>
	                        <td><small class="float-right">Tax Amount</small></td>
	                        <td>
	                            <div>
	                                <h4>
	                                    <span class="float-right" ng-bind="BillDetailsCtrl.details.formated_tax_amount"></span>
	                                </h4>
	                            </div>
	                        </td>
	                    </tr>
	                    <tr>
	                        <td><small class="float-right">Discount Amount</small></td>
	                        <td>
	                            <div>
	                                <h4>
	                                    
	                                    <span class="float-right" ng-bind="BillDetailsCtrl.details.formated_discount_amount"></span>
	                                </h4>
	                            </div>
	                        </td>
	                    </tr>
	                    <tr>
	                        <td><strong class="float-right">Total Amount</strong></td>
	                        <td>
                                <strong>
                                    <span class="float-right" ng-bind="BillDetailsCtrl.details.formated_bill_amount"></span>
                                </strong>
	                        </td>
	                    </tr>
	                </tbody>
	            </table>
	        </div>
        </fieldset>

        <fieldset class="lw-fieldset-2">

            <legend class="lw-fieldset-legend-font">Transactions</legend>
            <div class="table-responsive">
         	   	<table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>txn ID</th>
                        <th>Amount</th>
                        <th>Created</th>
                        <th>Status</th>
                        <th>Payment Method</th>
                        <th>Type</th>
                        <th>SubType</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-if="BillDetailsCtrl.details.transactions.length == 0">    
                        <td colspan="7" class="text-center">There are no transactions</td>
                    </tr>
                    <tr ng-if="BillDetailsCtrl.details.transactions.length > 0" ng-repeat="transaction in BillDetailsCtrl.details.transactions">   
                        <td  ng-bind="transaction.txn_id"></td>
                        <td class="text-right" ng-bind="transaction.amount"></td>
                        <td ng-bind="transaction.created_at"></td>
                        <td ng-bind="transaction.formatted_status"></td>
                        <td ng-bind="transaction.payment_method"></td>
                        <td ng-bind="transaction.formatted_type"></td>
                        <td ng-bind="transaction.formatted_subtype"></td>
                    </tr>
                </tbody>
            	</table>
            </div>
        </fieldset>

    </div>
    <!-- /Modal Body -->

    <!-- Modal footer -->
    <div class="modal-footer">

        <button type="button" 
            title="<?= __tr('Close') ?>" 
            class="btn btn-secondary" 
            ng-click="BillDetailsCtrl.closeDialog()">
            <?= __tr('Close') ?>
        </button>

    </div>
    <!-- /Modal footer -->

</div><?php /**PATH /var/www/html/dietbox_fitness/resources/views/bill/details-dialog.blade.php ENDPATH**/ ?>