<?php	
/*
*  Component  : Package
*  View       : Package Controller
*  Engine     : PackageEngine  
*  File       : package-detail-dialog.blade.php
*  Controller : PackageDetailsController 
----------------------------------------------------------------------------- */ 
?>

<div class="lw-dialog">
	
	<!-- Modal Heading -->
    <div class="modal-header">
        <h3 class="modal-title"><?=  __tr( 'Package Details :' )  ?> <span ng-bind="PackageDetailsCtrl.packageDetails.packageData.title"></span></h3>
    </div>
    <!-- /Modal Heading -->

    <div class="modal-body">

    	<ul class="list-group list-group-flush">
            <li class="list-group-item">
                <?= __tr('Status') ?>
                <span class="float-right" ng-bind="PackageDetailsCtrl.packageDetails.packageData.status"></span>
            </li>
            <li class="list-group-item" ng-if="PackageDetailsCtrl.packageDetails.packageData.short_description">
                <?= __tr('Description') ?>
                <span class="float-right" ng-bind="PackageDetailsCtrl.packageDetails.packageData.short_description"></span>
            </li>
        </ul>

        <!-- Items -->
        <div>
            
            <fieldset class="lw-fieldset-2">

                <legend class="lw-fieldset-legend-font"><strong>Package Items</strong></legend>
                
                <div class="row">

                    <div class="col">
                        <ul class="list-group">

                            <li class="list-group-item list-group-item-secondary">Services</li>

                            <li class="list-group-item" ng-repeat="service in PackageDetailsCtrl.packageDetails.packageitems.services">
                                [[service.title]]
                            </li>
                            <li class="list-group-item" ng-if="PackageDetailsCtrl.packageDetails.packageitems.services.length == 0">
 								No services added
                            </li>
                        </ul>
                    </div>

                    <div class="col">

                        <ul class="list-group">

                            <li class="list-group-item list-group-item-secondary">Products</li>

                            <li class="list-group-item" ng-repeat="product in PackageDetailsCtrl.packageDetails.packageitems.products">
 								[[product.title]]
                            </li>
                            <li class="list-group-item" ng-if="PackageDetailsCtrl.packageDetails.packageitems.products.length == 0">
 								No products added
                            </li>
                        </ul>
                    </div>
                </div>
            </fieldset>
        </div>

        <!-- Frequencies -->
        <fieldset class="lw-fieldset-2">
            <legend class="lw-fieldset-legend-font"><h4>Prices And Frequencies</h4></legend>
	        <ul class="list-group">
				<li class="list-group-item d-flex justify-content-between align-items-center" 
				ng-repeat="frequency in PackageDetailsCtrl.packageDetails.packageData.package_frequency">
					[[frequency.frequency_title]]
					<b class="float-right">[[frequency.formatted_price]]</b>
				</li>
			</ul>
        </fieldset>
        <!-- /Frequencies -->
    </div>

    <div class="modal-footer">
        <!--  close button -->
        <button type="button" ng-click="PackageDetailsCtrl.closeDialog()" class="btn btn-lite" title="<?=  __tr('Cancel')  ?>"><?=  __tr('Cancel')  ?></button>
        <!--  close button -->
    </div>

</div><?php /**PATH /var/www/html/dietbox_fitness/resources/views/package/package-detail-dialog.blade.php ENDPATH**/ ?>