<table class="table table-hover">
    <thead>
        <tr>
            <th>Item Description</th>
            <th class="text-right">Item Amount</th>
        </tr>
    </thead>
    <tbody>
        <tr ng-if="BillAddCtrl.billData.items.length == 0">                     
            <td colspan="3" class="text-center">There are no items</td>
        </tr>
        <tr ng-if="BillAddCtrl.billData.items.length > 0" ng-repeat="item in BillAddCtrl.billData.items">                     
            <td width="75%">
                <lw-form-field field-for="item_title_[[item.rowId]]" v-label="Title">
                    <textarea 
                        class="lw-form-field form-control" 
                        ng-model="item.short_description" 
                        name="item_title_[[item.rowId]]"   
                        ng-required="true"       
                        ng-minlength="2"       
                        ng-maxlength="255">          
                    </textarea>
                </lw-form-field>
            </td>
            <td>
                <lw-form-field field-for="item_amount_[[item.rowId]]" v-label="Amount">

                    <div class="input-group input-group-sm">

                        <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon1" ng-bind="getCurrencySymbol()"></span>
                        </div>

                        <input type="number" 
                            class="lw-form-field form-control text-right" 
                            ng-model="item.amount"
                            name="item_amount_[[item.rowId]]"   
                            ng-required="true"       
                            min="0"             
                        />
                        
                        <div class="input-group-append">
                            <button ng-if="BillAddCtrl.billData.items.length > 1"  type="button" class="btn btn-outline-danger" ng-click="BillAddCtrl.removeRow($index)"><i class="fe fe-trash-2"></i></button>
                        </div>

                    </div>

                </lw-form-field>
            </td>

        </tr>
        <tr>
            <td>
                <button type="button" class="btn btn-primary btn-sm" ng-click="BillAddCtrl.addNewRow()">Add item</button>
                
                <strong class="float-right">Total Items Amount</strong>
            </td>
            <td>
                <div>
                    <h4>
                        <strong class="float-right">
                            <span ng-bind="getCurrencySymbol()"></span>
                            <span ng-bind="BillAddCtrl.itemTotal()"></span>
                            <span ng-bind="getCurrency()"></span>
                        </strong>
                    </h4>
                </div>
            </td>
            <td></td>
        </tr>
        <tr>
            <td><strong class="float-right">Tax Amount</strong></td>
            <td>
                <lw-form-field field-for="tax_amount" v-label="Tax Amount">
                    <div class="input-group input-group-sm">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon1" ng-bind="getCurrencySymbol()"></span>
                        </div>
                        <input type="number" 
                            id="tax_amount"
                            class="lw-form-field form-control text-right" 
                            ng-model="BillAddCtrl.billData.tax_amount"
                            name="tax_amount"        
                            min="0"             
                        />
                    </div>
                </lw-form-field>
            </td>
            <td></td>
        </tr>
        <tr>
            <td>
                <strong class="float-right">Discount Amount</strong>
            </td>
            <td width="20%">
                <lw-form-field field-for="discount_amount" v-label="Discount Amount">

                    <div class="input-group input-group-sm">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon1" ng-bind="getCurrencySymbol()"></span>
                        </div>
                        <input type="number" 
                            class="lw-form-field form-control text-right" 
                            ng-model="BillAddCtrl.billData.discount_amount"
                            name="discount_amount"        
                            min="0"
                            id="discount_amount"
                            max="[[BillAddCtrl.itemTotal()]]"              
                        />
                    </div>

                </lw-form-field>
            </td>
            <td></td>
        </tr>
        <tr>
            <td><strong class="float-right">Total Payable Amount</strong></td>
            <td width="20%" >
                <h4 class="float-right">
                    <span ng-bind="getCurrencySymbol()"></span>
                    <span ng-bind="BillAddCtrl.calculateFinalAmount()"></span>
                    <span ng-bind="getCurrency()"></span>
                </h4>
            </td>
            <td></td>
        </tr>
    </tbody>
</table>
<!-- /Items --><?php /**PATH /var/www/html/dietbox_fitness/resources/views/bill/bill-items.blade.php ENDPATH**/ ?>