<!DOCTYPE html>
<html>
<head>
    <title><?= e(getConfigurationSettings('name')) ?> : <?= __tr('Manage') ?></title>
    <?php echo $__env->make('includes.head-content', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <style>
        .lw-loader-text-primary {
            color: #1867d6 !important;
        }

        .lw-loader-text-success {
            color: #5eba00 !important;
        }

        .lw-loader-text-danger {
            color: #cd201f !important;
        }

        .lw-loader-spinner-grow {
            display: inline-block;
            width: 2rem;
            height: 2rem;
            vertical-align: text-bottom;
            background-color: currentColor;
            border-radius: 50%;
            opacity: 0;
            animation: spinner-grow .75s linear infinite;
        }

        .lw-page-loader {
            position: fixed;
            width: 100%;
            text-align: center;
            top: 50vh;
            z-index: 99999;
        }
    </style>

    <?= __yesset([
        'dist/css/vendorlibs-manage.css',
//        'dist/css/application*.css'
        'dist/css/application.src.css'
    ], true) ?>
    <?php if(getConfigurationSettings('show_captcha')): ?>
        <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <?php endif; ?>
</head>

<body>

<div class="lw-page-loader">

    <div class="lw-loader-spinner-grow lw-loader-text-primary" role="status">
        <span class="sr-only">Loading...</span>
    </div>
    <div class="lw-loader-spinner-grow lw-loader-text-success" role="status">
        <span class="sr-only">Loading...</span>
    </div>
    <div class="lw-loader-spinner-grow lw-loader-text-danger" role="status">
        <span class="sr-only">Loading...</span>
    </div>
    <div class="lw-loader-spinner-grow text-warning" role="status">
        <span class="sr-only">Loading...</span>
    </div>
</div>

<div class="page" ng-app="ManageApp" ng-controller="ManageController as manageCtrl" ng-csp ng-cloak ng-strict-di>

    <div class="page-main">

        <div ng-show="canAccess('user.profile')">

            <!-- Header 1 Section  -->
            <div class="header py-4 lw-small-screen-header">
                <div class="container-fluid">
                    <div class="d-flex">

                        <a class="header-brand" ui-sref="dashboard"><img class="header-brand-img" src="<?=  getConfigurationSettings('logo_image_url')  ?>" alt=""></a>

                        <div class="d-flex order-lg-2 ml-auto">

                            <div class="dropdown">
                                <a href="" class="nav-link pr-0 leading-none" data-toggle="dropdown">
		                                    <span>
		                                    	<span class="avatar"
                                                      style="background-image: url([[ manageCtrl.auth_info.profile_image ]])"></span>
		                                    </span>
                                    <span class="ml-2">
		                                    <span class="text-default"
                                                  ng-bind="manageCtrl.auth_info.profile.full_name | limitTo : 15"
                                                  ng-if="!manageCtrl.userUpdateData"></span>
		                                    <span class="text-default" ng-bind="manageCtrl.userUpdateData"
                                                  ng-if="manageCtrl.userUpdateData"></span>
		                                    <small class="text-muted d-block mt-1">[[manageCtrl.auth_info.designation_title]]</small>
		                                    </span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">

                                    <a class="dropdown-item" ui-sref-active="active" ui-sref="profile"
                                       title="<?=  __tr('Profile')  ?>"> <i
                                                class="dropdown-icon fe fe-user"></i> <?=  __tr('Profile')  ?></a>

                                    <a class="dropdown-item" ui-sref-active="active" ui-sref="changePassword"
                                       title="<?= __tr('Change Password') ?>"><i
                                                class="dropdown-icon fe fe-shield"></i> <?= __tr('Change Password') ?>
                                    </a>

                                    <a class="dropdown-item" ui-sref-active="active"
                                       ng-if="manageCtrl.restrict_user_email_update == false && manageCtrl.auth_info.designation != 1"
                                       ui-sref="changeEmail" title="<?= __tr('Update Email') ?>"><i
                                                class="dropdown-icon fe fe-mail"></i> <?= __tr('Update Email') ?></a>

                                    <a class="dropdown-item" ui-sref-active="active"
                                       ng-if="manageCtrl.auth_info.designation == 1" ui-sref="changeEmail"
                                       title="<?= __tr('Update Email') ?>"><i
                                                class="dropdown-icon fe fe-mail"></i> <?= __tr('Update Email') ?></a>

                                    <a class="dropdown-item" href ng-click="manageCtrl.logoutUser()"
                                       title="<?= __tr('Sign Out') ?>"><i
                                                class="dropdown-icon fe fe-log-out"></i> <?= __tr('Sign Out') ?> </a>

                                </div>
                            </div>
                        </div>
                        <a class="header-toggler d-lg-none ml-3 ml-lg-0" style="cursor: pointer;" data-toggle="collapse"
                           data-target="#headerMenuCollapse">
                            <span class="header-toggler-icon"></span>
                        </a>
                    </div>
                </div>
            </div>
            <!-- / Header 1 Section -->

            <!-- Header 2 Section -->
            <div class="header fixed-top collapse d-lg-flex p-0 lw-desktop-header" id="headerMenuCollapse">
                <div class="container-fluid">
                    <div class="row align-items-center">
                        <div class="col-lg order-lg-first">
                            <div class="lw-header-logo-container">
                                <a class="header-brand" ui-sref="dashboard"><img class="header-brand-img"
                                                                                 src="<?=  getConfigurationSettings('logo_image_url')  ?>"
                                                                                 alt=""></a>
                            </div>
                            <ul class="nav nav-tabs border-0 flex-column flex-lg-row float-right">
                                <li class="nav-item" ng-show="canAccess('manage.dashboard.read.support_data')">
                                    <a ui-sref="dashboard" ui-sref-active="active" class="nav-link"><i
                                                class="fe fe-home"></i> Dashboard</a>
                                </li>

                                <li class="nav-item" ng-show="canAccess('manage.customer.read.datatable.list')">
                                    <a ui-sref="customers" ui-sref-active="active" class="nav-link"><i
                                                class="fe fe-users"></i> Members</a>
                                </li>
                                <li class="nav-item dropdown"
                                    ng-show="canAccess('manage.item.read.list') || canAccess('manage.package.read.list')">
                                    <a class="nav-link" data-toggle="dropdown"><i class="fe fe-package"></i> Items &
                                        Packages <i class="ml-1 fe fe-chevron-down"></i></a>
                                    <div class="dropdown-menu dropdown-menu-arrow">
                                        <a ng-show="canAccess('manage.item.read.list')" ui-sref="items"
                                           ui-sref-active="active" class="dropdown-item"><i class="fe fe-box"></i> Items</a>
                                        <a ng-show="canAccess('manage.package.read.list')" ui-sref="package"
                                           ui-sref-active="active" class="dropdown-item active"><i
                                                    class="fe fe-package"></i> Packages</a>
                                    </div>
                                </li>
                                <li class="nav-item dropdown"
                                    ng-show="canAccess('manage.bill.read.list') || canAccess('manage.transaction.read.list')">
                                    <a class="nav-link" data-toggle="dropdown"><i class="fe fe-list"></i> Bills &
                                        Payments <i class="ml-1 fe fe-chevron-down"></i></a>
                                    <div class="dropdown-menu dropdown-menu-arrow">
                                        <a ng-show="canAccess('manage.bill.read.list')" ui-sref="bill.general"
                                           ui-sref-active="active" class="dropdown-item"><i class="fe fe-inbox"></i>
                                            Bills</a>
                                        <a ng-show="canAccess('manage.transaction.read.list')" ui-sref="transactions"
                                           ui-sref-active="active" class="dropdown-item"><i
                                                    class="fe fe-dollar-sign"></i> Transactions</a>
                                    </div>
                                </li>
                                <li class="nav-item dropdown"
                                    ng-show="canAccess('manage.configuration.process') || canAccess('manage.activity_log.read.list') || canAccess('manage.user.role_permission.read.list')">
                                    <a href="javascript:void(0)" class="nav-link" data-toggle="dropdown"><i
                                                class="fe fe-settings"></i> System Settings <i
                                                class="ml-1 fe fe-chevron-down"></i></a>
                                    <div class="dropdown-menu dropdown-menu-arrow">
                                        <a class="dropdown-item" ui-sref-active="active"
                                           ng-show="canAccess('manage.configuration.process')"
                                           ui-sref="configuration_general" title="<?=  __tr('General Settings')  ?>"><i
                                                    class="dropdown-icon fe fe-settings"></i> <?=  __tr('General Settings')  ?>
                                        </a>
                                        <a class="dropdown-item" ui-sref-active="active"
                                           ng-show="canAccess('manage.configuration.process')"
                                           ui-sref="configuration_currency"
                                           title="<?=  __tr('Currency Settings')  ?>"><i
                                                    class="dropdown-icon fe fe-dollar-sign"></i> <?=  __tr('Currency Settings')  ?>
                                        </a>
                                        <a class="dropdown-item" ui-sref-active="active"
                                           ng-show="canAccess('manage.activity_log.read.list')" ui-sref="activity_log"
                                           title="<?=  __tr('Activity Log')  ?>"><i class="dropdown-icon fe fe-activity"
                                                                                    aria-hidden="true"></i> <?=  __tr('Activity Log')  ?>
                                        </a>
                                        <a class="dropdown-item" ui-sref-active="active"
                                           ng-show="canAccess('manage.user.read.datatable.list')" ui-sref="users"
                                           title="<?=  __tr('Stuff Members')  ?>"><i class="dropdown-icon fe fe-users"
                                                                                     aria-hidden="true"></i> <?=  __tr('Stuff Members Log')  ?>
                                        </a>
                                        <a class="dropdown-item" ui-sref-active="active"
                                           ng-show="canAccess('manage.user.role_permission.read.list')"
                                           ui-sref="role_permission" title="<?=  __tr('User Roles')  ?>"><i
                                                    class="dropdown-icon fe fe-users"></i> <?=  __tr('User Roles')  ?>
                                        </a>
                                    </div>
                                </li>
                                <li class="nav-item dropdown lw-profile-menu-desktop">
                                    <a href="" class="nav-link " data-toggle="dropdown">
                                        <span class="avatar"
                                              style="background-image: url([[ manageCtrl.auth_info.profile_image ]])"></span>
                                        <span class="text-default"
                                              ng-bind="manageCtrl.auth_info.profile.full_name  | limitTo : 15 "
                                              ng-if="!manageCtrl.userUpdateData"></span>
                                        <i class="ml-1 fe fe-chevron-down"></i>
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-arrow dropdown-menu-right">
                                        <div class="text-muted dropdown-header">
                                            [[manageCtrl.auth_info.designation_title]]
                                        </div>
                                        <div class="dropdown-divider"></div>
                                        <a class="dropdown-item" ui-sref-active="active" ui-sref="profile"
                                           title="<?=  __tr('Profile')  ?>"> <i
                                                    class="dropdown-icon fe fe-user"></i> <?=  __tr('Profile')  ?></a>
                                        <a class="dropdown-item" ui-sref-active="active" ui-sref="changePassword"
                                           title="<?= __tr('Change Password') ?>"><i
                                                    class="dropdown-icon fe fe-shield"></i> <?= __tr('Change Password') ?>
                                        </a>

                                        <a class="dropdown-item" ui-sref-active="active"
                                           ng-if="manageCtrl.restrict_user_email_update == false && manageCtrl.auth_info.designation != 1"
                                           ui-sref="changeEmail" title="<?= __tr('Update Email') ?>"><i
                                                    class="dropdown-icon fe fe-mail"></i> <?= __tr('Update Email') ?>
                                        </a>

                                        <a class="dropdown-item" ui-sref-active="active"
                                           ng-if="manageCtrl.auth_info.designation == 1" ui-sref="changeEmail"
                                           title="<?= __tr('Update Email') ?>"><i
                                                    class="dropdown-icon fe fe-mail"></i> <?= __tr('Update Email') ?>
                                        </a>
                                        <div class="dropdown-divider"></div>
                                        <a class="dropdown-item" href ng-click="manageCtrl.logoutUser()"
                                           title="<?= __tr('Sign Out') ?>"><i
                                                    class="dropdown-icon fe fe-log-out"></i> <?= __tr('Sign Out') ?>
                                        </a>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /Header 2 Section -->

        </div>

        <div class="pb-5 lw-ui-view-container">
            <div class="container-fluid" ui-view autoscroll="false">
            </div>
        </div>

    </div>

<?php $__env->startPush("vendorScripts"); ?>
    <?= __yesset([
        'dist/js/vendorlibs-manage.js'
    ], true) ?>
<?php $__env->stopPush(); ?>

<?php $__env->startPush("appScripts"); ?>
    <!--                --><?//= __yesset('dist/js/manage-app.*.js', true) ?>
        <?= __yesset('dist/js/manage-app.src.js', true) ?>
    <?php $__env->stopPush(); ?>


    <footer class="footer fixed-bottom" ng-show="canAccess('user.profile')">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12 mt-3 mt-lg-0">
                        <span class="float-left">
                            <?= getConfigurationSettings('name')?> &copy; <?= date("Y") ?>
                            <?= getConfigurationSettings('footer_text') ?>
                        </span>
                    <?php if(getConfigurationSettings('enable_credit_info') == true): ?>
                        <span class="float-right">
                                <span> Powered by <a href="https://hiwaad.com" target="_blank"><strong>HIWAAD</strong> </a></span></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </footer>
    <!-- settings update reload button template -->
    <script type="text/ng-template"
            id="lw-settings-update-reload-button-template.html">
        <input type="hidden" id="lwReloadBtnText"
               data-message="<i class='fa fa-refresh' aria-hidden='true'></i> <?= __tr("Reload") ?>">
    </script>
    <!-- /settings update reload button template -->
    <?php echo $__env->make('includes.javascript-content', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php echo $__env->make('includes.form-template', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

</div>


<?php echo $__env->make('includes.foot-content', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

</body>


</html>
