<?php
/*
*  Component  : User
*  View       : Login
*  Engine     : UserEngine.js
*  File       : login.blade.php
*  Controller : UserLoginController
----------------------------------------------------------------------------- */
?>

<div class="page">
    <div class="page-single">
        <div class="container">
            <div class="row">
            <div class="col col-md-8 mx-auto" ng-controller="UserLoginController as loginCtrl">
                <form class="lw-form lw-ng-form card"
                name="loginCtrl.[[ loginCtrl.ngFormName ]]"
                ng-submit="loginCtrl.submit()"
                novalidate>
                <div class="card-header">
                <div class="lw-login-logo-container text-center">
                <img src="<?=  getConfigurationSettings('logo_image_url')  ?>" class="" alt="">
                </div>
                </div>
                <div class="card-body p-6">
                    <div class="card-title">Login to your account </div>

                    <!--  Email  -->
                    <lw-form-field field-for="emailOrUsername" label="<?=  __tr( 'Username / Email' )  ?>">
                        <input type="text"
                        class="lw-form-field form-control"
                        name="emailOrUsername"
                        placeholder="<?= __tr('Enter username / email') ?>" 
                        ng-model="loginCtrl.loginData.emailOrUsername" ng-required="true" />
                    </lw-form-field>
                    <!--  Email  -->

                    <!--  Password  -->
                    <lw-form-field field-for="password" label="<?=  __tr( 'Password' )  ?>">
                        <div class="input-group">
                            <input type="password" autocomplete="on"
                                class="lw-form-field form-control"
                                name="password"
                                ng-minlength="6"
                                ng-maxlength="30"
                                placeholder="<?= __tr('Enter password') ?>" 
                                ng-model="loginCtrl.loginData.password" ng-required="true"/>
                            <div class="input-group-append">
                                <a class="input-group-text" ui-sref="forgot_password" title="<?=  __tr('Forgot Password?')  ?>"><?=  __tr('Forgot Password?')  ?></a>
                            </div>
                        </div>
                    </lw-form-field>
                    <!--  Password  -->

                    <!-- Recaptcha -->
                    <lw-form-field  ng-if="loginCtrl.show_captcha == true" class="lw-recaptcha" field-for="recaptcha" v-label="Captcha" label="<?= __tr('Verify you are not robot') ?>">
                        <lw-recaptcha class="lw-form-field g-recaptcha" 
                            ng-model='loginCtrl.loginData.recaptcha' 
                            name="recaptcha" 
                            sitekey="[[loginCtrl.site_key]]" ng-required="loginCtrl.show_captcha == true">
                        </lw-recaptcha>
                    </lw-form-field>
                    <!-- /Recaptcha -->
                        
                    <!--  Remember me  -->
                    <lw-form-checkbox-field
                        field-for="remember_me"
                        label="<?=  __tr( 'Remember Me' )  ?>"
                        class="lw-margin-link lw-contain-remember-me-link">
                        <input type="checkbox"
                            class="lw-form-field"
                            name="remember_me"
                            ng-model="loginCtrl.loginData.remember_me" />
                    </lw-form-checkbox-field>
                    <!-- / Remember me -->
                    <div class="form-footer">
                        <button type="submit" class="btn btn-primary btn-lg" title="<?=  __tr('Login')  ?>"><?=  __tr('Sign in')  ?> </button>
                    </div>
                </div>
                </form>
            </div>
            </div>
        </div>
    </div>
</div><?php /**PATH /var/www/html/dietbox_fitness/resources/views/user/login.blade.php ENDPATH**/ ?>