<?php
/*
*  Component  : User
*  View       : Profile  
*  Engine     : CommonUserEngine.js  
*  File       : manage-profile.blade.php  
*  Controller : UserProfileController 
----------------------------------------------------------------------------- */ 
?>

<div ng-controller="UserProfileController as profileCtrl">

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                My Profile
            </h1>
        </div>
    </div>
    <!-- / main heading  -->

    <div class="card">
        <div class="card-body">
            <div class="form-row">
                <div class="col-auto">
                    <span class="avatar avatar-xl" style="background-image: url([[ profileCtrl.existingProfilePictureURL ]])"></span>
                </div>
                <div class="col">
                <div class="form-group">
                    <label  for="email" class="control-label"><?= __tr('Email') ?></label>
                    <input readonly type="text" class="form-control" id="email" value="[[ profileCtrl.profileData.email ]]">
                </div>
                </div>
            </div>
            <div class="form-row">
                <!--  first name field  -->
                <div class="col">
                    <label for="fname" class="control-label"><?= __tr('First Name') ?></label>
                    <input readonly type="text" class="form-control" id="fname" value="[[ profileCtrl.profileData.first_name ]]">
                </div>
                <!--  first name field  -->

                <!--  last name field  -->
                <div class="col">
                    <label  for="lname" class="control-label"><?= __tr('Last Name') ?></label>
                    <input readonly type="text" class="form-control" id="lname" value="[[ profileCtrl.profileData.last_name ]]">
                </div>
                <!--  last name field  -->
                
                <!--  User Role field  -->
                <div class="col">
                    <label  for="userRole" class="control-label"><?= __tr('User Role') ?></label>
                    <input readonly type="text" class="form-control" id="userRole" value="[[ profileCtrl.profileData.userRole ]]">
                </div>
                <!--  User Role field  -->
            </div>

            <div class="form-row">
                <!--  Address Line 1  -->
                <div class="col" ng-show="profileCtrl.profileData.address_line_1">
                    <label  for="address_line_1" class="control-label"><?= __tr('Address Line 1') ?></label>
                    <input readonly type="text" class="form-control" id="address_line_1" value="[[ profileCtrl.profileData.address_line_1 ]]">
                </div>
                <!--  Address Line 1  -->

                <!--  Address Line 2  -->
                <div class="col" ng-show="profileCtrl.profileData.address_line_2">
                    <label  for="address_line_2" class="control-label"><?= __tr('Address Line 2') ?></label>
                    <input readonly type="text" class="form-control" id="address_line_2" value="[[ profileCtrl.profileData.address_line_2 ]]">
                </div>
                <!--  Address Line 2  -->

                <!--  Country  -->
                <div class="col" ng-show="profileCtrl.profileData.country">
                    <label  for="country" class="control-label"><?= __tr('Country') ?></label>
                    <input readonly type="text" class="form-control" id="country" value="[[ profileCtrl.profileData.country ]]">
                </div>
                <!--  Country  -->
            </div>
        </div>
        
        <div class="card-footer">
             <!--  edit profile button  -->
             <div class="form-group">
                <a ui-sref="profileEdit" title="<?= __tr('Edit') ?>" class=" float-right btn btn-primary"><?=  __tr('Edit')  ?></a>
            </div>    
            <!--  /edit profile button  -->
        </div>
    </div>

</div><?php /**PATH /var/www/html/dietbox_fitness/resources/views/user/manage-profile.blade.php ENDPATH**/ ?>