<?php	
    /*
    *  Component  : Bill
    *  View       : Bill Controller
    *  Engine     : BillEngine  
    *  File       : bill.add.blade.php  
    *  Controller : BillAddController 
    ----------------------------------------------------------------------------- */ 
?>

<div>

    <!--  main heading  -->
    <div class="lw-section-heading-block">
        <div class="page-header">
            <h1 class="page-title">
                Generate New Bill
            </h1>
        </div>
    </div> 
    <!-- / main heading  -->

    <div class="card">

        <!-- Add item dialog form -->
        <form class="lw-form lw-ng-form" name="BillAddCtrl.[[BillAddCtrl.ngFormName]]" ng-submit="BillAddCtrl.submit()" novalidate >

            <div class="card-body">

                <div class="form-row">
                
                    <div class="col">
                        <!-- user -->
                        <lw-form-selectize-field field-for="user" label="<?= __tr( 'Customer' ) ?>" class="lw-selectize">
                            <selectize config='BillAddCtrl.usersSelectizeConfig' 
                                class=" form-control lw-form-field" 
                                name="user" 
                                ng-model="BillAddCtrl.billData.user" 
                                ng-required="true" 
                                options='BillAddCtrl.users'
                                ng-change="BillAddCtrl.onSelectUser(BillAddCtrl.billData.user)" 
                                placeholder="<?= __tr( 'Select User' ) ?>" ></selectize>
                        </lw-form-selectize-field>
                        <!-- /user -->
                    </div>

                    <div class="col">
                        <!-- User Purchase -->
                        <lw-form-selectize-field field-for="user_packages_id" label="<?= __tr( 'Purchased Packages' ) ?>" class="lw-selectize">

                            <selectize config='BillAddCtrl.packageSelectizeConfig' 
                                class=" form-control lw-form-field" 
                                name="user_packages_id" 
                                ng-model="BillAddCtrl.billData.user_packages_id" 
                                ng-required="true" 
                                options='BillAddCtrl.userPurchases' 
                                ng-change="BillAddCtrl.onSelectedPurchase(BillAddCtrl.billData.user_packages_id)" 
                                placeholder="<?= __tr( 'Select Package or Service' ) ?>" ></selectize>

                        </lw-form-selectize-field>
                        <!-- /User Purchase -->
                    </div>

                </div>

                <div class="form-row">

                    <div class="col"> 
                        <lw-form-field field-for="bill_period_from" label="Period From">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="bill_period_from" 
                                lw-datetimepicker 
                                ng-model="BillAddCtrl.billData.bill_period_from"
                                options="[[BillAddCtrl.bill_period_from]]">
                        </lw-form-field>
                    </div>

                    <div class="col"> 
                        <lw-form-field field-for="bill_period_to" label="Period To">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="bill_period_to" 
                                lw-datetimepicker 
                                ng-model="BillAddCtrl.billData.bill_period_to"
                                options="[[BillAddCtrl.bill_period_to]]">
                        </lw-form-field>  
                    </div>

                    <div class="col">
                        <!-- Due Date -->
                        <lw-form-field field-for="due_date" label="Due Date">
                            <input 
                                type="text" 
                                class="lw-form-field form-control" 
                                name="due_date" 
                                lw-datetimepicker 
                                ng-model="BillAddCtrl.billData.due_date"
                                options="[[BillAddCtrl.due_date]]">
                        </lw-form-field>
                        <!-- / Due Date -->
                    </div>

                </div>
                
                <!-- Short_Description -->
                <lw-form-field field-for="short_description" label="<?= __tr('Description') ?>">
                    <textarea 
                        ng-model="BillAddCtrl.billData.short_description"
                        cols="10" 
                        rows="3" 
                        class="lw-form-field form-control" 
                        name="short_description"
                        ng-minlength="2" 
                        ng-maxlength="255"             
                    ></textarea>
                </lw-form-field>
                <!-- /Short_Description -->

                <!-- Items -->
                 <?php echo $__env->make('bill.bill-items', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <!-- /Items -->
            </div>

            <div class="card-footer text-right">
                <!-- Back  -->
                <a ui-sref="bill.general" title="<?= __tr('Manage Bills') ?>" class="btn btn-gray"><?= __tr('Manage Bills') ?></a>
                <!-- /Back  -->

                <button type="submit" class="btn btn-primary" title="<?= __tr('Generate') ?>">
                <?= __tr('Generate') ?></button>
                
            </div>

        </form>


    </div>

<div><?php /**PATH /var/www/html/dietbox_fitness/resources/views/bill/add.blade.php ENDPATH**/ ?>